Getting Started with Layout Designer

Previous Next

Getting Started with Layout Designer
Getting Started with Layout Designer
Product Description
Layout Designer Features
Supported Hardware
Minimum System Requirements
Installing Layout Designer
Previous Next
Harris Broadcast Communications
Copyright 2008-2010 Harris Corporation
BCDService@harris.com


Product Description

Getting Started with Layout Designer > Product Description
Product Description
Your Layout Designer software has two primary functions: to create and edit layouts for Harris multiviewers, and to configure Harris multiviewer hardware. Using Layout Designer, you can configure your multiviewer system settings, and add and configure on-screen input audio and video alarms and on-screen digital clocks.
The following figure provides a simple illustration of how Layout Designer works with your Harris multiviewer system.
Layout Designer provides a number of hardware-related configuration, control, and monitoring capabilities, including the following:
•
Access all router inputs in the multiviewer’s routing matrix
•
Configure multiviewer hardware and calibrate output display devices
•
Assign router inputs to layouts, Picture-in-Pictures (PiPs), and audio meters
•
Monitor input audio and video signals for user-defined alarm conditions
•
Configure processing rules for specific system events and conditions
Layout Designer provides a number of layout design-related capabilities, including the following:
•
Create new layouts from preset layout templates
•
Create customized layout objects including PiPs, borders, and tally indicators
•
Drag and drop layout objects onto layout canvas
•
Store customized layout objects in a library for later use in layouts
•
View and select layouts from multiple Harris multiviewer systems
You can create custom layouts for the Harris multiviewer, or you can edit existing layouts by modifying individual PiP layout settings to create custom display layouts. Once a layout is generated, you can use Layout Designer to upload (publish) it to your multiviewer, or save it to a local or network PC drive.
When it is installed on a PC, Layout Designer communicates directly with your multiviewer system over Ethernet. Layout Designer is supported with Online Help.
Layouts created with Layout Designer can be published on the multiviewer hardware using CCS Navigator, NUCLEUS, or on-screen control. For more information, see your Harris Multiviewer Hardware Installation, Configuration, and Operation Manual.


Layout Designer Features

Getting Started with Layout Designer > Layout Designer Features
Layout Designer Features
Layout Designer features include but are not limited to the following:
•
Harris multiviewer system configuration and monitoring
•
Layout design and creation


Multiviewer System Configuration and Monitoring

Getting Started with Layout Designer > Layout Designer Features > Multiviewer System Configuration and Monitoring
Multiviewer System Configuration and Monitoring
Use Layout Designer for your Harris multiviewer’s system configuration and monitoring features to:
•
Complete configuration of system hardware
•
Set up three different output display modes:
•
Redundant mode
•
Independent mode
•
Spanning mode
•
Set up layouts
•
Display title markers, V-Chip rating, closed captioning, AFD, WSS, aspect ratio markers, teletext data, and VITC, closed captioning, and teletext
•
Configure and display input audio and video signal alarms, including audio under and over level alarms, and black and frozen video alarms
•
Configure system processing rules that respond to specific hardware and alarm conditions and events
•
Configure audio meters for up to 16 embedded audio, analog audio, Dolby E, and AES discrete audio channels for each PiP


Layout Creation and Design

Getting Started with Layout Designer > Layout Designer Features > Layout Creation and Design
Layout Creation and Design
Use Layout Designer’s layout creation and design features to
•
Create layouts from a blank layout
•
Select from a variety of layout output resolutions and layout background colors
•
Add layout objects, such as PiPs, borders, layout windows, labels, audio meters, and alarms to a layout using basic Windows skills
•
Resize and position PiPs and other layout objects with pixel accuracy using direct-entry window coordinates
•
Creating scrolling labels and scrolling regions
•
Group layout objects into layout windows
•
Create customized layout objects including PiPs, border styles, digital clocks, and audio meters
•
Store custom layout objects in the Layout Designer object library
•
Open and edit all layouts/files that are stored on connected multiviewer systems


Supported Hardware

Getting Started with Layout Designer > Supported Hardware
Supported Hardware
You can use Layout Designer with multiviewer hardware. See your Harris Multiviewer Hardware Installation and Operation Manual or your product sales representative.


Minimum System Requirements

Getting Started with Layout Designer > Minimum System Requirements
Minimum System Requirements
Layout Designer does not work with 64-bit operating systems.
For best results, Layout Designer requires a PC with the following system specifications:
•
Intel™ dual-core processor or higher
•
2.0 GB or more of physical memory (RAM)
•
•
Microsoft™ Windows® XP, Windows Vista, or Windows 7
•
Monitor with SXGA (1280 x 1024) or higher resolution
For best results, set the display font size to Normal (Control Panel > Display > Appearance > Font Size).


Installing Layout Designer

Getting Started with Layout Designer > Installing Layout Designer
Installing Layout Designer
Install Layout Designer on a PC that meets the recommended system requirements. Your PC does not need to be connected to a Harris multiviewer system to install Layout Designer.
You will need Microsoft .NET Framework 3.5. If this application has not already been installed on your system, download it or install it from the supplied CD.
If you have another version of Layout Designer installed on your system, remove it before installing the upgraded version. Do this by clicking Explorer on the Multiviewer Control Panel, and then using the Add/Remove Programs feature in the Windows Control Panel.
To install the Layout Designer software, close all other applications running on the PC, and then insert the Layout Designer installation CD into the PC CD-ROM drive. The setup program starts automatically. Follow the on-screen instructions to install the software.
If the installation does not start automatically, double-click the Layout Designer-V*-Setup.exe file on the CD (where “*” is the version number).


Layout Designer Workspace

Layout Designer Workspace
Layout Designer Workspace
Layout Designer Workspace
Customizing the Layout Designer Workspace
Setting Your Layout Designer Preferences
Using the Layout Designer Library Panel


Layout Designer Workspace

Layout Designer Workspace > Layout Designer Workspace
Layout Designer Workspace
When you start Layout Designer, the workspace appears similar to The following figure.
The Layout Designer workspace is the area from which you open, publish, create, and modify multiviewer display layouts. The workspace has quick-access menus and palettes to help you create and modify layouts and PiPs, as well as to configure audio meters, alarms, and metadata. You can customize the Layout Designer workspace to suit the tasks you are performing.
Each workspace element is described below:
Application menu - Provides access to Layout Designer’s main commands and options. In addition, the menu provides access to the software preference settings. See Application Menus.
Application toolbar - Provides quick access to commonly-used commands and options. Some of these options also appear in the Application menu. See Application Menus and Layout Designer Application Toolbar.
Tools palette - Provides tools for adding and editing layout objects such as PiPs, labels, clocks, tally indicators, info panels, counters, and audio meters to the layout canvas. See Tools Palette.
Layout  canvas - Displays the layout that is being created or edited when a Layout Designer tab is open. More than one layout can be open at one time, but only one layout is visible in the layout canvas. Each layout can be viewed using the layout tab at the top of the canvas. See Layout Canvas.
Multiviewers panel - Displays the multiviewer systems that are currently and previously connected to the Layout Designer. All systems that are displayed in the Multiviewers panel (connected and disconnected) have been configured by Layout Designer. For more information, see Multiviewers Panel.
Library panel - Provides access to stored layout objects (PiPs, windows, info panels). Where applicable, each library tab lists the specific name of the object and provides a preview of how the object will appear in a layout. For more information, see Using the Layout Designer Library Panel.
Properties pane - Provides access to user-configurable properties for the layout and layout objects currently displayed in the canvas. You can use the Properties pane to modify layout, window, and layout object properties. For information, see Layout Properties and Layout Object Properties.
Application status bar - Displays the current status of the Layout Designer application and other operation information.


Application Menus

Layout Designer Workspace > Layout Designer Workspace > Application Menus
Application Menus
In some cases, the application menus duplicate commands and options that are accessible from the application toolbar shortcuts (see Layout Designer Application Toolbar). Some advanced configuration options are only available using the menus.
Note the following menu information:
•
Shortcut keystrokes are listed to the right of the menu item.
•
Commands that are not relevant to the selected mode are unavailable.
•
The Layout Designer context menu can be accessed by right-clicking items in the layout window.
The following tables describe each Layout Designer menu item and its options.
File Menu Items and Options
Menu Item/Shortcut Key
Icon
Description
New
Layout Using the Layout Creation Wizard  - Opens the Layout Creation Wizard dialog box, from which you can create a customized layout. See Creating a New Layout Using the Layout Creation Wizard.
Blank Layout - Opens a blank layout. See Creating a New Layout from a Blank Layout.
Configuration - Opens the Device Manager dialog box, which you can use to create a new multiviewer configuration or modify an existing configuration. See Configuring Display Mode.
Open
Ctrl+O
Opens the Open dialog box, from which you can open a layout file that is stored on a local or network drive. See Viewing Layouts.
Close
Closes the layout that is currently open.
Save
Ctrl+S
Saves the layout as a .lay file to a previously specified file name and location. See Saving Layouts.
Save As
Opens the Save As dialog box, from which you can specify a file name (.lay file) and location for the layout file. See Saving Layouts.
Save All
Ctrl+Shift+S
Saves all open layouts. See Saving Layouts.
Page Margin Setup
Opens the Page Margin Setup dialog box where you specify the margin widths for the print out of the layout when you click Print Layout on the toolbar.
Print
Ctrl+P
Opens a Print dialog where you can choose a printer and print the selected layout.
Publish
F12
Sends the currently displayed layout and any new changes to the selected multiviewer. See Displaying and Publishing Layouts.
Exit
Closes the Layout Designer application.
Edit Menu Items and Options
Menu Item/Shortcut Key
Icon
Description
Undo
Ctrl+Z
Cancels the last operation performed on the current layout. Layout Designer supports multiple levels of the Undo command.
Redo
Ctrl+Y
Reinstates the last operation performed on the currently open layout when the Undo command has been used.
Delete
Deletes the selected layout object.
Copy
Ctrl+C
Copies the selected layout object and places it on the clipboard, from which the object can be pasted to another location.
Cut
Ctrl+X
Cuts the selected layout object from the current location and places it on the clipboard, from which the object can be pasted to another location.
Paste
Ctrl+V
Pastes the last layout object placed on the clipboard by either a Cut or Copy command.
Select All
Ctrl+A
Selects all objects in the layout.
Deselect
Ctrl+D
Cancels the selection of objects in the layout.
Break Window
Breaks apart the objects contained in a window.
Create a Window
Creates a window from two or more selected layout objects.
Lock Window
Prevents accessing the properties of individual layout objects within a window.
Bring to Front
Brings the selected window to the top of the layout; also available as a right click option on objects (Order > Bring to Front).
Send to Back
Sends the selected window to the bottom of the layout; also available as a right click option (Order > Send to Back).
Multiviewer Configuration
Opens the Multiviewer Configuration dialog box that you use to modify your multiviewer configuration. See Configuring Display Mode.
Preferences
Opens the Layout Designer Preferences dialog box, from which you can set your application preferences. See Setting Your Layout Designer Preferences.
View Menu Items and Options
Menu Item
Icon
Description
Properties
Shows the Properties pane.
Multiviewers
Shows the Multiviewers panel.
Library
Shows the Layout Designer Library panel.
Restore All Panel Default States
Resets the Properties, Multiviewers, and Library panels to their default positions. You must restart Layout Designer for the change to take effect.
Zoom In
Ctrl+Up
Magnifies the current display of the layout. Depending on the current view, each time you select Zoom In, the layout display is magnified by increments of 50% or 25%.
Zoom Out
Ctrl+Down
Reduces the current display of the layout. Depending on the current view, each time you select Zoom Out, the layout display is reduced by increments of 50% or 25%.
Fit on Screen
Resizes the layout so that entire layout is displayed in the available screen space. The display size is limited by the size of the Properties pane.
Insert Menu Items and Options
Menu Item
Icon
Description
PiP
Inserts a PiP into the current layout. Inserted PiPs have default properties (width, height, and aspect ratio) that can be modified using the Properties pane. See About Picture-In-Pictures (PiPs).
Label
Inserts a new label into the current layout. Inserted labels have default properties that can be modified using the Properties pane. See About Labels.
Analog Clock
Inserts an analog clock into the current layout. Inserted clocks have a default properties that can be modified using the Properties pane. See About Layout Clocks.
Digital Clock
Inserts a default digital clock into the current layout. Clocks have a default size and style that can be modified using the Properties pane. See About Layout Clocks.
Tally
Inserts a default tally indicator into the current layout. Inserted tally indicators have default properties that can be modified using the Properties pane. See About Monitoring Tools.
Audio Meter
Inserts a default audio meter into the current layout. Inserted audio meters have default properties which can be modified using the Properties pane. See Defining Alarms for a Layout Object.
5.1 Audio Meter
Inserts a 5.1 stereo surround sound type audio meter into the current layout. Inserted audio meters have default properties which can be modified using the Properties pane. See Defining Alarms for a Layout Object.
Info Panel
Inserts an overlay that provides data from a source or PiP on the display. See Creating Info Panels.
Up/Down Counter
Inserts a counter that can be the target or trigger for alarms, and can count up or down. See About Up/Down Counters.
Add Object to Library
•
PiP -  Adds the selected PiP to the PiPs section of the Library panel
•
 Window - Adds the selected window to the Windows section of the Library panel
•
Info Panel - Adds the selected info panel to the Info Panels section of the Library panel
Format Menu Items and Options
Menu Item
Icon
Description
Copy Properties
Copies the properties from the selected object so that they can be pasted to other objects. See Copying and Pasting Layout Object Properties.
Paste Properties
Pastes all of the copied properties to the selected object. See Copying and Pasting Layout Object Properties.
Paste Selected Properties
Opens the Paste Category dialog box, from which you can select the properties you want to paste to the selected object. See Copying and Pasting Layout Object Properties.
Align
Opens a drop-down menu, from which you can select the following alignment commands:
•
Left  -  Aligns the selected layout objects along the left axis of the first object selected
•
Right - Aligns the selected layout objects along the right axis of the first object selected
•
Top - Aligns the selected layout objects along the top axis of the first objects selected
•
Bottom - Aligns the selected layout objects along the bottom axis of the first object selected
•
Center Vertical  - Aligns the selected layout objects along a vertical axis that runs through the center of the layout window
•
Middle Horizontal  - Aligns the selected layout objects along a horizontal axis that runs through the middle of the layout window
See Aligning and Distributing Objects in a Layout.
Distribute
Opens a drop-down menu, from which you can select the following distribute commands:
•
Widths - Distributes the distance between the selected layout objects by width
•
Heights - Distributes the distance between the selected layout objects by height
See Aligning and Distributing Objects in a Layout.
Tools Menu Items and Options
Menu Item/
Shortcut Key
Icon
Description
Connect to Device
Connects Layout Designer to the selected multiviewer.
Disconnect From Device
Disconnects Layout Designer from the currently connected multiviewer.
Edit Device
Opens the Device Manager dialog box, from which you can edit the configuration of the selected multiviewer. See Adding Output Displays to the Device List.
Delete Device
Deletes the selected multiviewer configuration from the folder.
Start Multiviewer
Triggers the selected multiviewer to load its layout.
Exit Multiviewer
Triggers the selected multiviewer to revert to its desktop.
Restart Multiviewer
Restarts the currently connected multiviewer.
Reboot Multiviewer
Reboots the currently connected multiviewer.
Shutdown Multiviewer
Powers down the selected multiviewer.
Shutdown all Multiviewers
Powers down all multiviewers simultaneously.
Advanced Configuration
Opens the Advanced Configuration dialog box, from which you can determine various hardware settings. See Output Module Advanced Configuration.
View System Logs
Provides access to logs by opening a web browser, and then connecting to the Logging Server.
COPY Configuration Files
Opens a browse dialog box where you can save files to be copied to the specified location. See Saving and Loading Configuration Files for more information.
LOAD Configuration Files
Opens a browse dialog box, so you can load configuration files to Layout Designer See Saving and Loading Configuration Files for more information.
Layout Menu items and Options
Menu Item
Icon
Description
<Layouts>
There is an item in this menu for each layout that is open.
Help Menu Items and Options
Menu Item/Shortcut Key
Description
Help
F1
Opens the online help.
About Layout Designer
Opens the About Layout Designer dialog box, which displays the version of the software.


Layout Designer Application Toolbar

Layout Designer Workspace > Layout Designer Workspace > Layout Designer Application Toolbar
Layout Designer Application Toolbar
You can use the Layout Designer toolbar to access frequently-used commands and options. Some of these functions are also accessible using the Layout Designer application menu (descriptions of their functions are located in Application Menus).
Some options are only available from the Layout Designer application toolbar. The following table describes these application toolbar options:
Application Toolbar Options
Option Name
Icon
Description
New
Layout Using the Layout Creation Wizard  - Opens the Layout Creation Wizard dialog box, from which you can create a customized layout. See Creating a New Layout Using the Layout Creation Wizard.
Blank Layout - Opens a blank layout. See Creating a New Layout from a Blank Layout.
Configuration - Opens the Device Manager dialog box, which you can use to create a new multiviewer configuration or modify an existing configuration. See Configuring Display Mode.
Open
Ctrl+O
Opens the Open dialog box, from which you can open a layout file that is stored on a local or network drive. See Viewing Layouts.
Save
Ctrl+S
Saves the layout as a .lay file to a previously specified file name and location. See Saving Layouts.
Print
Ctrl+P
Opens a Print dialog where you can choose a printer and print the selected layout.
Clone a Component
Creates a control similar to the currently selected control, with the differences being unique number and name, video source, dynamic source PiP number, and UMD address, which are all incremented
Centralize Layout Components Horizontally and Vertically
Moves all objects within the layout so that they are aligned to the center of the layout. This tool does not alter the positional relationships between various items in the layout, but changes all items’ position with respect to the canvas
Zoom
Increases or reduces the size of the current display of the layout. You can choose from zoom options ranging from 15% to 125% (in 1% increments), or you can fit the display on the screen.
Rules
Provides access to tools for creating and managing alarms and events through a drop-down menu. See Using the Rules Menu for a list.
For a complete explanation of events and alarms, see Alarms and Info Panels.
Open/Close PiP Info Window
Opens or closes the PiP Info windows on all PiPs in the layout.
Layout Designer Panels
Highlights the selected panel (either Properties, Multiviewers, or Library).
Enable Control
Activates mouse control on the multiviewer’s output module from Layout Designer. To deactivate the mouse control, press ALT + F7 on your keyboard. For more information, see Remote Mouse Control.
Lock/Unlock Layout
This button has two states: Unlock Layout and Lock Layout. When the layout is unlocked, you can drag and drop items in the layout, in addition to adjusting the attributes of objects in the Properties panel. When a layout is locked, you can still use the Properties panel to adjust attributes of objects in the layout, but you cannot add, delete, or move objects in the layout. Context menus do not appear when you right click on a locked layout.


Tools Palette

Layout Designer Workspace > Layout Designer Workspace > Tools Palette
Tools Palette
Use the Tools palette to insert, select, move, and resize layout objects that are in the currently-displayed layout. Objects that are inserted into layouts using the palette’s insert tools have default property settings. See Layout Objects.
The following table describes each Tools palette option:
Layout Editing Palette
Icon
Tool
Description
Select
Allows you to select, move, or resize individual or groups of objects in the layout. See Copying and Pasting Layout Object Properties.
Pan
Pans across the layout when the layout display is magnified.
Insert PiP
Inserts a single default PiP into the current layout.
See About Picture-In-Pictures (PiPs).
Insert Label
Inserts a label into the current layout. See About Labels.
Insert Analog Clock
Inserts an analog clock into the current layout. See About Layout Clocks.
Insert Digital Clock
Insert a digital clock into the current layout. See About Layout Clocks.
Insert Audio Meter
Inserts a multi-channel audio meter into the current layout. See Defining Alarms for a Layout Object.
Insert Tally
Inserts a tally into the current layout. See Creating Tally Indicators.
Insert 5.1 Audio Meter
Using this tool, you can choose to insert a six-channel audio meter for monitoring 5.1 channel surround sound audio. See Defining Alarms for a Layout Object.
Insert Info Panel
Using this tool, you can insert an overlay that provides data from a source or PiP on the display. See Creating Info Panels.
Insert Up/Down Counter
Using this tool, you can insert a unidirectional counter. See About Up/Down Counters.
Zoom
Slides up and down to increase and decrease the size of the current display of the layout. As you drag the slider, the zoom indicator displays the current size.


Layout Canvas

Layout Designer Workspace > Layout Designer Workspace > Layout Canvas
Layout Canvas
The layout canvas is the design space used to create and edit layouts.
When multiple layouts are open in Layout Designer, the layouts’ names are listed on multiple tabs across the top of the canvas. Each tab also indicates the layout’s locked or unlocked status.
You can use Layout Designer’s editing tools to manipulate and modify PiPs and other layout objects. You can add objects to your layout by clicking them in the Tools palette, or by dragging the objects from the Library pane and dropping them onto the layout canvas.


Multiviewers Panel

Layout Designer Workspace > Layout Designer Workspace > Multiviewers Panel
Multiviewers Panel
The Multiviewers panel lists the multiviewer systems that are currently configured using Layout Designer. In most cases, the multiviewers listed in the panel have been previously configured with Layout Designer. This means that a unique configuration exists for the multiviewers listed in this Multiviewers panel.
The following figure shows the Multiviewers panel and its components.
Expand the multiviewer system icon to display layouts that are currently stored on the multiviewer’s hardware.
Use the Multiviewers panel menu or toolbar to connect to and disconnect from multiviewers, open the Device Manager dialog box to edit or create a new configuration, and delete a multiviewer from the Multiviewers panel.
If Layout Designer cannot detect a multiviewer that was previously connected to the software, Disconnected is displayed in the Multiviewers pane.
Double-click on any layout to open that layout in Layout Designer.
Using the Preferences dialog box, you can choose to have Layout Designer automatically connect to the last multiviewer that was connected to the software at startup, as well as automatically attempt to reconnect to a multiviewer when the previously established connection is lost. For more information, see Setting Your Layout Designer Preferences.


Multiviewers Panel Context Menu and Toolbar

Layout Designer Workspace > Layout Designer Workspace > Multiviewers Panel > Multiviewers Panel Context Menu and Toolbar
Multiviewers Panel Context Menu and Toolbar
Toolbar icons may not be available depending on the item that is selected. When you right-click on a multiviewer, a context menu appears.
this table describes each Multiviewers panel menu item.
Multiviewers Panel Context Menu
Menu Item
Icon
Description
Connect to Device
Connects/disconnects Layout Designer to the selected multiviewer.
Disconnect Device
Edit Device
Opens the Device Manager dialog box, from which you can edit the configuration of the selected multiviewer. See Adding Output Displays to the Device List.
(New)
No menu item available
Opens the Device Manager dialog box, from which you can create a new multiviewer configuration. See Adding Output Displays to the Device List.
Delete Device
Deletes the selected multiviewer configuration from the library.
(Sort)
No menu item available
Sorts the list of multiviewers from A–Z or Z–A.
Lock Device
Unlock Device
Locks or unlocks the selected multiviewer display.
Start Multiviewer
Triggers the selected multiviewer to load a layout.
End Multiviewer
Triggers the selected multiviewer to revert to its desktop (only available when the device is connected).
Restart Multiviewer
Restarts the currently connected multiviewer (only available when the device is connected).
Reboot Multiviewer
Reboots the currently connected multiviewer.
Shutdown Multiviewer
Powers down the selected multiviewer (only available when the device is connected).
Advanced Configuration
Opens the Advanced Configuration dialog box, from which you can determine various hardware settings. See Output Module Advanced Configuration.
View System Logs
Provides access to logs by opening a web browser, and then connecting to the Logging Server.
Shutdown All Multiviewers
Powers down all multiviewers simultaneously.
When you click a layout in the Multiviewers panel, different menu items appear. this table describes each layout menu item in the Multiviewers panel.
Multiviewers panel Menu When You Click on a Layout
Menu Item
Description
Display this layout on Multiviewer
Displays the selected layout on the selected multiviewer
Recall this layout to Layout Designer
Loads the selected layout in Layout Designer
Delete this layout on Multiviewer
Deletes the selected layout on the multiviewer (Note: this option is not available when the current layout displayed on the multiviewer is selected)


Library Panel

Layout Designer Workspace > Layout Designer Workspace > Library Panel
Library Panel
The Library panel has the following sections: Windows, PiPs, and Info Panels. Objects in these sections can be dragged from the Library panel and dropped onto the currently displayed layout.
For information about using the Library panel toolbar to create, edit, or delete new library objects, see Using the Layout Designer Library Panel.
The Library panel has a display option menu that you can use to customize how the panel is displayed in the layout workspace. For more information about customizing the Library panel, see Customizing the Layout Designer Workspace.
The Library panel items include the following:
•
Windows - You can select windows from the Library panel, and then drag and drop them onto the currently-open layout. If required, you can then use the Properties pane to modify how a window and its layout objects are displayed in the layout. The window must be ungrouped or “broken” if you want to modify any object. To ungroup objects inside a window, right-click on the window and select Break Window. For information about windows, see Creating Layout Windows.
•
PiPs - PiPs in the Library panel are organized according to their aspect ratio. You can select PiPs from the Library panel, and then drag and drop them onto the currently open layout. If required, you can then use the Properties pane to modify how the PiPs are displayed in the layout. For information about modifying PiP properties, see Layout Objects.
•
Info Panels - You can drag info panels from the Info Panels section and drop them onto PiPs that are displayed in the layout window, or drop them onto the layout background as standalone info panels. You can use the Properties pane to modify the contents of an info panel. For information about modifying info panel properties, see Modifying Info Panel Properties.


Properties Pane

Layout Designer Workspace > Layout Designer Workspace > Properties Pane
Properties Pane
The Properties pane is located below the Layout canvas.
1.
If the Properties pane is not currently displayed, select View > Properties from the application menu.
The Properties pane changes based on the object that is selected on the canvas.
You can modify properties that affect the way layout objects are displayed in the layout. Each group of layout objects has a tab with controls that allow you to adjust the layout object’s properties, such as changing the layout output resolution or PiP label text color. You can also add elements (such as audio meters and audio and video alarms) to your layout.
Depending on what object is selected in the layout canvas, different tabs appear in the Properties pane. To access the Properties pane for a specific layout object, select the object in the layout canvas, and then click the appropriate property tab. The number of tabs that will appear on the Properties pane will vary depending on the selected object.
You can resize the Properties pane by dragging its sides with the cursor. Use the scroll bars to view the entire pane. The Properties pane is always on top of other panes in the Layout Designer interface. If a portion of the pane is obscured by the size of the pane, use the scroll bars to view the content.


Layout Designer Context Menu

Layout Designer Workspace > Layout Designer Workspace > Layout Designer Context Menu
Layout Designer Context Menu
The Layout Designer context menu provides quick access to some commands and options that are also available from the application menu.
To access the Layout Designer context menu, in the canvas, select a layout object, and then right-click. The context menu appears.The options available on the context menu depend on the layout object that is currently selected in the layout.
Context menus do not appear when you right click on a locked layout.
this table describes each Layout Designer context menu item.
Layout Designer Context Menu
Option Name
Description
Delete
Deletes the selected layout object from the layout currently displayed on the canvas.
Copy
Copies the selected layout object and places it on the clipboard, from which the object can be pasted to another location.
Cut
Cuts the selected layout object from the current location and places it on the clipboard, from which the object can be pasted to another location.
Copy Properties
Copies the properties from the selected layout object so that they can be pasted to another layout object (same type). For information about copying PiP properties, see Formatting Layout Objects in the Canvas.
Paste
Pastes the last layout object that was placed on the clipboard by either a Cut or Copy command.
Paste Properties
Pastes all of the copied properties to the selected object. For information about pasting properties, see Copying and Pasting Layout Object Properties
Paste Selected Properties
Pastes selected categories of properties to the selected object.
Add/Edit Window Alarm
Opens the Rules editor for the window, so you can alter the alarm configuration for that window.
Clear Window all Alarms
Resets all alarms in the window.
Set Properties
This option is available when multiple windows are selected. A submenu offers all types of controls for all window controls within the selection. When you change the settings, all items of that type are altered to match.
Break Window
Breaks apart the objects contained in a window.
Remove Window Component
This option is available when multiple windows are selected. A submenu offers all types of controls for all window controls within the selection. The selected item is deleted.
Create a Window
Groups objects together to create a window.
Lock Window
Prevents accessing the properties of individual layout objects within a window.
Consolidate Window(s)
Adjusts the background size of the current window so that it is the minimum size to contain all the objects within the window.
Create a Scrolling Region
Converts the selected window to display a series of sources that move in a rolling or crawling motion.
Lock Scrolling Region
Prevents accessing the properties of individual layout objects within a scrolling region.
Add Scrolling Region to Library
Adds the selected scrolling region to the Windows section of the Library panel.
Add Window to Library
Adds the selected window to the Windows section of the Library panel.
Add PiP to Library
Adds the selected PiP to the PiPs section of the Library panel.
Order
Opens a drop-down menu, from which you can select the following order commands:
•
Bring to Front - Brings the selected layout object to the top of the object stacking order
•
Send to Back - Sends the selected layout object to the back of the object stacking order
For information about ordering layout objects, see Formatting Layout Objects in the Canvas.
Info Panel
Opens a drop-down menu, from which you can select the following commands:
•
Remove - Removes the info panel from a PiP
•
Unlock Info Panel Items - Unlocks individual items from the Info Panel
•
Move Out - Allows info panel to move out of PiP
•
Add to Library - Adds the info panel to the library
•
Enable Resizing Info Panel - Allows you to drag the edges of the info panel to change its shape and size; this can ensure that the indicators do not fall on top of a PiP’s video (you can move the info panel off the PiP, for example).
•
Disable Resizing Info Panel - Turns off Enable Resizing Info Panel
Add Info Panel to Library
Adds the selected info panel to the Info Panels section of the library
Borders
Opens a drop-down menu, from which you can select from a list of all borders associated with an object (normally a window)


Customizing the Layout Designer Workspace

Layout Designer Workspace > Customizing the Layout Designer Workspace
Customizing the Layout Designer Workspace
Layout Designer provides a number of different ways that you can customize the workspace to best suit your changing working environment. When you use Layout Designer to create new layouts and design custom layout objects, you can set up the workspace so that the Properties pane and the Library panel are easily accessible. When you are publishing layouts for display, you can hide (or auto hide) panels and the Properties pane to maximize your view of the canvas area on your computer’s screen.
When you close Layout Designer, and then reopen it, any previous changes to the pane states are retained. To return Layout designer to its default state, select View > Restore All Panel Default States from the main menu.
You can also set default layout and PiP property options.


Setting Panels and Panes Viewing Options

Layout Designer Workspace > Customizing the Layout Designer Workspace > Setting Panels and Panes Viewing Options
Setting Panels and Panes Viewing Options
Layout Designer has view options for the Properties pane and Multiviewers and Library panels that you can use to customize the Layout Designer workspace. For example, you can move these items to different locations in the workspace, or you can hide the items from the workspace view.
To access the Properties pane and the Multiviewers and Library panel view options, click the down-arrow icon located at the end of the item’s title bar. The drop-down menu displays the view options.
Each menu option is described below:
•
Hide   Select this option to remove the panel or pane from the Layout Designer workspace. After the item has been hidden, select one of the following options to add the item back to the workspace:
•
View > Properties
•
View > Multiviewers
•
View > Library
•
Floating -  Select this option to undock the panel or pane from its stationary location in the Layout Designer workspace (bottom of the workspace for the Properties pane and the right side of the workspace for the Multiviewers and Library panels). You can then use the mouse to move the item to different locations in the workspace. Double-click the item to redock it.
When a workspace item is undocked, you can resize it by clicking then dragging the item’s outer edge while holding down your mouse button. The mouse pointer will turn to a double-headed arrow to indicate that you have selected the workspace item’s outer edge.
•
Auto Hide  - Select this option to collapse (temporarily hide) the menu item. When the Auto-Hide option is enabled, the collapsed items are stored either at the bottom (Properties pane) or to the right (Multiviewers library and Layout Designer Library) of the Layout Designer workspace. An auto-hidden workspace item is identified by a vertical or horizontal tab. To access the workspace item library, hold the pointer over the item’s tab.
You can also activate or deactivate the Auto Hide option by clicking
the [image] icon from the workspace item title bar.


Saving and Loading Configuration Files

Layout Designer Workspace > Customizing the Layout Designer Workspace > Saving and Loading Configuration Files
Saving and Loading Configuration Files
To save configuration files, follow these steps:
1.
From the main menu, choose Tools > COPY Configuration files.
A Browse dialog box opens.
2.
Choose a location to save the files.
To load configuration files, follow these steps:
1.
From the main menu choose Tools > LOAD Configuration Files.
A Browse dialog box opens.
2.
Choose a location to load the files from.
Files that are loaded and saved during this process include:
•
Configuration.xml for the device and multi-viewer configuration
•
Preference.dat for the Layout Designer application preference.
•
dockManager.xml for the states of Multi-viewer panel, library panel and the property panel.
•
Alarms.dat for the alarm template
•
WindowCustomLibrary.xml for the customer-defined window library
•
PiP16by9Library.xml for the customer-defined PiP library
•
BorderStyles.xml for the custom-defined border style library


Setting Your Layout Designer Preferences

Layout Designer Workspace > Setting Your Layout Designer Preferences
Setting Your Layout Designer Preferences
Using the Layout Designer Preferences dialog box, you can set the application’s global preferences, including default settings for new layouts, windows, labels, and PiPs. You can also recall Layout Designer factory default settings.
To access the Layout Designer Preferences dialog box, from the Layout Designer application menu, select Edit > Preferences. There are five tabs on the Layout Designer Preferences dialog box. See the following topics:
•
Setting General Preferences
•
Setting Default Layout Properties
•
Setting Default PiP Properties
•
Setting Default Window Properties
•
Setting Default Label Properties
After you finish setting your preferences, click OK to apply them. Your preference settings are automatically saved each time you exit Layout Designer.


Setting General Preferences

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting General Preferences
Setting General Preferences
Use the General tab of the Layout Designer Preferences dialog box to set the number of levels for Undo and Redo commands, set auto connection options, and return to factory defaults.


Setting Undo and Redo Levels

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting General Preferences > Setting Undo and Redo Levels
Setting Undo and Redo Levels
You can set the number of undo and redo levels that can be applied to when the Undo and Redo commands are used after an editing operation.
To set the number of undo and redo levels:
•
Under Undo/Redo, type a value in the Undo/Redo field.


Setting Multiviewer Connection Preferences

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting General Preferences > Setting Multiviewer Connection Preferences
Setting Multiviewer Connection Preferences
You can set up Layout Designer to automatically connect to the last connected multiviewer when a connection between the Layout Designer and the multiviewer is lost.
To select Layout Designer’s auto connect option:
•
Under Autoconnect, select Auto connect to multiviewer if connection is lost check box. If you clear this check box and a connection is lost, you can manually reconnect to the multiviewer using the Multiviewers panel menu.


Setting Factory Default Recall Preferences

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting General Preferences > Setting Factory Default Recall Preferences
Setting Factory Default Recall Preferences
To set factory recall preferences and recall factory defaults:
1.
Under Recall Layout Designer Defaults, select which options you want reset to factory default settings.
You can select from the following options:
•
LD Preferences - Resets all Layout Designer preferences that you can set using the Layout Designer Preferences dialog box (General and Default Properties tabs)
•
Libraries - Resets the Library panel to the default state. This means that custom layout objects and windows added to the Library panel will be removed (using Add Layout Objects to Library commands)
•
Border Styles - Resets all the available border styles available from the Border tab of the Properties pane factory default selection. This means that any created new borders added to the Border Styles selection are removed.
2.
To recall the factory default options that you selected in step 1, click Recall Factory Defaults.


Overwriting Layouts

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting General Preferences > Overwriting Layouts
Overwriting Layouts
If you want to be prompted before overwriting layouts on multiviewers, check this option. Otherwise, leave it blank.


Setting the Default View

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting General Preferences > Setting the Default View
Setting the Default View
Choose one of the following:
•
Zoom Level - When a new layout is created, it is displayed at the percentage defined in the field to the right of the radio button. The range is from 15% to 125% in 1% increments.
•
Fit to Screen - When a new layout is created, the entire layout is displayed in the available screen space. The display size is limited by the size of the Properties pane.


Determining Auto Placement

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting General Preferences > Determining Auto Placement
Determining Auto Placement
When you add items to the layout using the Clone a Component button on the toolbar, they are spaced from one another using the Auto Placement settings. Use the Horizontal Spaces and Vertical Spaces fields to increase or decrease this padding. The available range is from 0 to 200.


Setting Default Layout Properties

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting Default Layout Properties
Setting Default Layout Properties
You can use the Layout tab of the Layout Designer Preferences dialog box to define the default properties for layouts and layout objects, and to configure email settings.


Configuring General Layout Properties

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting Default Layout Properties > Configuring General Layout Properties
Configuring General Layout Properties
Layout default properties are used when Layouts are created from a blank layout (File > New > Blank Layout) or when using the Layout Creation Wizard (File > New > Layout Using Layout Creation Wizard). For more information, see Using a Blank Layout.
To access these settings, from the Layout Designer application menu, select Edit > Preferences, and then click the Layout tab. After you finish setting your preferences, click OK to apply them.
To set default layout properties:
1.
On the Layout Designer Preferences dialog box, select the Default Properties tab.
2.
Under Layout, select a resolution from the Output Resolution drop-down list.
3.
If you selected Custom from the Output Resolution list, type pixel values for the layout’s width and height in the field provided (width first and height second).
4.
Under Margins, enter the amount of padding you would like between the edge of the layout and where objects, including the background, appear in the layout.
Layout margins determine the boundary of the layout area where objects, including the background, can be placed. The overall layout size is maintained, not cropped. The maximum size for margins varies depending on the resolution of the layout.
5.
Beside Background, select either Color or a background image
(Background 1 to Background 10) from the drop-down list.
6.
If you selected Color as your default background, click the [image] button to access the Select a Color dialog box, and then use the slider to select a color, and click OK.
For more information about using the Select a Color dialog box, see Setting Default Window Properties.
7.
Under Orientation, select either Landscape (wider than tall) or Portrait (taller than wide).
8.
Under UMD Address, if you want fixed UMDs to start at a number other than 0, enter a number beside Starting at.
For information on changing a layout’s properties, see Modifying Layout Properties


Configuring E-Mail Settings

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting Default Layout Properties > Configuring E-Mail Settings
Configuring E-Mail Settings
The email settings determine the SMTP server for sending email and SMS text message alarm actions. See Setting Alarm Actions for more information.
Email Settings in General Preferences
Parameter
Content
SMTP Server
Enter the address of the mail server.
User Name
Enter the account name.
Password
Enter the password, if required, to send mail from that address.
Security Type
Choose None or SSL.
Port Number
Enter the SSL service port for the sending email address. This is only required for SSL-type security settings.
Email Address
Enter the user email address on the server, not necessarily the target email address of the alarm action.


Setting Default Window Properties

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting Default Window Properties
Setting Default Window Properties
You can set the default properties for windows that are created using the Create Window command from the Layout Designer context menu. For more information about windows, see Creating Layout Windows.
To set default window properties:
1.
From the Layout Designer Preferences dialog box, select the Window tab.
2.
Under Background, select either Color or a background image (Background 1 to Background 10) from the drop-down list.
3.
If you selected Color as your default background, click the [image] button to open the Select a Color dialog box.
To select a color, do either of the following:
•
Use the slider to select a color.
•
Enter the color values you want to use in one of the ScRGB, sRGB, or Hexadecimal Notation fields.
Your selected color is previewed below Selected Color.
4.
Under Border, if you want a uniform border width around layout objects, select the Uniform check box.
If you do not want a uniform border width, clear the Uniform check box, and then type or select the values for the Top, Bottom, Left, and Right border widths.
To select the default border color, beside Border Color, click the [image] to open the Selector a Color dialog box.
In the Select a Color dialog box, use the slider to select a color, and then click OK.
If required, use the Opacity slider to adjust the color’s opacity value, and then click OK.
5.
Select Auto Lock window contents, if you want the Lock Objects in Window to be enabled when a window is created.
When a window is locked, you cannot move or modify the layout objects contained in the window until Lock Window is cleared. For more information, see Modifying Window Properties Using the Properties Pane.


Setting Default PiP Properties

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting Default PiP Properties
Setting Default PiP Properties
You can set the default properties for PiPs that are created using Layout Designer’s Insert PiP commands. Default PiP properties are applied to PiPs that are created using Insert > PiP from the application window, and the Insert PiP tool from the Tool palette. For more information, see Adding PiPs to a Layout.
To define default PiP values:
1.
From the Layout Designer Preferences dialog box, select the PiP tab.
2.
Type the values you want to use for the default PiP width and height in the Width and Height boxes.
3.
Beside Aspect Ratio, select an aspect ratio from the drop-down list.
4.
(Optional) Under Cropping & Markers, select Cropping, and then do either of the following:
•
If you want a uniform cropping area around the PiP, select the Uniform check box, and then select a value.
•
If you do not want a uniform cropping area, clear the Uniform check box, and then type or select the values for the Top, Bottom, Left, and Right cropping.
Cropping rescales the video on the Multiviewer; the lines will not show when you publish the layout.
5.
(Optional) Add markers to your PiP.
Under Cropping & Markers, you can choose the following options:
•
Aspect Ratio Markers—An indicator of correct aspect ratio on the PiP to let you know whether the video is properly scaled when a source that is one aspect ratio is put on a PiP that has a different aspect ratio. The aspect ratio markers displays the area of an image with a 16:9 aspect ratio within a 4:3 coded frame, or an image with a 4:3 aspect ratio within a 16:9 coded frame.
Click Enable to activate a marker on the PiP. To determine the color of the marker, click Color, make a selection, and then click OK.
•
Safe Area—adds a Title Marker indicator on the PiP to indicate the safe area for titles to be displayed (80% of the picture area).
Click Title Marker to activate a marker on the PiP. To determine the color of the marker, click Color, make a selection, and then click OK.
•
Active Format Description—adds an indicator that displays the AFD description present on the incoming video. There are two options:
•
AFD - HD and SD video
•
WSS - SD 625 video only
Click Enable to activate a marker on the PiP. To determine the color of the marker, click Color, make a selection, and then click OK.
From the drop-down menu, there are two options:
•
Display mode—(note, this option is always selected) markers on the multiviewer PiP indicate the active picture area indicated by the AFD or WSS code on the input.
•
Convert mode—scales the video on the input source as indicated by the AFD or WSS code on the input.
6.
In the CCS-P Dynamic Name Reference section of the screen, choose the source from which your PiPs will derive their names. See Defining PiP Names for more information.
7.
Beside Borders, if you want a uniform border width around layout objects, select the Uniform check box.
If you do not want a uniform border width, clear the Uniform check box, and then type or select the values for the Top, Bottom, Left, and Right border widths.
To select the default border color, beside Border Color, click the [image] to open the Selector a Color dialog box. In the Select a Color dialog box, use the slider to select a color, and then click OK.
8.
If you want PiPs to have a default scope assigned to them (and you have the Test and Measurement option), under Scope, choose the scope to assign.
Click Configure to further define the scope.
9.
Beside Max Sources, type the maximum number of inputs from the router.
10.
Check Use Cached Sources if you want the multiviewer to use the source names from the last time it connected, when the multiviewer is disconnected at Layout Designer start-up.
For information about altering an individual PiP’s properties, see Modifying PiPs Using the Properties Pane.


Setting Default Label Properties

Layout Designer Workspace > Setting Your Layout Designer Preferences > Setting Default Label Properties
Setting Default Label Properties
You can set the default properties for labels that are created using Layout Designer’s Insert Label commands. Default PiP properties are applied to labels that are created using Insert > Label from the application window, and the Insert Label tool from the Tool palette. For more information, see About Labels.
To define default Label values:
1.
From the Layout Designer Preferences dialog box, select the Label tab.
2.
Beside Borders, if you want a uniform border width around layout objects, select the Uniform check box.
If you do not want a uniform border width, clear the Uniform check box, and then type or select the values for the Top, Bottom, Left, and Right border widths.
To select the default border color, beside Border Color, click the [image] to open the Selector a Color dialog box. In the Select a Color dialog box, use the slider to select a color, and then click OK.
3.
Under Text Source, choose an option.
All the options are described in Setting the Label Text Source.
For information about altering an individual label’s properties, see About Labels.


Closing Layout Designer

Layout Designer Workspace > Setting Your Layout Designer Preferences > Closing Layout Designer
Closing Layout Designer
When you close Layout Designer, the following dialog box appears:
Choose one of the following options:
•
Exit without saving - closes all layouts, discarding changes or updates, and exits Layout Designer.
•
Exit with Saving All Layouts - saves all changes to all open layouts, and then exits Layout Designer.
•
Exit With Saving One by One - for each layout that has changes, asks if you do or do not want to save changes, or if you want to cancel out of closing the multiviewer. If you do not click Cancel at any time, Layout Designer closes.
•
Cancel - does not save any layouts, does not close Layout Designer.
Layouts that have been changed since they were last saved have an asterisk (*) in the layout tab.


Using the Layout Designer Library Panel

Layout Designer Workspace > Using the Layout Designer Library Panel
Using the Layout Designer Library Panel
The Layout Designer Library panel stores a collection of default and custom layout objects that can be dragged from the Library and dropped onto the currently-displayed layout. In the Library panel, layout objects are listed by name (which is indicated on each library tab) and a preview of the layout object. For information about adding new layout objects to the Library, see Adding Layout Objects to the Library Panel.
The Library panel has view options that customize the way the panel is displayed in the Layout Designer workspace. For example, you can undock Library panel items and move them to different locations in the workspace, or you can hide the items from the workspace view. For more information about the Library view options, see Setting Panels and Panes Viewing Options.
Your layout must be in an unlocked state to use the Library panel.
See Locking and Unlocking Layouts.


Adding Layout Objects to the Library Panel

Layout Designer Workspace > Using the Layout Designer Library Panel > Adding Layout Objects to the Library Panel
Adding Layout Objects to the Library Panel
You can design custom layout objects and add them to the appropriate tab in the Library panel by right-clicking on the object.
You can delete any new object using Delete on the Library panel menu. You cannot delete the default items from a Library panel.
If you delete a Library object, you cannot use the Undo command
to restore the object to the Library.


Adding Layout Objects to the Library Panel From the Insert and Context Menus

Layout Designer Workspace > Using the Layout Designer Library Panel > Adding Layout Objects to the Library Panel > Adding Layout Objects to the Library Panel From the Insert and Context Menus
Adding Layout Objects to the Library Panel From the Insert and Context Menus
To add a PiP, info panel, or window from a layout to the Library panel, from the layout, select the object you want to add to the Library panel and do one of the following:
•
From the application menu, select Insert > Add Object to Library, and then, depending on the object you want to add, select PiP, Info Panel, or Window.
•
Right-click, and then depending on the object you want add, select Add PiP to Library, Add Info Panel to Library, or Add Window to Library.
You will only have the option to add an info panel to the Library panel if the info panel is not attached to a PiP or a window. However, if a window or PiP contains an info panel, the info panel will be added to the Library panel as part of that object.
When you add a PiP to the Library panel, it is automatically added to the tab for the corresponding aspect ratio.


Configuring Display Mode

Configuring Display Mode
Configuring Display Mode
Overview
When No Multiviewers are Connected
Adding Output Displays to the Device List
Output Module Advanced Configuration


Overview

Configuring Display Mode > Overview
Overview
Output modules can only be configured for operation using Layout Designer. Once an output module is configured, it is automatically added to the Layout Designer Multiviewers panel.
Before you can create a multiviewer system with Layout Designer, you must add the output module that you want to set up to the Devices list. After an output module is added the Devices list, Layout Designer software scans the multiviewer hardware to detect specific hardware settings. You may need to enter additional information about your output module to complete the set up.
The chapter contains the following sections:
•
Adding Output Displays to the Device List
•
Configuring Output Display Devices
For information about your multiviewer system hardware, see your Harris Multiviewer Installation, Configuration, and Operation Manual.


When No Multiviewers are Connected

Configuring Display Mode > When No Multiviewers are Connected
When No Multiviewers are Connected
When a computer running Layout Designer cannot discover any multiviewers on the network, the following functionality will not be available in Layout Designer:
•
Enable Control button on toolbar
•
Global Alarms and Global Events options in the Rules menu
•
Start, Exit, Connect, Disconnect, Edit, Delete, Restart, Reboot, and Shutdown Multiviewer options in Tools menu
•
On Screen Messages Reset and Preview Margins on Layout properties pane
•
Publish option in File menu
You can enable these features by connecting to a multiviewer. See Device Manager Dialog Box for more information.


Adding Output Displays to the Device List

Configuring Display Mode > Adding Output Displays to the Device List
Adding Output Displays to the Device List
The first step in configuring your multiviewer is adding your output module to the Device list. After the output module is added to the Devices list, configure the connected output display.
There are two ways that you can add an output module to the Devices list. Both methods are performed using the Device Manager dialog box.
•
Using the Discovery tool to scan the network for devices.
•
Manually entering the IP address of the output module that you want to set up.
To open the Device Manager dialog box:
1.
Select Edit > Multiviewer Configuration from the application menu.


Device Manager Dialog Box

Configuring Display Mode > Adding Output Displays to the Device List > Device Manager Dialog Box
Device Manager Dialog Box
Lists by name the output modules that have been added to the Devices list. You can add or edit the name of an output module at any time.
Lists the IP address of output modules in the Devices list. You can add devices to the list manually by typing the IP address of an output module in the IP Address field.
Displays the number of multiviewer systems or independent displays on an output module. The number of displays depends on the display mode; for example, Quad SDI mode has four displays, and Spanned mode has one.
Tests the validity of the device connection by pinging the IP address. Invalid connections are indicated by the X icon.
The Multiviewer application must be running to pass this test.
Discovers devices on the network and displays discovered devices by name and IP address.
Adds detected devices to the Devices list.
When Connect automatically to selected device is selected, Layout Designer connects to the specified output module immediately once you click Save on the Device Manager dialog box.


Adding Devices by Scanning the Network

Configuring Display Mode > Adding Output Displays to the Device List > Device Manager Dialog Box > Adding Devices by Scanning the Network
Adding Devices by Scanning the Network
When you use the Discovery tool to add output modules to the device list, Layout Designer scans the network and reports all devices with an IP address. The amount of time that a discovery takes depends on the number of devices you have on your network. Layout Designer may discover devices that you do not want to add to the devices list.
To discover output modules:
1.
Open the Device Manager dialog box.
2.
Under Device Discovery, click Discover Devices.
3.
When the discovery is complete, do either of the following:
•
Select the devices that you want to add to the Devices list, and then click Add to My Devices.
•
To add all of the discovered devices, click Add All to My Devices.
The selected devices appear in the Devices list.
4.
Click Save to save the list and connection information.
You can now set up your output module using the Layout Designer’s Layout Creation Wizard.


Adding Devices Manually

Configuring Display Mode > Adding Output Displays to the Device List > Device Manager Dialog Box > Adding Devices Manually
Adding Devices Manually
To add a output module manually, it must have a valid IP address and reside on the same subnet as the PC that is running Layout Designer.
To add a device manually:
1.
Open the Device Manager dialog box.
2.
Click Add Device.
A new device appears in the Device list.
3.
Under Device Name, enter a new name for multiviewer’s output module.
4.
Under IP Address, type the IP address of the output module.
5.
Under Display, type the number of the display on the output module.
6.
To test the validity of the module’s connection, click Test.
One of the following appears in the Connection column.
The connection has not been tested.
The connection is valid.
The connection is invalid.
7.
Click Save to save the list and connection information.
If your connection is reported as invalid, check the IP address of the device that you want to add, and then test the connection again. The Multiviewer application must be running for this test to pass.


Output Module Advanced Configuration

Configuring Display Mode > Output Module Advanced Configuration
Output Module Advanced Configuration
The Advanced Configuration dialog box allows you to define different aspects of your device, including its IP, communication options, and output display format.
To open the Advanced Configuration dialog box:
1.
Do either of the following:
•
Click Advanced Configuration on the Device Manager dialog box.
•
Right-click on a multiviewer in the Multiviewers panel and select Advanced Configuration.


Configuring Output Display Devices

Configuring Display Mode > Output Module Advanced Configuration > Configuring Output Display Devices
Configuring Output Display Devices
On the Display tab of the Advanced Configuration dialog box, you can select whether to output layouts to DVI or SDI output display devices. You cannot output layouts to both DVI and SDI outputs simultaneously. Using DVI, the Harris Multiviewer can output single or dual (or quad, with two Matrox TripleHead2Go devices), and output SDI in single, dual, or quad configuration.
For information about connecting monitors and other devices, see your Harris Multiviewer Installation, Configuration, and Operation Manual.
For the Video Output options, the following terminology is used:
•
Redundant options display the same content on each screen.
•
Spanned options display a single layout across multiple screens.
•
Quad options display different layouts on four screens.
•
Dual options display two different layouts on two or four screens.
To configure your output display devices:
1.
Open the Advanced Configuration dialog box.
2.
On the Display tab, choose SDI or DVI.
3.
Choose the appropriate display format.
1080p output mode is available in two SDI output configurations, Dual 1080p and Redundant SDI. You need to be connected to the CENTRIO with 3G support to see the 3G configuration modes.
4.
Do either of the following:
•
If you selected a DVI video output setting, choose an output resolution from the DVI Resolution drop-down list, and set the frame rate, if necessary.
•
If you selected an SDI video output setting, choose an output resolution from the SDI Standard drop-down list.
5.
To change the orientation of the output from landscape to portrait, select portrait in the Display # Orientation drop-down list.
6.
Set the Video Sync (determines the video sync source for the entire multiviewer’s system) values in the Timing area.
7.
Click Done.


Changing IP Address Settings

Configuring Display Mode > Output Module Advanced Configuration > Changing IP Address Settings
Changing IP Address Settings
Your output module is shipped with the default IP address, 192.168.100.250. You can use this IP address to connect your output module directly to Layout Designer or add the output module to your network.
To change the IP address, your PC must be on the same subnet as the output module (192.168.100.xxx).
After you add the multiviewer to your network, you can change the IP address, if necessary. If you have more than one output module installed in your Platinum router, you must change the default IP address in order to configure each output module.
Output modules have two Ethernet connections: Ethernet 1 and Ethernet 2. Only Ethernet 1 is assigned the default IP address, so ensure that this port is used to connect your output module to the Ethernet port of your local PC or network connection or hub.
After you have connected the multiviewer’s Ethernet connection to a local PC through an Ethernet switch, you can use Layout Designer to discover the module, and then change the IP address. If you have more than one multiviewer output module installed in your Platinum frame, you must go through the process of discovering and changing the IP address one output module at a time.
To change the IP address of an output module:
1.
Open the Advanced Configuration dialog box.
2.
Select the IP Settings tab.
3.
Under Ethernet 1, delete the default in the IP address that appears in the IP Address, Subnet Mask, and Gateway fields, and then enter the IP Address and Subnet Mask that you want to use for the output module.
4.
If you are using Ethernet 2, change the information that appears in the IP Address, Subnet Mask, and Gateway fields.
By default, Ethernet 2 is set to DHCP.
5.
Click Save.
You can also use CCS Navigator to change the multiviewer output module’s Ethernet 1 IP address. For more information, see your Navigator documentation.


Platinum PT-RES Configuration

Configuring Display Mode > Output Module Advanced Configuration > Platinum PT-RES Configuration
Platinum PT-RES Configuration
The Platinum Core needs to be hooked up to successfully complete this procedure.
To alter how the output module communicates with its Platinum frame:
1.
Open the Advanced Configuration dialog box.
2.
Select the IP Settings tab.
3.
If your multiviewer will communicate with the PT-RES module through the Platinum frame’s internal bus, choose INET.
4.
If it will communicate through external cabling, choose ENET, and then enter the IP address of the PT-RES card.


Setting Up External Devices

Configuring Display Mode > Output Module Advanced Configuration > Setting Up External Devices
Setting Up External Devices
External devices for use with Harris multiviewers include the JLCooper Electronics eBOX™ Quad Serial to Ethernet Interface for GPI control and monitoring, and UMD devices.


Adding External Devices

Configuring Display Mode > Output Module Advanced Configuration > Setting Up External Devices > Adding External Devices
Adding External Devices
1.
Open the Advanced Configuration dialog box.
2.
Select the External Devices tab.
3.
In the Device Name list, select the multiviewer that the external device is going to communicate with.
4.
Beside Name, enter a descriptive title for your device.
5.
From the Type list, select JL Cooper E-Box for GPI control and monitoring, or one of the other options for UMD devices.
6.
Beside Port, select the communication port that the device is using.
Devices can communicate through either COM Port (1, 2, 3, or 4) or TCP/IP.
7.
Do either of the following:
•
If the device is communicating through TCP/IP, enter the device’s IP address and port.
For the JL Cooper eBOX default IP address is 192.168.254.102, and its default port is 23.
•
If the device is communicating through COM Port, enter values for Data Bits, Baud Rate, Parity, and Stop.
These settings should match those of the unit to be communicated with.
8.
Click Add.
A row is added to the list at the bottom of the dialog box.
9.
Repeat steps 4 to 8 for each external device that you want to add.


Removing External Devices

Configuring Display Mode > Output Module Advanced Configuration > Setting Up External Devices > Removing External Devices
Removing External Devices
If you are no longer using an external device to communicate with your multiviewer, remove it so that the multiviewer no longer accepts inputs from that source.
1.
Open the Advanced Configuration dialog box.
2.
Select the External Devices tab.
3.
Select an item in the list near the bottom of the dialog box.
4.
Click Remove.
The row is removed from the list.


Binding UMD Addresses to Input Sources

Configuring Display Mode > Output Module Advanced Configuration > Setting Up External Devices > Binding UMD Addresses to Input Sources
Binding UMD Addresses to Input Sources
If you intend to use UMD devices for tally or dynamic labels, you must first bind the UMD address to an input source on the Source UMD tab.
1.
Open the Advanced Configuration dialog box.
2.
Select the Source UMD tab.
3.
Do one of the following:
•
To set the UMD address for each individual feed manually, select the corresponding UMD number once, and then click it again to enter the correct value.
•
To set the UMD address in increments of one, select the first feed, and then click Set. The UMD address values start with the value that is in the UMD field.
•
To set all of the UMD addresses to the same value, select the first feed, and then click Fill. All of the UMD addresses become the same value as that set in the UMD field.
•
To set the UMD address for a range of feeds, select a feed in the Starting Source field, and then select a feed in the Ending Source field. The UMD values, whether they are created by clicking Set or Fill, apply only to the range of feeds within your selection.
•
To view the alias name on PiPs, rather than the external protocol name or the router database name, place a check beside Use Source Alias.
A Source Alias file can be edited in Microsoft Excel, and then saved as a *.csv (comma-separated file), using the following buttons:
•
Import–Opens a Browse dialog box, where you can select a *.csv file to load.
•
Export–Opens a Browse dialog box, where you can save the current source alias information as a *.csv file.
•
Update–Updates the alias names on the currently selected multiviewer.
•
Update All–Update the alias names on all connected multiviewers.
4.
Click Done to accept the new values.


Getting Version Information

Configuring Display Mode > Output Module Advanced Configuration > Getting Version Information
Getting Version Information
Select the Version tab to see version information about the hardware and software components and keys, which is for informational purposes only.


Configuring Network Time Protocol (NTP)

Configuring Display Mode > Output Module Advanced Configuration > Configuring Network Time Protocol (NTP)
Configuring Network Time Protocol (NTP)
Use the Network Time Protocol (NTP) synchronizes the clocks of computer systems over internet connections.
1.
Open the Advanced Configuration dialog box.
2.
Select the NTP tab.
3.
Click Enable.
4.
Enter the IP Address or URL of your NTP source.
5.
Beside Update Interval, select the frequency with which the multiviewer will check for updates.
6.
Click OK.


Enabling Alarm Logging

Configuring Display Mode > Output Module Advanced Configuration > Enabling Alarm Logging
Enabling Alarm Logging
When alarm logging is enabled, alarms are added to the system log, when the Log Message alarm action is set for a particular alarm. See Setting Alarm Actions.
1.
Open the Advanced Configuration dialog box.
2.
Select the Miscellaneous tab.
3.
Click Enable Alarm Logging.


Working with Layouts

Working with Layouts
Working with Layouts
About Layouts
Creating New Layouts
Viewing Layouts
Connecting Layout Designer to a Harris Multiviewer
Displaying and Publishing Layouts
Layout Properties


About Layouts

Working with Layouts > About Layouts
About Layouts
Layouts are made from an arrangement of windows, PiPs and other layout objects, including windows, PiPs, labels, tally indicators, clocks, up/down counters, and on-screen alarms. The largest single unit of a layout is a window. Windows are containers that are used to store a compilation or arrangement of layout objects, such as PiPs, audio meters, and tally indicators. PiPs, the main component of layouts, display video from the multiviewer’s various input sources.
Layout Designer provides a number of different ways to create new layouts for display on your multiviewer system. After layouts are created, you can use the editing options to define how you want the layout to appear in output display devices.
Use the Layout Designer to modify the default assignment of video before displaying the layout in the output display devices.
Layout objects do not need to be part of a window to be displayed in a layout.
The following figure illustrates a layout comprised of windows and layout objects.
Windows are similar to grouped layout objects with the exception that windows have a set of distinct properties associated with them. You can apply properties, such as scrolling properties, to affect how the window looks and behaves in a layout. Grouped layout objects are defined by the individual object properties. For information about creating and editing windows, see Creating Layout Windows.
The display characteristics of a layout are determined by layout objects including PiPs, alarms, and audio meters. In additional to these objects, PiPs are associated with attributes: borders and labels. In layouts, the position and appearance of layout objects and PiP attributes are determined by properties.


Creating New Layouts

Working with Layouts > Creating New Layouts
Creating New Layouts
It is important to know the native resolution of the display monitor before you create an optimized layout. The native resolution varies from manufacturer to manufacturer. Please refer to your display monitor’s manual to find the native resolution.
There are two ways of creating layouts: online and offline.
New layouts can be created “online,” which means you can take a published layout, edit it in Layout Designer, and then re-publish it.
New layouts can be created “offline,” which means that you can use Layout Designer to create a layout, save it to a network or local drive, and then publish it to a connected multiviewer at a later time. You do not need to be connected to a Harris multiviewer to create and save new layouts. (You must be connected to a Harris Multiviewer to publish layouts to it.)
After you create your layout, save it to a layout (.lay) file. For information about saving layouts, see Saving Layouts.


Layout Creation Workflows

Working with Layouts > Creating New Layouts > Layout Creation Workflows
Layout Creation Workflows
There are a number of different ways or workflows that you can follow to create or edit existing layouts. These workflows depend on the level of customization and complexity that your new layout requires. You can modify layouts at any time by adding layout objects, such as audio meters, on-screen video alarms, or rules.
You can also drag layout objects from the Library panel and drop them on the layout that is currently in the canvas.
There are two main workflows that you can use to start creating your new layouts: using the Layout Creation Wizard, and using a blank layout.


Creating a New Layout Using the Layout Creation Wizard

Working with Layouts > Creating New Layouts > Creating a New Layout Using the Layout Creation Wizard
Creating a New Layout Using the Layout Creation Wizard
Using the Layout Creation Wizard, you can create customized layouts by defining the layout’s basic building blocks, including layout output resolution, the arrangement of PiPs (the number of PiPs across and the number of PiPs down) in the layout, as well as the style of the PiPs in the layout. The selection of PiP styles that you can choose are defined by the PiP styles listed in the PiP tab of the Layout Designer Library. The Layout Creation Wizard dialog box has a preview window that displays how your layout will appear in the Layout window.
After you have created the layout, you can add layout objects such as audio meters, tally indicators, and alarms. You can then save your custom layout to a layout (.lay) file.
The following figure illustrates the different options available when you create a new layout from the Layout Creation Wizard.
Clicking on any layout object in the Tools palette creates that object on the design canvas. You cannot drag and drop objects to the canvas.
For more information about customized layouts, see Using the Layout Creation Wizard.


Using the Layout Creation Wizard

Working with Layouts > Creating New Layouts > Creating a New Layout Using the Layout Creation Wizard > Using the Layout Creation Wizard
Using the Layout Creation Wizard
Use the Layout Creation Wizard to create custom layouts that you can save, and then publish to your Harris multiviewer for display.
Initial settings for many portions of the Layout Creation Wizard are derived from user preferences (File > Edit > Preferences > Default Properties).
1.
To access the Layout Creation Wizard, select File > New > Layout Using Layout Creation Wizard.
The Layout Creation Wizard dialog box opens.
2.
In the Layout Name field, enter a name for your new layout.
The layout name is used to identify the layout on the Properties pane and when the layout is published to your multiviewer hardware.
Click Next.
3.
To select an output resolution, under Resolution, do either of the following:
•
For a standard output resolution, select Predefined, choose either Landscape or Portrait, and then make a selection from the Output Resolution list.
•
For a custom output resolution, select Custom Defined, and then type or select values for width and height.
For best results, select an output display resolution that matches the native resolution of your output display device.
4.
Under Margins, enter the amount of the layout area you would like to have reserved, so that objects, including the background, cannot be placed there.
The margin setting does not affect the size or resolution of the layout as a whole. The maximum size for margins will vary depending on the resolution of the layout.
5.
Click Next.
6.
Under Component, select either PiP or Window.
The component type you choose here will be the basic item that will fill your layout.
If you choose PiP, select the an aspect ratio.
The aspect ratio you select determines the PiPs that are available when you select a style from the Select PiP tab. For example, if you want to select a style from the 16:9 tab of the PiP Library, select 16:9 from the Aspect Ratio list.
7.
Beside Source, select a select a starting router source for your PiPs.
The Source PiP property of the first PiP will be set to the value of Starting Source, and following PiPs will use the next router sources in sequential order.
8.
Beside UMD Address, enter the first number as output by your UMD device when using layouts with a fixed UMD address.
9.
Under Padding, choose the amount of padding to add to the top, bottom, left, and right of components in the layout.
Padding is the distance between the components.
10.
Click Next.
11.
Depending on whether you chose to populate your layout with PiPs or windows, do either of the following:
•
If you chose PiPs on the previous page of the wizard, select the PiP style you want to use for your new layout.
Click Default PiP, in which case the PiP will match the settings as configured in the Default Properties tab of the Preferences window, or click A PiP from Library, and then choose a PiP from the PiP Library field. Only the page of the PiP library which has the aspect ratio you chose on the previous page will be available.
•
If you chose windows (which includes PiPs and other layout objects) on the previous page of the wizard, select the window style you want to use for your new layout from the Window Library.
If the window you choose has alarms, you can select Keep Alarms, and the alarm settings, except those that point to controls outside the window, are retained and will appear in the new layout. When a window has no alarms, this option is unavailable.
12.
Click Next.
13.
Use the tools on this page to assign a number of rows and columns of PiPs or windows on your layout.
Drag the slider to the left of the preview to change the number of rows of displays, and drag the slider below the preview to change the number of columns. The range these sliders can be dragged through depends on settings you made in previous pages of the wizard.
14.
(Optional) To choose a non-uniform style of layout (where PiPs or windows may vary in size), click Open to Select More Styles, and then click on a style in the pane that appears. The additional styles will update as you move the sliders on the preview pane.
If you choose a previously stored layout for your layout style, click the Browse button, and then choose any *.lay file, and then Click OK.
When you click Next, if you have chosen a custom layout, these options appear:
Use selected PiP or Window (contains PiP) to:
•
Replace all windows that contain PiPs—replaces all windows with the default window or PiP selected in the wizard.
•
Replace all PiPs that are not in the windows—replaces all PiPs with the default window or PiP selected in the wizard.
If both options are selected, then all windows and PiPs are replaced with the default PiP or window.
If neither option is selected, then no PiPs or windows are replaced with the default PiP or window.
15.
(Optional) Click Display Layout Preview Image.
16.
Click Next.
The final screen of the wizard displays a preview of your layout, if you chose Display Layout Preview Image on the previous screen.
17.
To complete the layout and exit the Layout Creation Wizard, click Finish.
Before you make changes to the layout or publish your new layout, save it as a layout file on a local or network drive. See Saving Layouts.
You can add layout objects (such as clocks and tally indicators, audio meters, and on-screen alarms) to your layout before publishing the layout to your Harris multiviewer. You can also modify layout and layout object properties such as re-assigning input channels to PiPs. See the following sections for more information:
•
Layout Properties
•
Layout Object Properties
•
Formatting Layout Objects in the Canvas
•
About Monitoring Tools


Creating a New Layout from a Blank Layout

Working with Layouts > Creating New Layouts > Creating a New Layout from a Blank Layout
Creating a New Layout from a Blank Layout
When you select a blank layout as the starting point, there is no pre-arrangement of PiPs or other layout objects in the layout canvas. You must add all of the layout objects, including PiPs, to your new layout by either dragging them from the Library panel or by inserting the objects using the Tool palette. You can also add layout objects by using the application menu’s insert commands.
Layout Designer does not restrict you from positioning PiPs so that they overlap one another.
After you add PiPs and objects to your new layout, you can use Layout Designer’s formatting tools, such as Align and Distribute, to create custom PiP arrangements. You can also use the Properties pane to modify the layout, PiP, and object properties, as well as add audio meters and alarms. You can then save your custom layout to a layout (.lay) file.
The following figure illustrates the different options you can use to create a new layout from a blank layout.


Using a Blank Layout

Working with Layouts > Creating New Layouts > Creating a New Layout from a Blank Layout > Using a Blank Layout
Using a Blank Layout
You can create a layout by dragging layout objects from the Layout Designer Library onto a blank layout.
To create a layout from a blank layout:
1.
Select File > New > Blank Layout.
The Layout window opens and displays a blank layout.
2.
Set the layout properties using the Properties pane.
For information about viewing and setting layout properties, see Viewing Layout Properties and Modifying Layout Properties.


Locking and Unlocking Layouts

Working with Layouts > Creating New Layouts > Locking and Unlocking Layouts
Locking and Unlocking Layouts
When a layout is locked, it displays a closed padlock icon in the top left corner of the layout tab. When it is unlocked, the padlock icon is open.
The Lock/Unlock Layout button is on the button bar at the top of the Layout Designer screen.
To lock a layout:
1. Click Lock Layout.
You can use the Properties panel to adjust attributes of objects in the layout, but you cannot add, delete, or move objects in the layout. Context menus do not appear when you right click on a locked layout.
To unlock a layout:
1. Click Unlock Layout.
You can drag and drop items in the layout, in addition to adjusting the attributes of objects in the Properties panel.


Saving Layouts

Working with Layouts > Creating New Layouts > Saving Layouts
Saving Layouts
After creating a new layout using the Layout Creation Wizard or a blank layout, you can save your layout. Layouts saved as layout files are opened using Layout Designer’s Open Layout command.
You can save your layout as layout (.lay) files to a local or network drive so that you can open the layout in Layout Designer at any time. Layouts that have been changed since they were last saved have an asterisk (*) in the layout tab.
To save your new layout as a layout file:
1.
Select File > Save As.
2.
Type a name for your new layout in the Save As dialog box, and then click OK.
When you close Layout Designer, you are offered the opportunity to save layouts. For more information, see Closing Layout Designer.
To save all open layouts, select File > Save All.
To overwrite the layout when you have already saved it, select File > Save.


Viewing Layouts

Working with Layouts > Viewing Layouts
Viewing Layouts
To display a layout on the layout canvas, you must connect Layout Designer to the Harris multiviewer, and then select the layout you want to display. You can open multiple layouts in the layout canvas; however, you can only view one layout at a time. You can toggle between the different layouts that are currently open in the layout canvas by clicking the tabs located at the top of the layout canvas (see The following figure). When a layout is displayed in the canvas, you can modify its appearance and add new layout objects. You can create new layouts, edit existing layouts, and define audio and video alarms and rules.
If you want to modify a layout, you may need to unlock it. See Locking and Unlocking Layouts.
For information about how to connect Layout Designer to a Harris multiviewer and select layouts for display on the layout canvas, see Connecting Layout Designer to a Harris Multiviewer and Displaying and Publishing Layouts.
The following figure illustrates an overview of Layout view options and controls.
Publish layouts to the selected Harris multiviewer system or output module. For information, see Displaying and Publishing Layouts.
Create new layouts from a blank layout, or by using the Layout Creation wizard. For more information, see Creating New Layouts.
Select a layout stored on an output module for display or for editing. See Displaying and Opening Layouts Stored on the Multiviewer.
Modify layout properties, such as display output resolution and background color, using the Layout Properties pane. See Modifying Layout Properties.


Connecting Layout Designer to a Harris Multiviewer

Working with Layouts > Connecting Layout Designer to a Harris Multiviewer
Connecting Layout Designer to a Harris Multiviewer
If Layout Designer is not currently connected to a Harris multiviewer, or if you want to connect to any of the multiviewers that are displayed in the Multiviewers library, use the Connect command. If Layout Designer cannot find a configuration for the selected multiviewer, you must create one using the Configuration Wizard. For information about configuring Harris multiviewers, see Configuring Display Mode.
To connect a Harris multiviewer to Layout Designer:
1.
From the Multiviewers panel, select the multiviewer to which you want to connect.
2.
Right-click the selected Harris multiviewer, and then select Connect to Device from the context menu.
It may take up to three seconds for Layout Designer to connect with the multiviewer. When connected, Layout Designer displays (Connected) after the multiviewer name. The layouts stored in the connected hardware are listed below the multiviewer name.


Disconnecting Layout Designer from a Harris Multiviewer

Working with Layouts > Connecting Layout Designer to a Harris Multiviewer > Disconnecting Layout Designer from a Harris Multiviewer
Disconnecting Layout Designer from a Harris Multiviewer
1.
Right-click the selected multiviewer, and then select Disconnect Device from the context menu.


Rebooting and Restarting a Connected Harris Multiviewer

Working with Layouts > Connecting Layout Designer to a Harris Multiviewer > Rebooting and Restarting a Connected Harris Multiviewer
Rebooting and Restarting a Connected Harris Multiviewer
After you have connected to a multiviewer system, you can use the Multiviewers panel context menu to perform various hardware-related operations. In the Multiviewers panel, right-click the connected multiviewer, and then, from the context menu that appears, select from the following options:
•
Start Multiviewer - Select this option to trigger the selected multiviewer to load a layout.
•
Exit Multiviewer - Select this option to trigger the multiviewer to revert to its desktop.
•
Shut Down Multiviewer - Turns off the selected multiviewer without restarting.
•
Restart Multiviewer - Select this option to restart the multiviewer’s On-Screen application. Restarting the multiviewer will disrupt the display of layouts on all output modules connected to the multiviewer.
•
Reboot Multiviewer - Select this option to reboot the multiviewer hardware, including its central processing unit (CPU). Rebooting the multiviewer will disrupt the display of layouts on all output modules connected to the multiviewer.


Displaying and Publishing Layouts

Working with Layouts > Displaying and Publishing Layouts
Displaying and Publishing Layouts
After you have connected Layout Designer to a multiviewer, you can select layouts and display them on the multiviewer’s output display devices. Using Layout Designer, you can choose to display layouts that are currently stored on the multiviewer or you can open layouts that are saved as layout files. You can then use the Publish command to display the layouts on the multiviewer’s output display devices.
The following sections describe how to display layouts. For information about displaying new layouts, see Viewing Layouts.


Displaying and Opening Layouts Stored on the Multiviewer

Working with Layouts > Displaying and Publishing Layouts > Displaying and Opening Layouts Stored on the Multiviewer
Displaying and Opening Layouts Stored on the Multiviewer
When Layout Designer is connected to a multiviewer, the layouts currently stored on the multiviewer hardware are shown in the Multiviewers panel. To view the layouts that are stored on a multiviewer, in the Multiviewers panel, click or expand the multiviewer’s icon.
If you do not want to view or modify the layout, you can display the layout without opening it in Layout Designer. If you want to view, modify, or save the layout to a local or network drive, you must open it in Layout Designer. You can then use the Publish command to display the modified layout. For more information, see Publishing Modified Layouts.
If Layout Designer is not connected to a multiviewer, see Connecting Layout Designer to a Harris Multiviewer.
If you want to modify the layout, you may need to unlock it. See Locking and Unlocking Layouts.
To display a layout:
1.
On the Multiviewers panel, right-click the layout that you want to display on the multiviewer output module(s), and then select Display this Layout on Multiviewer from the context menu that appears.
The selected layout is now displayed in the output display device(s).
To open a layout in Layout Designer:
1.
Do either of the following:
•
From the Multiviewers panel, select the layout that you want to open in Layout Designer, right-click, and then select Recall this Layout to Layout Designer from the context menu.
•
In the Multiviewers panel, double-click the layout that you want to open in Layout Designer.
The layout opens in Layout Designer.
You can use tools to modify the layout and objects as well as add objects to the layout, and then use the Publish command to display the layout on the output modules. For more information, see Modifying Layout Properties and Layout Object Properties. For information about publishing a layout, see Publishing Modified Layouts. You can also save the layout as a layout (.lay) file. For more information, see Saving Layouts.


Publishing Modified Layouts

Working with Layouts > Displaying and Publishing Layouts > Publishing Modified Layouts
Publishing Modified Layouts
You can open a layout in Layout Designer, modify it by adding objects, such as audio meters or alarms, and then use the Publish command to display the modified layout on the output display devices. When the layout is published, the multiviewer is automatically updated with the modified layout.
The following section describes how to open a layout in Layout Designer, and then publish the layout to the multiviewer. For information about modifying layouts and adding layout objects, see Modifying Layout Properties.
To publish a modified layout:
1.
From the Multiviewers library, double-click the layout you want to modify.
The selected layout opens in the layout window.
2.
Make the required modifications to the layout. For information about modifying a layout, see Modifying Layout Properties.
3.
To publish your modified layout to the mulitiviewer, click Publish on the Layout Designer application toolbar.


Publishing Layouts From Layout Files

Working with Layouts > Displaying and Publishing Layouts > Publishing Layouts From Layout Files
Publishing Layouts From Layout Files
You can select a layout file from a local or network drive, and then publish it to your multiviewer display. There is no limit to the number of layouts that you can store on your multiviewer hardware, as long as there is enough disk space.
To ensure that you do not lose any of the layouts currently stored on the multiviewer hardware, open them in Layout Designer, and then save them to a local or network drive.
To publish a layout from a layout file that is stored on a local or network drive:
1.
To open a layout (.lay) file, select File > Open.
2.
In the Open dialog box, browse to the location of the layout file you want to open, and then click OK.
The layout file opens in the layout window. You can make modifications to the layout before you publish it to the multiviewer display. For information about modifying a layout, see Modifying Layout Properties.
3.
To publish the layout, click Publish from the Layout Designer application toolbar.


Layout Properties

Working with Layouts > Layout Properties
Layout Properties
Layout property settings define how the area of the layout window is displayed in the output display device(s) that are connected to the multiviewer. When you create new layouts, you need to select options for your layout properties. Layout properties can be modified any time layouts are open in the Layout Designer canvas. You can view and change layout properties using the Layout tab in the Properties pane.
 For best results, ensure that the Output Resolution and frequency settings match the resolution and refresh rate of the output display device(s) connected to your multiviewer.


Viewing Layout Properties

Working with Layouts > Layout Properties > Viewing Layout Properties
Viewing Layout Properties
You can view and change layout properties using the Properties pane.
To access the Properties pane:
1.
Select View > Properties.
The Layout Properties pane appears similar to the following:


Modifying Layout Properties

Working with Layouts > Layout Properties > Modifying Layout Properties
Modifying Layout Properties
You can modify the properties of a layout that is currently open in the Layout Designer canvas. This includes layouts that have been created using a blank layout or the Layout Creation Wizard. See the following sections:
•
Modifying the Resolution
•
Modifying the Background


Naming Layouts

Working with Layouts > Layout Properties > Modifying Layout Properties > Naming Layouts
Naming Layouts
A Layout’s name identifies it in various Layout Designer workspace dialog boxes and tabs including the following tabs:
•
Multiviewers panel
•
Properties pane
To modify the layout’s name:
1.
Under Properties, type a name for your layout in the Layout Name field.


Modifying the Resolution

Working with Layouts > Layout Properties > Modifying Layout Properties > Modifying the Resolution
Modifying the Resolution
Layout Designer supports a number of standard predefined output resolutions. You can also define custom output resolutions. When selecting the orientation and resolution for your layout, ensure that your output display devices support your selections.
Your layout must be in an unlocked state to change its resolution.
See Locking and Unlocking Layouts.
To modify the resolution:
1.
Under Resolution, do one of the following:
•
To select a standard output resolution, click Predefined, and then select a resolution from the drop-down list.
•
To select a custom output resolution, click Custom, and then type or select values for output width and height.
2.
Click Apply.


Modifying the Background

Working with Layouts > Layout Properties > Modifying Layout Properties > Modifying the Background
Modifying the Background
You can select either a solid color or a predefined background image as your layout’s background. There are 10 pre-defined background images.
To modify the background:
1.
Under Background, from the Set Background list, select either Color or a background image (Background 1 to Background 10) from the drop-down list.
2.
If you selected Color as your default background, click the [image] button to access the Select a Color dialog box.
3.
To select a color, do one of the following:
•
Use the slider to select a color.
•
Enter the color values you want to use in one of the ScRGB, sRGB, or Hexadecimal Notation fields.
Your selected color is previewed below Selected Color.
4.
If required, use the Opacity slider to adjust the color’s opacity value, and then click OK.
5.
Click OK.


Making Layout-Specific Settings

Working with Layouts > Layout Properties > Modifying Layout Properties > Making Layout-Specific Settings
Making Layout-Specific Settings
There are three layout-specific buttons, which control settings on a per-layout basis.
Under Layout Alarms, click Clear to clear all the component alarms on the active layout opened in LD.
This does not affect the alarms on the display. To clear alarms on the display, republish the layout.
This function coincides with the Reset Alarms on-screen option as described in this table.
Under Layout Events, click Configure to open the Layout Event Configuration dialog box. This option is also available from the toolbar by clicking Rules and selecting Layout Events from the menu that appears. For complete information about setting and using triggers, see Configuring Layout Events and Global Events.
Under On Screen Messages, click Reset to acknowledge all messages displayed by alarm rule message box. This function coincides with the Clear Messages on-screen option as described in this table.


Margins

Working with Layouts > Layout Properties > Modifying Layout Properties > Margins
Margins
You can adjust the margins on the layout by entering numbers in the four Margins fields. The margin limits the size of the entire layout. The background is resized to fit the new area.
The available range for margins varies depending on the resolution of the layout, with an absolute maximum of 200 pixels on the higher resolutions.
Your layout must be in an unlocked state to adjust the margins.
See Locking and Unlocking Layouts.


Drawing Grid

Working with Layouts > Layout Properties > Modifying Layout Properties > Drawing Grid
Drawing Grid
On the Layout Properties pane, you can activate a grid for the layout canvas. This grid is for layout purposes, and will not appear on the published layout.
Drawing Grid Options
Option
Function
Show Grid
Displays a grid on the layout canvas
Snap to Grid
Whether the grid is displayed or not, when this is checked, items will snap to grid positions when dragged around the layout
Grid Color
Click the button to choose a color for the lines in the grid
Horizontal Spacing
Determines the distance (in pixels) of the lines that run from top to bottom on the grid; lines can be spaced from 5 to 40 pixels apart
Vertical Spacing
Determines the distance (in pixels) of the lines that run from left to right on the grid; lines can be spaced from 5 to 40 pixels apart


IconMaster Mode

Working with Layouts > Layout Properties > Modifying Layout Properties > IconMaster Mode
IconMaster Mode
Select this option if you will be using an IconMaster master control switcher with this layout. IconMaster can be configured to switch the Harris multiviewer’s displayed layout when the channel is switched. When in IconMaster mode, external protocol with tallies are disabled. Tallies update using CCS controls only.


OverRide PiP Number

Working with Layouts > Layout Properties > Modifying Layout Properties > OverRide PiP Number
OverRide PiP Number
When this option is disabled, each PiP is automatically assigned a PiP number, which is greyed out (but still displayed, for informational purposes) on the PiP’s Properties pane. When this option is enabled, you can alter the PiP number.
Within a layout, each PiP must have a unique number. If you attempt to assign a number to a PiP, and that number is already in use, the PiP number will automatically jump to the next available PiP number.


Working with Layout Objects

Working with Layout Objects
Working with Layout Objects
Layout Objects
Formatting Layout Objects in the Canvas
Working With Groups of Objects
Creating Layout Windows
Creating Scrolling Regions
Modifying Border Properties


Layout Objects

Working with Layout Objects > Layout Objects
Layout Objects
Layout objects are the building blocks that provide the look and feel of a layout. Layout Designer includes a variety of layout objects that perform different types of functions, such as bordering a PiP and metering input audio signals. Layout objects include PiPs, labels, clocks, tally indicators, audio meters, and info panels.
New layouts created using the Layout Creation Wizard contain PiPs and windows, which can contain any layout objects. Ideally, when creating a layout you will use pre-defined windows which contain such objects as audio meters, tallies, labels, and info panels, so the input source for all the objects in the window will track together.
Additional layout objects, such as audio meters and tally indicators, can be added to a layout after the layout has been created. You can add objects to layouts by dragging them from the Library panel onto the layout canvas, or by using the insert commands from the Tool palette and application menu.
You can group Layout objects together so that they can be simultaneously moved and/or formatted in the layout canvas. You can also create an arrangement of layout objects, and then add them to a window. As part of a window, this group of layout objects can be manipulated as a single layout object that has a distinct set of window properties.Window properties include a background (which is different from the layout background color). Scrolling properties can be applied to a window. Windows and the arrangement of layout objects contained in the window can then be added to the Windows tab of the Library panel. The window can be added to other layouts in a single drag-and-drop action.
The display characteristics of layout objects are determined by their individual property settings. Layout object properties are modified in the same way, regardless of how they were added to the layout. For example, a PiP in layout created from the toolbar is modified in the same way as a PiP added to a layout from the Library panel. For information about layout object properties, see Layout Object Properties.
The following figure illustrates a typical layout displaying layout objects.
Each layout object is described below:
PiP - Displays the input video/graphics from a single input channel. An individual PiP’s properties determine how it appears in the layout. Each PiP in a layout can have its own set of properties. For more information, see About Picture-In-Pictures (PiPs).
Digital Clock - Displays time from NTP, internal, or linear time code reference source. The digital clock can be resized. For information, see Setting Digital Clock Format.
Analog Clock - Displays the time from NTP, internal, or linear time code reference source. There are various styles of analog clocks. For more information, see Setting Analog Clock Format.
Label -Three types of labels display text information, static, dynamic and alarm/rules. A Static label displays manually entered text. A Dynamic label can have UMD source from either the router database or external UMD protocol. A alarm/rule label can be configured using the rules editor to display text information upon an event. For more information, see About Labels.
Tally - Displays monitoring status from external UMD protocol, GPI inputs, or an alarm/rule event. For more information, see Creating Tally Indicators.
Audio Meter - Displays audio levels from embedded, analog, Dolby E, and AES input channels. Audio meters can be added to individual PiPs in a layout. You can display up to 16 channels from an audio input on a PiP. For more information, see Defining Alarms for a Layout Object.
Border - Displays a user-defined graphic area around a PiP. Individual border properties determine how borders appear around the PiPs. Borders can display status from external UMD protocol, GPI inputs, or an alarm/rule event. For more information, see Modifying Border Properties
Info Panel—Provides such data as alarms, closed captioning, VITC, Dolby E program information, and teletext data. Info panels can be standalone or overlaid on a PiP. For more information, see Creating Info Panels.
Up/Down Counter—Provides either a count up or count down timer that can be configured to be triggered by alarm rules, GPI, or SNMP, and can target alarm actions. For more information, see About Up/Down Counters.
Using the Layout Designer Properties panel, you can modify layouts and PiP properties, and add audio meters and info panels to create customized layouts that can be displayed in the multiviewer’s output display device. Customized PiP attributes such as borders and labels, are stored as part of the PiP in the Library panel.


Layout Object Properties

Working with Layout Objects > Layout Objects > Layout Object Properties
Layout Object Properties
Each layout object has a number of unique properties that determine and define how it is displayed and how it behaves in the layout. These properties are independently set; each layout object can have a different set of properties. These settings can be modified at any time. You can use the various tabs of the Properties pane to modify individual layout object properties. PiPs, windows, label text, clocks, and audio meters each have separate property tabs.
To access the Properties pane:
1.
Select View > Properties.


Adding Layout Objects to a Layout

Working with Layout Objects > Layout Objects > Adding Layout Objects to a Layout
Adding Layout Objects to a Layout
You can add objects by using the Library panel, the Tools palette, or the Insert menu.
•
Drag selected layout objects from the Windows, PiPs, or Info Panel Library panel tab, and then drop them onto the layout canvas. When you use this method of adding layout objects, you can select from standard as well as any customized objects that have been previously created and added to the Library panel.
•
Click an object on the Tools palette. The object appears on the layout canvas.
•
Choose an object item from the Insert menu.
Your layout must be in an unlocked state to add, move, or delete objects.
See Locking and Unlocking Layouts.
Objects inserted into layouts using the Tools palette or the Insert menu have default object properties. New items are automatically added “on top” of other items. To change the order of items in the layout, use the Order > Bring to Front and Order > Send to Back options in the context menu. Items are positioned on the canvas based on your auto placement preferences setting. See Determining Auto Placement for more information.
After you have inserted the objects into a layout, you can use the Properties pane to modify their properties.
To add layout objects using the Library panel:
1.
If the Library panel is not currently visible in the Layout Designer workspace, select View > Library.
2.
From the Library panel, click the tab of the layout objects that you want to add to your layout.
3.
Select the layout object that you want to add, drag it to the canvas, and then drop it on to your layout.
To add layout objects using the Tools palette:
1.
Click the icon of the layout object to insert.
For information about the options on the Tools palette, see Tools Palette.
After you add objects to your layout, you can:
•
Use your mouse to move the objects in the layout canvas
•
Use Layout Designer’s formatting tools to accurately align and distribute the objects in the layout, as well as copy and paste PiP properties
•
Modify layout objects using the Properties pane.
Before publishing your new layout, you can save it as a layout file on a local or network drive. For information about saving layouts, see Saving Layouts.
See the following sections for information about modifying and formatting layout objects:
•
Layout Properties
•
Layout Object Properties
•
Formatting Layout Objects in the Canvas
•
About Monitoring Tools


Formatting Layout Objects in the Canvas

Working with Layout Objects > Formatting Layout Objects in the Canvas
Formatting Layout Objects in the Canvas
Layout Designer has a number of layout object formatting options that you can use to arrange and resize objects in a layout, as well as cut, copy, and paste properties. These options are especially useful for quickly formatting objects for layouts that are created using a blank layout. For example, if you have dragged a number of objects from the Library panel onto your layout, you can use Align and Distribute commands to position each object accurately in the layout.
To modify the properties of more than one like object, you can change the property setting on one object, use the Copy Properties to copy the modified object’s properties, and then use the Paste Properties option to paste those modified properties to each like object in the layout.
You can use the formatting options to arrange and format objects in all types of layouts.
Your layout must be in an unlocked state to use the formatting options.
See Locking and Unlocking Layouts.


Copying and Pasting Layout Object Properties

Working with Layout Objects > Formatting Layout Objects in the Canvas > Copying and Pasting Layout Object Properties
Copying and Pasting Layout Object Properties
Use the Copy Properties and Paste Properties options to copy and paste properties between like objects. This option is useful when you want to modify the properties of multiple PiPs. For example, if you want to modify the same property setting for all the PiPs in your layout, select the PiP from which you want to copy properties, use the Copy PiP Properties option to copy those properties, and then paste the properties to other PiPs in the layout using the Paste PiP Properties option.
To access Layout Designer’s Copy Properties and Paste Properties options, select and then right-click on a PiP.
Your layout must be in an unlocked state to copy or paste properties.
See Locking and Unlocking Layouts.
To copy the properties from a selected object and paste them to another, like object in the layout:
1.
Right-click the object from which you want to copy properties.
2.
From the context menu, select Copy Properties.
3.
Right-click the like object to which you want to paste the copied properties.
4.
Choose one of the following functions:
•
To paste all of the copied PiP properties, select Paste Properties.
•
To choose which properties to paste, select Paste Selected Properties.
A Paste Category dialog appears.
5.
Choose the categories of properties you want to paste by selecting one or more of the following options:
•
Size
•
Border
•
Others
Selecting All will select all three options.
6.
Click OK.


Cloning Layout Objects

Working with Layout Objects > Formatting Layout Objects in the Canvas > Cloning Layout Objects
Cloning Layout Objects
The cloning tool creates a control similar to the currently selected control, with the differences being unique number and name, video source, dynamic source PiP number, and UMD address, which are all incremented
1.
Select the layout object to be cloned.
2.
Click Clone a Component on the application toolbar.
The new object’s position in the layout canvas is determined by your auto placement preference setting. See Determining Auto Placement for more information.


Resizing and Moving Layout Objects Using a Mouse

Working with Layout Objects > Formatting Layout Objects in the Canvas > Resizing and Moving Layout Objects Using a Mouse
Resizing and Moving Layout Objects Using a Mouse
Your layout must be in an unlocked state to resize or move objects. See Locking and Unlocking Layouts.
You can use your mouse to resize and move selected objects in a layout. You can resize objects by clicking, and then dragging the resizing handles that are located around the outer edge of the object. To move an object, select it, and then hold down the mouse button while dragging the object to a different location in the layout. To make fine positional adjustments, after selecting an object in the layout, press the arrow keys on your keyboard to move the selected object.
If the Aspect Ratio property is set to Custom, when you resize a PiP, its width and height resizing are not constrained to the proportions of a set aspect ratio.
When you move an object into alignment with another object in a layout, red lines appear temporarily on the canvas so you can see when they are perfectly aligned.


Working With Groups of Objects

Working with Layout Objects > Working With Groups of Objects
Working With Groups of Objects
It is sometimes useful to select a group of like objects and alter them all the same way -- for example, resize all PiPs within a group of windows.
To select more than one object, hold down the CTRL key on your keyboard while clicking the objects in the layout. To remove an object from the selection group, click on it again with the CTRL key held down.


Setting Like Objects’ Properties

Working with Layout Objects > Working With Groups of Objects > Setting Like Objects’ Properties
Setting Like Objects’ Properties
1.
Right-click a group of objects, which can include one or more windows and select Set properties.
A submenu lists all the object types that are selected, including the non-border items in the windows. The sub-menu can contain PiPs, Tallies, Labels, Clocks (analog or digital), Info panels, etc.
2.
Select one of the items in the sub-menu to open the properties pane for that type of object.
You can now make changes to all the selected like objects simultaneously.


Remove Like Objects from Control for a group of windows

Working with Layout Objects > Working With Groups of Objects > Remove Like Objects from Control for a group of windows
Remove Like Objects from Control for a group of windows
1.
If a selection contains a window and at least one other object, right click and select Remove Window Component.
A submenu lists all the object types that are selected, including the non-border items in the windows. The sub-menu can contain PiPs, Tallies, Labels, Clocks (analog or digital), Info panels, etc.
2.
Select one of the items in the sub-menu to delete all instances of that type of object within the selection, for example all PiPs within the selection.
3.
To resize the window to match the size of its contents, right-click and select Consolidate Window.
You cannot remove the first item in a window.


Aligning and Distributing Objects in a Layout

Working with Layout Objects > Working With Groups of Objects > Aligning and Distributing Objects in a Layout
Aligning and Distributing Objects in a Layout
To align or distribute objects in a layout, you can use the Align and Distribute commands, which are located in the application menu or as right-click options when two or more items are selected. You can use the Align and Distribute commands to arrange objects in all types of layouts.
Your layout must be in an unlocked state to align or distribute objects. See Locking and Unlocking Layouts.
To access these commands, you must select multiple objects in your layout. To select multiple objects, hold down the CTRL key while selecting individual objects with your mouse. To deselect multiple objects, click on an empty space in the window. The following figure illustrates a layout with multiple selected PiPs.
This table lists the Align commands you can use to arrange objects in a layout.
Align Commands
Menu Name
Toolbar Icon
Description
Left
Aligns two or more selected objects along the left axis of the first object selected
Right
Aligns two or more selected objects along the right axis of the first object selected
Top
Aligns two or more selected objects along the top axis of the first object selected
Bottom
Aligns two or more selected objects along the bottom axis of the first object selected
Center Vertical
Aligns two or more selected objects along a vertical axis that runs through the center of the canvas
Middle Horizontal
Aligns two or more selected objects along a horizontal axis that runs through the middle of the canvas
This table lists the Distribute commands you can use to arrange objects in a layout.
Distributing Commands
Menu Name
Toolbar Icon
Description
Widths
Distributes the width distance between two or more selected objects
Heights
Distributes the height distance between two or more selected objects


Creating Layout Windows

Working with Layout Objects > Creating Layout Windows
Creating Layout Windows
Windows allow you to create containers for layout object compositions or arrangements. Each window can be copied and pasted as a single object. A window can be created from a selection of PiPs, labels, info panels, borders, clocks, audio meters, up/down counters, and tally indicators. After you create a window, you can add it to the Library panel, so it is ready to be dragged onto other layouts.
When you select a window in a layout, you can view and modify all the alarms for all the objects within that window on the Alarms tab of the Properties pane.
You can make the window a scrolling region and set it to crawl (scroll in the horizontal direction) or roll (scroll in the vertical direction). Configuring windows with scrolling properties allows you to display more video inputs that are connected to your multiviewer system that would otherwise fit onto the output module.
You can use the Window Properties tab to modify window properties as well as to configure window rolling and crawling settings. Similar to layout objects, windows can be moved and resized in the layout canvas using a mouse. For more information see, Copying and Pasting Layout Object Properties.
Your layout must be in an unlocked state to create or break windows, or to modify their contents, position, or size. See Locking and Unlocking Layouts.
The following figure illustrates window specific options and operations.
Create a window by selecting the layout objects that you want to include, and then use the context-menu’s Create a Window command. You can add your new window to the Library panel. See Creating New Windows
Break apart a selected window. For information, see Breaking Apart a Window.
Drag a window from the Library panel and drop it on to the layout canvas. For information see, The animations are not displayed on the Layout Designer canvas, and can only be viewed once the layout is published to a display..
Add PiPs and other layout objects for use as a window in your layout. Working With Groups of Objects.
Modify window properties and configure window settings using the Window Properties tab. Modifying Window Properties Using the Properties Pane.


Creating New Windows

Working with Layout Objects > Creating Layout Windows > Creating New Windows
Creating New Windows
You can create a window from two or more selected layout objects in any combination, including other windows, to form a new window. When layout objects become part of a window, they maintain their position, order, and size. The window background and border are the lowest layer among the objects contained in the window. This means that layout objects that are part of the window cannot be positioned behind the window background.
The properties of individual Layout objects can be modified when they are contained within a window. However, you cannot resize or position objects beyond the borders of the window.
To create a window:
1.
To select multiple layout objects you want to add to the new window, hold down the CTRL key while selecting individual objects with your mouse.
Selected objects are indicated by the magenta dashed line. The new window border is indicated by the green dashed line.
2.
Right-click the objects, and then select Create a Window from the context menu.
After you create a new window, you can add it to the Windows tab of the Library panel by selecting Add Window to Library.
The layout objects are superimposed over the window background, and surrounded by a layout border. You can name the window and modify some window properties using the Window Properties tab. For more information, see Modifying Window Properties Using the Properties Pane.
To view your new window on output display devices, you must publish the current layout to the multiviewer hardware. For information, see Displaying and Publishing Layouts.


Breaking Apart a Window

Working with Layout Objects > Creating Layout Windows > Breaking Apart a Window
Breaking Apart a Window
When a window is broken apart, the objects contained in the window maintain their order in the canvas.
To break a window apart:
1.
Select the window you want to break apart.
2.
Right-click, and then choose Break Window from the context window.


Consolidating a Window

Working with Layout Objects > Creating Layout Windows > Consolidating a Window
Consolidating a Window
If you have removed objects or changed their positions within a window, right click on the window and choose Consolidate Window to recreate the window.
If more than one window is selected and you select Consolidate Windows, this option consolidates all windows within the selection.


Modifying Window Properties Using the Properties Pane

Working with Layout Objects > Creating Layout Windows > Modifying Window Properties Using the Properties Pane
Modifying Window Properties Using the Properties Pane
You can use the Windows Properties tab to modify window properties such as window size and position. Window border size and color properties are modified using the Borders tab.
To view your modifications on output display devices, you must publish the current layout to the multiviewer hardware. For information, see Displaying and Publishing Layouts.


Viewing Window Properties

Working with Layout Objects > Creating Layout Windows > Modifying Window Properties Using the Properties Pane > Viewing Window Properties
Viewing Window Properties
To access the Windows Properties tab:
1.
In the canvas, select the window you want to modify.
2.
If the Properties pane is not open below the layout canvas, select View > Properties.


Naming Windows

Working with Layout Objects > Creating Layout Windows > Modifying Window Properties Using the Properties Pane > Naming Windows
Naming Windows
The name you give to a window identifies it when you add the window to the Library panel.
To name your new window:
1.
In the Windows Properties tab, under Details, type a name into the Name field.


Modifying the Contents of a Window

Working with Layout Objects > Creating Layout Windows > Modifying Window Properties Using the Properties Pane > Modifying the Contents of a Window
Modifying the Contents of a Window
To select the individual components in your window, the window must be unlocked.
To unlock the contents of the window:
1.
Do either of the following:
•
In the Windows Properties tab, under Details, clear the Lock Objects in Window field.
•
Right-click on the window in the canvas and unselect Lock Window.
You can now change the properties of individual items within the window, including size, position, and other attributes.
To lock the contents of the window:
1.
Do either of the following:
•
In the Windows Properties tab, under Details, select the Lock Objects in Window field.
•
Right-click on the window in the canvas and select Lock Window.
You can now click anywhere in the window, including any object contained within it, to move, resize, or adjust the attributes of the entire window.


Modifying a Window’s Background

Working with Layout Objects > Creating Layout Windows > Modifying Window Properties Using the Properties Pane > Modifying a Window’s Background
Modifying a Window’s Background
Windows are created with a user-defined default background color. You can select a color or a pre-defined graphic image as the background to your window.
To modify a window’s background:
1.
Under Appearance, select either Color or a predefined background image from the drop-down list.
2.
If you selected Color from the Set Background list, click the [image] icon to open the Select a Color dialog box.
3.
Select or enter a color value.
Your selected color is previewed below Selected Color.
4.
If required, use the Opacity slider to adjust the color’s opacity value.
5.
Click OK.


Resizing and Moving Windows Using the Windows Properties Pane

Working with Layout Objects > Creating Layout Windows > Modifying Window Properties Using the Properties Pane > Resizing and Moving Windows Using the Windows Properties Pane
Resizing and Moving Windows Using the Windows Properties Pane
Use the Windows tab on the Properties panel to resize and move windows. When you resize or move a window, the properties of the layout objects contained in the window are not modified. For example, if you resize a window, the layout objects remain anchored in their original position.
To resize a window:
1.
Under Position & Dimensions, type or select values for the width and height in the Width and Height fields.
To move a window:
1.
Under Position & Dimensions, type or select values for the window’s horizontal position in the Left field and vertical position in the Top field.
The Left control positions the window horizontally using the left edge of the layout canvas as the point of reference. A value of 0 places the window along the left edge of the layout canvas. The Top control positions the window vertically using the top the of the layout canvas as the point of reference. A value of 0 places the window along the top edge of the layout canvas


Creating Scrolling Regions

Working with Layout Objects > Creating Scrolling Regions
Creating Scrolling Regions
A scrolling region is a special window that allows you to display more sources than your multiviewer hardware will normally show. Unlike other windows, a scrolling region cannot be broken. Nor can you create a window around it. Scrolling regions can be added to the window library.


Creating a Scrolling Region

Working with Layout Objects > Creating Scrolling Regions > Creating a Scrolling Region
Creating a Scrolling Region
To create a scrolling window:
1.
Right click on a window in the Layout pane.
2.
From the context menu that appears, choose Create a Scrolling Region.
A scrolling region appears initially as a green line around the window.
A Scrolling Regions tab appears in the Properties pane. Click on the scrolling region's background for the Scrolling Region pane to be available.
To replace a scrolling region with a new one, drag the new scrolling region on top of the old one. A text message flashes to indicate it has approached its boundary. The size of scrolling region is adjusted according to the new area.
You can also drag a window from the window library on top of a scrolling region to replace the scrolling region.
A scrolling region can only contain one PiP or window. When you publish the layout to a Harris multiviewer, the scrolling region will fill with PiPs or windows, based on the movement you choose. See Assigning a Motion Type to a Scrolling Region.


Changing Details for a Scrolling Region

Working with Layout Objects > Creating Scrolling Regions > Changing Details for a Scrolling Region
Changing Details for a Scrolling Region
The following options and information is provided in the Details section of the Scrolling Regions Properties pane.
•
Name: Identifier for the region when configuring other objects to connect to it.
•
Lock Objects in Scrolling Region: Locks the scrolling region so elements in it cannot be changed or moved. Alternately you can right click on a scrolling region and select Lock Parent Window or Lock Scrolling Region.
When created, scrolling regions are initially unlocked so you can revise the window control inside the scrolling region. For best results, when you are done configuring a scrolling region, lock it so it is not altered by accident.
•
Scrolling Region ID: This is the ID, unique within this layout, that is automatically assigned to this scrolling region when the scrolling region is created. You cannot change the scrolling region ID, but may use it when with various rules connected with the scrolling region.


Assigning Sources to a Scrolling Region

Working with Layout Objects > Creating Scrolling Regions > Assigning Sources to a Scrolling Region
Assigning Sources to a Scrolling Region
Within a scrolling region, there is only one PiP or window. To select sources for the region, make one of the following selections:
•
Start and End
From the Start and End menus, choose the starting source and the ending source. The starting source index should be smaller than the ending source index.
•
Sources
When you initially choose this option, it is populated with the range selected by the Start and End lists. You can type source numbers in this field, separated by commas, or click Select to open a dialog box where you can choose specific sources from a list.
•
Destination
When you initially choose this option, it is populated with the range selected by the Start and End lists. You can type destination numbers in this field, separated by commas.
From the Level menu, choose the router level for the PiP source.


Assigning a Motion Type to a Scrolling Region

Working with Layout Objects > Creating Scrolling Regions > Assigning a Motion Type to a Scrolling Region
Assigning a Motion Type to a Scrolling Region
You can alter a scrolling region's motion in the following ways:
Motion: Determines the direction of movement for the series of sources.
•
Crawl: A sequence of sources progresses from right to left across the window.
•
Roll: A sequence of sources progresses from the bottom to the top of the window.
•
Flip: One PiP appears on the screen. It rotates on its center horizontal axis, and each time the image returns, it contains a different source.
•
Circle: Three PiPs are on the screen at a time. One source appears in the center and the foreground, with the other two are behind and to the left and the right. The PiPs change position using video scaling so that the foreground PiP moves to the right background position, the left background position moves to the foreground, and a new source replaces the left background PiP.
Speed: Ranges from 1 (slowest) to 10 (fastest).
Enable mouse/agent control: Allows or disables mouse wheel control of the sources within the scrolling region from the Multiviewer itself after the layout is published to the Harris multiviewer. When enabled, the scrolling region will only move with mouse control.
Enable PiP Parking: When this is checked, a PiP that exhibits an alarm situation appears always “on top” of the scrolling region. If more than one PiP has alarms, then the PiP on top cycles through the PiPs with triggered alarm conditions.


Modifying a Scrolling Region’s Background

Working with Layout Objects > Creating Scrolling Regions > Modifying a Scrolling Region’s Background
Modifying a Scrolling Region’s Background
Scrolling Regions are created with a user-defined default background color. You can select a color or a pre-defined graphic image as the background to your scrolling region.
To modify a scrolling region’s background:
1.
Under Appearance, select either Color or a predefined background image from the drop-down list.
2.
If you selected Color from the Set Background list, click the [image] icon to open the Select a Color dialog box.
3.
Select or enter a color value.
Your selected color is previewed below Selected Color.
4.
If required, use the Opacity slider to adjust the color’s opacity value.
5.
Click OK.


Resizing and Moving Scrolling Regions

Working with Layout Objects > Creating Scrolling Regions > Resizing and Moving Scrolling Regions
Resizing and Moving Scrolling Regions
You can use the Scrolling Regions tab on the Properties panel to resize and move scrolling regions. When you resize or move a scrolling region, the properties of the layout objects contained in the scrolling region are not modified. For example, if you resize a scrolling region, the layout objects remain anchored in their original position.
Resizing is not allowed when the scrolling region is locked.
To resize a scrolling region:
1.
Under Position & Dimensions, type or select values for the width and height in the Width and Height fields.
To move a scrolling region:
1.
Under Position & Dimensions, type or select values for the scrolling region’s horizontal position in the Left field and vertical position in the Top field.
The Left control positions the scrolling region horizontally using the left edge of the layout canvas as the point of reference. A value of 0 places the scrolling region along the left edge of the layout canvas. The Top control positions the scrolling region vertically using the top the of the layout canvas as the point of reference. A value of 0 places the scrolling region along the top edge of the layout canvas.
You can also reposition a scrolling region by dragging it using the mouse, or by clicking the arrow keys on your keyboard (when the scrolling window is selected).
You can also resize a scrolling region by dragging its corners and sides. See Resizing and Moving Layout Objects Using a Mouse.


Adding a Scrolling Region to the Library

Working with Layout Objects > Creating Scrolling Regions > Adding a Scrolling Region to the Library
Adding a Scrolling Region to the Library
If you intend to use your scrolling region to other layouts, you can add it to the library.
To add a scrolling region to the library pane:
1.
Right-click on the scrolling region in the layout pane.
2.
From the context menu that appears, choose Add Scrolling Region to Library.
The scrolling region is added to the Windows section of the library.


Modifying Border Properties

Working with Layout Objects > Modifying Border Properties
Modifying Border Properties
Borders display a user-defined graphic area around some layout objects, such as PiPs, windows, and labels. Like other layout objects, individual properties determine how the borders appear around supported layout objects. Border properties can only be modified using the Borders tab of the Properties pane. You cannot use your mouse to modify object borders directly in the canvas.
Your layout must be in an unlocked state to change a border’s properties. See Locking and Unlocking Layouts.
Borders normally provide a graphic area around PiPs and windows. However, when a border is applied to a PiP, and that PiP is in an alarm state, the border can be used to signal an alarm condition. For example, you can create customized borders for Black Video and Frozen Video alarm conditions. See Alarms and Info Panels for more information.
Default values for Border property settings are defined in the Layout Designer Preferences dialog box (see Setting Your Layout Designer Preferences).


Selecting a Border for Modification Within a Window

Working with Layout Objects > Modifying Border Properties > Selecting a Border for Modification Within a Window
Selecting a Border for Modification Within a Window
Multiple objects within a window can have border properties. In order to modify the border properties of a PiP or other object within a window, you must first select that object. By default, when you select a window and then select the Borders properties tab, you modify the border of the window itself.
To modify the border of an object within a window:
1.
Right-click on the window.
2.
Select Borders > [Component] Border where [Component] is the item with a border that you want to modify.
3.
Make modifications on the Borders properties tab.
Within the Borders submenu, you can select the window itself and any sub-windows it may contain, as well as PiPs and labels.


Applying Borders Using the Properties Pane

Working with Layout Objects > Modifying Border Properties > Applying Borders Using the Properties Pane
Applying Borders Using the Properties Pane
To apply a border style from the Properties pane, you must first select a layout object that supports borders. This includes PiPs, info panels, and windows.
1.
From the Properties pane, click the Borders tab to display the selected layout object’s border properties.
2.
Click an item in the Border Styles field, and then click Apply.


Modifying Borders Using the Properties Pane

Working with Layout Objects > Modifying Border Properties > Modifying Borders Using the Properties Pane
Modifying Borders Using the Properties Pane
To modify a border style, click Edit Style. The tools are the same as those used in creating a border style. See Creating New Border Styles for more information.
1.
From the Properties pane, click the Borders tab to display the selected layout object’s border properties.
2.
To set the width, do one of the following:
•
To set a uniform border width around the layout object, under Border, select Uniform, and then type or select a border weight in pixels.
•
To set different values for the top, bottom, left, and right border weights, clear Uniform, and then type or select border weight values in the Top, Bottom, Left, and Right boxes.
3.
To select a new border color:
a.
Click Edit Border Colors to open the Border Colors dialog box.
b.
On the Normal tab, click beside Primary Color to set the color of the border before an alarm or tally is triggered.
c.
Click OK.
4.
From the Style drop down box, select from the following outline styles and effects:
•
Normal - Border outline has color characteristics only
•
Rounded - Border outline has four rounded corners, instead of square corners
•
Beveled - Border outline has a beveled edge effect
•
Texture - Border fill is textured. You can select from three texture styles
You can also select combinations of outline styles and effects (Rounded Texture 1).
For information on filling out the Color Selector dialog box, see Setting Default Window Properties.


Creating New Border Styles

Working with Layout Objects > Modifying Border Properties > Creating New Border Styles
Creating New Border Styles
Using the Properties pane, you can create new border styles which can be applied to layout objects such as PiPs, windows, and labels. After you create a border style, it appears in the Borders Properties tab under Border Styles. The border you create or modify is displayed in the Border Styles dialog box under Preview.
Setting new border style details:
1.
In the current layout, select an object that has an associated border.
2.
Under Border Styles, select New.
The Border Styles dialog box appears.
3.
Under Details, type a name for your new label style in the Name field.
This name is used to identify the style in Border Styles section of the Borders Properties tab.
4.
From the Style drop down box, select from the following outline styles and effects:
•
Normal - Border outline has color characteristics only
•
Rounded - Border outline has four rounded corners, instead of square corners
•
Beveled - Border outline has a beveled edge effect
•
Texture - Border fill is textured. You can select from three texture styles
You can also select combinations of outline styles and effects (Rounded Texture 1).


Setting Border Size

Working with Layout Objects > Modifying Border Properties > Creating New Border Styles > Setting Border Size
Setting Border Size
Do one of the following:
•
To set a uniform border width, under Size, select Uniform, and then type or select a border weight in pixels in the Size box.
•
To set different values for the top, bottom, left, and right border weights, clear Uniform, and then type or select border weight values in the T, B, L, and R boxes.


Setting the Border State Source

Working with Layout Objects > Modifying Border Properties > Creating New Border Styles > Setting the Border State Source
Setting the Border State Source
In the Border State Source area, there are three options:
Border State Source Options
Border State Source Option
Configuration Options
UMD/Tally System (Fixed UMD Addr)
Select the UMD address that will be the input source for the border.
When you use a either of the UMD/Tally System options, you must set the following items:
•
Tally Number–the number of the tally within the UMD address that is monitored.
•
Program Number–Enter the correct number in this field if you are using Ross Protocol. If you are using another protocol, the data in this field will be ignored.
UMD/Tally System (Source UMD)
(Under Monitor Display)
Select the PiP Number that will be the input source for the border.
See the Source UMD tab in the Advanced Configuration dialog box for mapping. For more information, see Binding UMD Addresses to Input Sources.
Alarm Rule
Select this option if you want the border to be the target for an alarm, and then follow these steps to define the alarm source:
1.
With the border selected in the layout, select the Alarms tab in the Properties pane.
2.
Following the instructions in Defining Alarms for a Layout Object, configure the Detectors and Actions pages of the Rules dialog box.
On the Actions page, choose Set Tally Alarm State, and complete the Action Parameters section for that action.


Setting Border Colors

Working with Layout Objects > Modifying Border Properties > Creating New Border Styles > Setting Border Colors
Setting Border Colors
You can set primary and secondary colors, and add animation and lighting effects to the border.
1.
On the Border Properties pane, click Edit Border Colors.
The Border Colors dialog box opens.
2.
Select the tab that identifies the state that you want to edit.
For a static border, select Normal.
3.
To create or modify a border for a tally or alarm, you can select colors that identify the border’s primary and secondary states. Layout Designer provides Custom, Web, and System color palettes. To select your new border color, make the following selections:
•
Click beside Primary Color to set the color of the border before an alarm or tally is triggered. You can choose colors from a menu.
•
Click beside Secondary Color to set the color of the border after an alarm or tally is triggered.
4.
To add a spotlight effect to your border, select Add Spotlight, and then choose the angle from which the light appears from the Light Position menu.
The spotlight effect is only available when the border style is Beveled or Rounded Beveled.
5.
To apply animation effects to the border state, select one of the following from the Animation drop-down list:
•
Color Change—Applies a primary to secondary color change to the border
•
Moving Light—A moving light travels around the border perimeter.
•
Flashing/Transition—The lighting flashes and changes to different colors.
The animations are not displayed on the Layout Designer canvas, and can only be viewed once the layout is published to a display.


Working with PiPs

Working with PiPs
Working with PiPs
About Picture-In-Pictures (PiPs)
Test and Measurement


About Picture-In-Pictures (PiPs)

Working with PiPs > About Picture-In-Pictures (PiPs)
About Picture-In-Pictures (PiPs)
PiPs display the input video from a single input channel. You can input video channels to PiPs for display on multiviewer output display devices. Each PiP has a number of properties that determine how it is displayed in the layout. PiP properties are independently set; each PiP in a layout can have a different set of PiP properties. All properties associated with a PiP can be modified using the Properties pane. You can also select a PiP in the layout and use your mouse to resize and move a PiP in a layout as well as format groups of PiPs using the align and distribute commands.
Layouts made from the Layout Creation Wizard are preconfigured with a predetermined number of PiPs and predefined PiP properties.
For information about adding PiPs from the Layout Object library, see Adding Layout Objects to a Layout.
You can modify all PiPs, regardless of how they were created.
Your layout must be in an unlocked state to add, move, or delete objects. You can adjust properties of objects on a locked layout. See Locking and Unlocking Layouts.
The following figure illustrates the various PiP operations.
Insert a PiP into a layout using the tool palette. See Adding PiPs to a Layout.
Move and resize PiPs using your mouse. See Resizing and Moving Layout Objects Using a Mouse.
Insert a PiP into a layout using the Insert > PiP command. See Adding PiPs to a Layout.
Add PiPs to the Library panel. See Adding Layout Objects to the Library Panel.
Copy and paste PiP properties from one PiP to one or more other PiPs. See Copying and Pasting Layout Object Properties.
Drag PiPs from the Layout Designer Library and drop them onto a layout. See Adding PiPs to a Layout.
Obtain PiP information and select PiP input source by clicking the [image] icon. See Selecting a PiP’s Input Source
Modify PiP properties using the PiP Properties pane. See Modifying PiPs Using the Properties Pane.


Adding PiPs to a Layout

Working with PiPs > About Picture-In-Pictures (PiPs) > Adding PiPs to a Layout
Adding PiPs to a Layout
You can use the canvas Tool palette and the application menus to add PiPs. You can also drag PiPs from the Library panel, and then drop them onto the canvas. For information about using the Layout Designer library, see Adding Layout Objects to a Layout.
PiPs added to the layout canvas have default properties. See Setting Default Layout Properties.
To add PiPs to a your layout:
1.
Select Insert > PiP.


Modifying PiPs Using the Properties Pane

Working with PiPs > About Picture-In-Pictures (PiPs) > Modifying PiPs Using the Properties Pane
Modifying PiPs Using the Properties Pane
Layout Designer provides a numbers of way to modify the appearance, size, and position of a PiP in a layout. You can use the PiP properties tab to modify a selected PiP by adjusting PiP property values such as width and height, and by selecting or changing the input channel you want the PiP to display in a layout. After completing the required modifications, you can copy the properties from the modified PiP, and then paste them to other PiPs in the same layout (see Copying and Pasting Layout Object Properties).
To access the Properties pane:
1.
Select View > Properties.
See the following sections for additional PiP related modifications:
•
Applying Borders Using the Properties Pane
•
Creating New Border Styles
•
Copying and Pasting Layout Object Properties
•
Resizing and Moving Layout Objects Using a Mouse
•
Aligning and Distributing Objects in a Layout


Modifying PiP Size and Aspect Ratio

Working with PiPs > About Picture-In-Pictures (PiPs) > Modifying PiPs Using the Properties Pane > Modifying PiP Size and Aspect Ratio
Modifying PiP Size and Aspect Ratio
PiP width and height sizes do not include border size. The minimum PiP size for 4:3 and custom aspect ratios is 113×85 pixels. The minimum PiP size for 16:9 aspect ratio is 114×64 pixels. Maximum PiP size depends on the video standard of the input channel. When PiPs are resized, the width and height proportions are constrained by the aspect ratio. When you select a custom aspect ratio, the width and height sizes are not constrained.
You can set the default PiP width value in the Default Preferences tab of the Layout Designer Preferences dialog box. For more information, see Setting Default Layout Properties.
To modify PiP size and aspect ratio using the Properties pane:
1.
In the layout, select the PiP you want to modify, and then select the PiPs tab from the Properties pane.
2.
Under Video/Graphics Dimensions, select the aspect ratio that you want to use from the Aspect Ratio list.
3.
To set the PiP width and height, type or select in the Width and Height boxes.
If you selected 4:3 or 16:9 as your aspect ratio, the aspect ratio is maintained when you select a value for width and height.
4.
(Optional) Add markers to your PiP.
Under Cropping & Markers, you can choose the following options:
•
Aspect Ratio Markers—An indicator of correct aspect ratio on the PiP to let you know whether the video is properly scaled when a source that is one aspect ratio is put on a PiP that has a different aspect ratio. The aspect ratio marker displays the area of a 4:3 coded frame on a 16:9 frame, or a 16:9 coded frame within a 4:3 frame.
Click Enable to activate a marker on the PiP. To determine the color of the marker, click Color, make a selection, and then click OK.
•
Safe Area—adds a Title Marker indicator on the PiP to indicate the safe area for titles to be displayed (80% of the picture area).
Click Title Marker to activate a marker on the PiP. To determine the color of the marker, click Color, make a selection, and then click OK.
•
Active Format Description—adds an indicator that displays the AFD description present in the incoming video. There are two options:
•
AFD - HD and SD video
•
WSS - SD 625 video only (with this option, choose the line to read WSS data from in the video stream)
To determine the color of the marker, click Color, make a selection, and then click OK.
From the drop-down menu, there are two options:
•
Display mode— markers on the multiviewer PiP indicate the active picture area indicated by the AFD code or WSS code on the input.
•
Convert mode—scales the video on the input source as indicated by the AFD code or WSS code on the input.
The Total Width and Total Height indicators describe the size of the PiP including the border. See Modifying Border Properties for more information.


Setting PiP Cropping Values

Working with PiPs > About Picture-In-Pictures (PiPs) > Modifying PiPs Using the Properties Pane > Setting PiP Cropping Values
Setting PiP Cropping Values
You can use Layout Designer’s cropping tool to crop the top, bottom, left, and right edges of a selected PiP. All cropping values are in pixels. When cropping a PiP, in canvas, the cropping area you set is indicated by a red dotted line.
Be aware of the following:
•
Switching video input standards on a PiP may affect how the current cropping values are applied to the input video.
•
When publishing default layouts stored on the multiviewer hardware, ensure that the cropping area (indicated by the red dotted lines on the PiP in the window) are properly set.
To crop a selected PiP:
1.
Under Cropping & Markers, select Cropping.
2.
Do one of the following:
•
To set a uniform cropping area around the PiP, under Cropping, type or select a cropping width in the Pixels box, and then select the Uniform check box.
•
To set different values for the top, bottom, left, and right cropping, clear the Uniform check box, and then type or select a cropping width in the Top, Bottom, Left, and Right boxes.


Selecting a PiP’s Input Source

Working with PiPs > About Picture-In-Pictures (PiPs) > Modifying PiPs Using the Properties Pane > Selecting a PiP’s Input Source
Selecting a PiP’s Input Source
Use the PiP Properties tab to modify the input source of selected PiPs. You can select from any of the video channels that are input to the multiviewer from the router network and design them as a PiP’s input source. If the router inputs do not have unique names (for example, from a UMD or routing matrix), Layout Designer sequentially numbers the inputs from 1 to 64.
You can also choose a VNC server as the input source for a PiP. The PC connected to a VNC PiP can be controlled using Harris multiviewer on-screen controls. When you choose a VNC server as the source for a PiP, many of the PiP controls in the PiP Properties pane are disabled (for example, Cropping & Markers, Scope options, and CCS-P Dynamic Name Reference).
To select a PiP input source for the selected PiP:
1.
Under Source & Format, click Use PiP Source.
2.
Do one of the following:
•
Select a video input source from the Source drop-down list on the PiP Property pane.
•
Click on the icon in the middle of the PiP on the layout canvas (see The following figure), and then make a selection from the Source drop-down list.
To select a VNC source for the selected PiP:
1.
Under Source & Format, click Use VNC Source.
2.
Enter the IP address or host name, port number, and the password for the VNC server.
When choosing VNC PiPs, keep in mind the following:
•
If one or more VNC PiPs have an inaccessible or invalid IP address, the multiviewer will wait for that/those PiPs to time out before loading the rest of the VNC PiPs.
•
Some VNC servers terminate the connection after a period of inactivity.
•
Some VNC servers lose connection when a user access control pops up, or when the computer is locked.
•
The more frequently a VNC server’s desktop updates, the worse the appearance will be. A plain web browser will usually look better than a video clip.
For best results, use UltraVNC, or another VNC server that uses server-side scaling. Harris multiviewers do not support NT Logon authentication or VNC encryption.
For information on controlling VNC PiPs, see Controlling a VNC PiP.


Choosing a PiP Display Mode

Working with PiPs > About Picture-In-Pictures (PiPs) > Modifying PiPs Using the Properties Pane > Choosing a PiP Display Mode
Choosing a PiP Display Mode
When a 16:9 source is displayed on a 16:9 PiP, or when a 4:3 Source is displayed on a 4:3 PIP, no display mode processing is required.
There are three display options.
•
Letterbox/Pillarbox mode displays all of the video image of a source, even if the source aspect ratio of the source and the pip do not match while maintaining source aspect ratio
However, when a 16:9 source is displayed on a 4:3 PiP, Letterbox formatting is applied (top and bottom bars), as in The following figure.
When a 4:3 source displayed on a 16:9 PiP, Pillarbox formatting is applied (left and right bars) as in The following figure.
•
Fullscreen mode stretches or clips the video image to fill the extents of the PiP if necessary, while maintaining the pixel aspect ratio.
When a 16:9 source is displayed on a 4:3 PiP, the left and right bands of the video are clipped, as in The following figure.
When a 4:3 source is displayed on a 16:9 PiP, the top and bottom bands of the video are clipped, as in The following figure.
•
Stretch mode stretches the video to fit in the PiP container without respecting pixel aspect ratio.
When a 16:9 source is displayed on a 4:3 PiP, the of top and bottom of the video are stretched, as in The following figure.
When a 4:3 source is displayed on a 16:9 PiP, the left and right sides of the video are stretched, as in The following figure.


Moving a PiP Using the Properties Pane

Working with PiPs > About Picture-In-Pictures (PiPs) > Modifying PiPs Using the Properties Pane > Moving a PiP Using the Properties Pane
Moving a PiP Using the Properties Pane
You can use the PiP Properties tab to resize/reposition PiP(s) in a layout. Using the Top Position and Left Position controls, you can position a PiP by setting the number of pixels from the top edge and left edge of the layout.
To move a PiP using the Properties pane:
1.
In the layout, select the PiP you want to modify, and then select the PIPs tab from the Properties pane.
2.
Under Position & Size, in the Left and Top boxes, type or select a new left and top position for the selected PiP.
You can also use your mouse to modify PiP width, height, left position, and top position. For information, see Resizing and Moving Layout Objects Using a Mouse.


Configuring Router Follow

Working with PiPs > About Picture-In-Pictures (PiPs) > Modifying PiPs Using the Properties Pane > Configuring Router Follow
Configuring Router Follow
1.
In the layout, select the PiP you want to modify, and then select the PIPs tab from the Properties pane.
2.
Under Options, check Follow Destination.
3.
To the right of the Follow Destination checkbox, type the number of the destination.
4.
In the Level field, enter the router level for the PiP to follow.


Defining PiP Names

Working with PiPs > About Picture-In-Pictures (PiPs) > Modifying PiPs Using the Properties Pane > Defining PiP Names
Defining PiP Names
In the Name field, you can change the title that designates the PiP in the Alarms Properties pane, etc.
The dynamic name for the PiP will appear in Navigator control windows and NUCLEUS Control Panels. Change the PiP’s dynamic name in the CCS-P Dynamic Name Reference section of the dialog box:
Dynamic Name Reference Options
Tally State Source Option
Description
Router Database Source Name
The PiP name will update the router source (as defined in the router database) that is associated with the specified PiP number.
If a switch on the router causes a change in the PiP input source, the PiP source will follow.
Choose which name in the router database to display (Logical, Status, Long Name, or Alias)
Router Database Destination Name
The dynamic name is acquired from the router database’s Destination column.
UMD/Tally System
(Fixed UMD)
Select the UMD address that will be the source of the UMD name.
UMD/Tally System (Source UMD)
(Under Monitor Display)
See the Source UMD tab in the Advanced Configuration dialog box for mapping. For more information, see Binding UMD Addresses to Input Sources.


Test and Measurement

Working with PiPs > Test and Measurement
Test and Measurement
Test and Measurement can be used to validate the video signal or to help troubleshoot problems.
To use Test and Measurement, you must have the NVIDIA Quadro® FX
3700 graphics board (or higher) installed on your system.
After you publish a layout, you can access the Test and Measurement options by right-clicking within the appropriate PiP, and choosing Display Scope on the menu that appears. (For more information about on-screen controls, see On-Screen Controls.)
The options are:
•
None
•
Waveform
•
Waveform Parade
•
Line
•
Line Parade
•
Vector
•
Quad Display
When you choose an option, the selected PiP changes to that Test and Measurement mode. You can run Test and Measurement on only one PiP at a time per multiviewer. If you select another PiP for testing, the previous PiP reverts back to its original mode. Alternatively, you can test different sources on the same PiP by changing the source value of the PiP.
You can display the results in monochrome or color by right-clicking within the PiP, and then choosing Color Source.
•
Monochrome displays the results in black and white.
•
From Video displays the results in the color of the pixel that is being sampled. If there are a lot of black or dark pixels in a signal, the results may be difficult to see in color mode.


Test and Measurement Display Modes

Working with PiPs > Test and Measurement > Test and Measurement Display Modes
Test and Measurement Display Modes
The following describes the Test and Measurement modes that are available under Display Scope. For information about changing how each mode is displayed, see Configuring the Test and Measurement Display Modes.
None: The Test and Measurement feature is not active.
Waveform: Displays a horizontal sweep of the Y luminance channel.
Waveform Parade: Displays a horizontal sweep of the luminance and color-difference channels next to one another in YCbCr format.
Line: Displays the Y luminance component of the selected line of video.
Line Parade: Displays the luminance and color-difference channels of the selected line of video next to one another in YCbCr format.
Vector: This option is used for calibrating the chroma levels with 75% color bars.
Quad Display: Displays four Test and Measurement screens at one time. The default configuration is waveform and vector on the top, video display and line on the bottom.


Configuring the Test and Measurement Display Modes

Working with PiPs > Test and Measurement > Configuring the Test and Measurement Display Modes
Configuring the Test and Measurement Display Modes
In Layout Designer, define how the different Test and Measurement display modes will appear on a PiP-by-PiP basis, or globally. This table describes the options that can be defined, depending on which mode you selected.
Test and Measurement Display Mode Options
Option
Description
Color
Set the default color display to From Video (color) or Monochrome (black and white).
If the you find that there are too many dark colors to see the display clearly when you view the results on the output module, you can right-click within the PiP and select Color Source > Monochrome.
Note If you change the color output when you are in Quad Display mode on the output module, all of the quadrants reset to that color output regardless of what default values were defined in Layout Designer.
Line
Select which line of the active video to display for each video format. For interlacing formats, select a line in the Odd or Even range.
Pixel Range
Define the range of pixels to display within a line.
Setup scope per quad region
For Quad Display mode, define what is displayed in each quadrant. The blue rectangle in each sample indicates which quadrant you are defining. When you click on a sample, the border appears yellow.


Defining Display Modes for a PiP

Working with PiPs > Test and Measurement > Configuring the Test and Measurement Display Modes > Defining Display Modes for a PiP
Defining Display Modes for a PiP
1.
Select a PiP.
2.
Select the PiPs tab of the Properties Panel.
3.
In the Scope Configuration area, select a display mode from the drop-down list, and then click Scope Configure.
The Scope Configuration dialog box appears. Certain options are available, depending on which display mode you selected. See this table.
4.
Change all of the appropriate options for that display mode, and then click OK.
5.
Repeat steps 3 and 4 for each mode.


Defining Display Modes Globally

Working with PiPs > Test and Measurement > Configuring the Test and Measurement Display Modes > Defining Display Modes Globally
Defining Display Modes Globally
When you define the options globally, you set the default values for all PiPs. However, you can redefine the options for individual PiPs when you create a new layout.
1.
Select a PiP.
2.
Select Edit > Preferences.
The Layout Designer Preferences dialog box appears.
3.
Select the Default Properties tab.
4.
In the PiP area, select a display mode from the Scope drop-down list, and then click Configure.
The Scope Configuration dialog box appears. Certain options are available, depending on which display mode you selected. See this table.
5.
Change all of the appropriate options for that display mode, and then click OK.
6.
Repeat steps 4 and 5 for each mode.


On-Screen Data Tools

On-Screen Data Tools
On-Screen Data Tools
About On-Screen Data Tools
Creating Audio Meters
Creating Tally Indicators
About Labels
About Layout Clocks
About Up/Down Counters


About On-Screen Data Tools

On-Screen Data Tools > About On-Screen Data Tools
About On-Screen Data Tools
Layout Designer provides on-screen tools that you can add to layouts to provide data, feedback, and other information. You can create customized audio meters, tally indicators, labels, and clocks for each layout.
Use Layout Designer’s on-screen data tools to monitor your system input signals and set up automatic responses to alarm conditions and operational events. The following figure illustrates Layout Designer’s on-screen data tools in a layout.
Tally indicators display the monitoring status from UMD protocol, GPI inputs, or alarms/rules. You can apply various colors and behaviors to each tally indicator individually. See Creating Tally Indicators.
Audio meters display the audio levels from Dolby E, embedded, or discrete audio input sources. You can assign up to 16 audio meters to each PiP in a layout. See Creating Audio Meters.
Labels can display static or dynamic information, or display text using alarms/rules. See About Labels.
Clocks can be either analog or digital, and can display various time zones. See About Layout Clocks.
Up/down counters are unidirectional. See About Up/Down Counters.


Creating Audio Meters

On-Screen Data Tools > Creating Audio Meters
Creating Audio Meters
You can associate up to 16 individual audio channels (or 8 channel pairs) to each PiP for audio metering purposes. Audio meters for each of these assigned channels can be positioned anywhere in the canvas, including superimposed on their associated PiPs. A typical arrangement will have two groups of four bar meters on each side, although you can choose any number of channels to monitor (to a maximum of 16).
Alternatively, you can add 5.1 audio meters that display the audio in a surround-sound configuration.
Your layout must be in an unlocked state to add, move, or delete objects. You can adjust properties of objects on a locked layout. See Locking and Unlocking Layouts.
Audio meters are associated with PiPs by mapping the audio source channels to a source PiP. You can map audio to PiPs, and change other audio meter-related properties using the Audio Meters tab of the Properties pane.
Creating audio meters for layouts can be divided into these tasks:
•
Mapping audio meters
•
Changing the appearance of audio meters
•
Changing the size and position of the audio meters.
The following illustrates the controls available from the Audio Meter tab of the Properties pane that are used to perform these tasks.
Audio Meter Number - Auto-assigns each audio meter an unique number
DolbyE - Use this menu to select the Dolby E audio pair to be displayed and monitored. See Configuring Dolby E Monitoring.
Setting audio meter size and position - Use these controls to set the width and height of your meter and set the meters position in the layout. See Setting Audio Meter Size and Position.
Mapping audio meters - Use these controls to assign audio source channels to meters as associated meters to source PiPs. See Mapping Audio Meters.
Setting audio meter appearance properties - Use these controls to set the meter scale, color transition points, and number of channels from the audio source you want to meter. You can also set background and text color. See Setting Audio Meter Appearance Properties.
You can:
•
Resize and move audio meters using your mouse. See Formatting Layout Objects in the Canvas.
•
Add audio meters to a window. For more information, see Creating Layout Windows.


Adding Audio Meters to a Layout

On-Screen Data Tools > Creating Audio Meters > Adding Audio Meters to a Layout
Adding Audio Meters to a Layout
Audio meters that are added to a layout using the Tool palette appear as the default audio meter type.
To add an audio meter:
1.
Select Insert > Audio Meter or Insert > 5.1 Audio Meter.


Mapping Audio Meters

On-Screen Data Tools > Creating Audio Meters > Mapping Audio Meters
Mapping Audio Meters
Audio mapping is the process of selecting the audio source and audio channels that you want to see metered on the selected PiP. Use the Audio Meters tab of the Properties pane to map audio channels to source PiPs.
To map audio meters:
1.
Select the audio meter that you want to map.
2.
Select the Audio Meter tab on the Properties pane.
3.
In the Source list, select a router source that you initially associate the selected audio meter.
If the router source of the PiP is changed later, the router source of the associated audio meter will NOT change unless the PiP and audio meter are grouped as a window. For more information, see Creating Layout Windows.
4.
In the Start At Channel field, select the first audio channel of the audio source that you want to meter.
5.
(Optional) Place a check beside Discrete Audio to use non-embedded audio.
Discrete audio needs to be configured in CCS Navigator. See your Harris Multiviewer Installation, Configuration, and Operation Manual for more information.
You can configure info panels to indicate the audio channels that are being monitored. For more information, see Configuring Audio Monitoring.


Setting Audio Meter Appearance Properties

On-Screen Data Tools > Creating Audio Meters > Setting Audio Meter Appearance Properties
Setting Audio Meter Appearance Properties
After you have mapped the audio channels that you want to meter, set the audio meter appearance properties.


Selecting Meter Scale Properties

On-Screen Data Tools > Creating Audio Meters > Setting Audio Meter Appearance Properties > Selecting Meter Scale Properties
Selecting Meter Scale Properties
Choose whether you want to display a scale on your audio meters and select on which side of the meter you want to position the scale.
To set meter scale properties:
1.
Select the Audio Meter tab on the Properties pane.
2.
To show or hide the meter scales, select or clear Show Scales.
3.
If you selected Show Scales, select either Left or Right as the position of the meter’s scales. (This setting is not available on 5.1 audio meters.)
4.
To select the number of channels you want to meter, enter a value from the Number of channels list. (This setting is not available on 5.1 audio meters.)
5.
To show or hide the phase meter, select or clear Show Phase Meter.
Regardless of the type of meter, phase meters appear in the lower portion of the area taken up by the audio meters.
When a phase meter is enabled, the meter fully to the right side in the green zone indicates a phase difference of 0 degrees. The meter fully to the left side of the red zone indicates a phase difference of 180 degrees. A properly phased stereo pair produces a phase meter that moves within the green zone, and a reversed channel produces a pointer that moves within the red zone.
6.
To modify the opacity of the audio meter, beside Meter Bar Opacity, type or select a percent opacity value for the selected meter(s).
7.
Do either of the following:
•
To select the label text color, click Text Color.
•
To select the background color, click BG Color.
The Select Color dialog box appears.
8.
Select a color value.
9.
Use the Opacity slider to adjust the color’s opacity value.
10.
Click OK to save your color changes.


Setting Meter Transition Points

On-Screen Data Tools > Creating Audio Meters > Setting Audio Meter Appearance Properties > Setting Meter Transition Points
Setting Meter Transition Points
Each audio meter type has default red-yellow and yellow-green transition points. These transition points can be modified to suit your audio sources. For example, you can customize the transition point, in percentage of the overall meter height, of where the yellow portion of the meter turns to red.
To set meter color transition points:
1.
Select the Audio Meter tab on the Properties pane.
2.
On the Color Transition Point drop-down list, select the metering transition point style that you want to use.
Each transition point style in the list corresponds to a standard audio meter type.
3.
Use the sliders to do either of the following:
•
Use the Green-Yellow slider to adjust the transition point, in percentage of the overall meter height, where the green portion of the meter turns to yellow.
•
Use the Yellow-Red slider to adjust the transition point, in percentage of the overall meter height, where the yellow portion of the meter turns to red. Typically, the red-yellow transition corresponds with 0 dB on analog audio scales.


Setting Audio Meter Size and Position

On-Screen Data Tools > Creating Audio Meters > Setting Audio Meter Size and Position
Setting Audio Meter Size and Position
There are four control settings that you can use to specify the size and position of the audio meters:
•
Width
•
Height
•
Left Position
•
Top Position
To set the audio meter size and position:
1.
Select the Audio Meter tab on the Properties pane.
2.
In the Size & Position area, enter the value for height in the Height field.
The width cannot be changed.
3.
To move the selected audio meters, enter the left and top position values (in pixels) in the Left Position and Top Position fields.
The Left Position value is the number of pixels from the left edge of the layout. The Top Position value is the number of pixels from the top edge of the layout.
You can also use your mouse to resize and move audio meters in the layout canvas. For more information, see Formatting Layout Objects in the Canvas.


Creating Tally Indicators

On-Screen Data Tools > Creating Tally Indicators
Creating Tally Indicators
Add on-screen tally indicators to your layout to indicate alarm conditions or other operational instances such as rule conditions. Use the Tally tab of the Properties pane to change a tally’s shape, color, and behavior during an alarm state so that you can make each tally’s appearance unique and easy to identify.
Your layout must be in an unlocked state to add, move, or delete objects. You can adjust properties of objects on a locked layout. See Locking and Unlocking Layouts.


Adding Tally Indicators to a Layout

On-Screen Data Tools > Creating Tally Indicators > Adding Tally Indicators to a Layout
Adding Tally Indicators to a Layout
Tally indicators that are added to a layout appear in the default tally style. Once you have added a tally, you can change its appearance.
To add a tally indicator to a your layout:
1.
Select Insert > Tally.


Modifying Tally Indicator Properties

On-Screen Data Tools > Creating Tally Indicators > Modifying Tally Indicator Properties
Modifying Tally Indicator Properties
Each tally that you add to your layout has a set of individual properties that determine its appearance, its behavior, and the alarm or processing rule it indicates in the layout.
To view a tally’s properties, in the layout canvas, select the tally indicator that you want to modify, and then select the Tally tab of the Properties pane.


Naming the Tally Indicator

On-Screen Data Tools > Creating Tally Indicators > Modifying Tally Indicator Properties > Naming the Tally Indicator
Naming the Tally Indicator
You can give your new tally indicator a unique name that identifies it in the layout when it is associated with GPIO devices.
To name a tally:
1.
Select a tally indicator in the layout.
2.
Select the Tally tab on the Properties pane.
3.
In the Properties area, type a name for the tally indicator in the Name field.


Selecting a Tally Indicator Shape

On-Screen Data Tools > Creating Tally Indicators > Modifying Tally Indicator Properties > Selecting a Tally Indicator Shape
Selecting a Tally Indicator Shape
You can change the shape of a tally indicator at any time by choosing a new shape from the Tally Style list.
To select a new tally indicator shape:
1.
Select a tally indicator in the layout.
2.
Select the Tally tab on the Properties pane.
3.
In the Properties area, select a new shape from the Tally Style list.


Resizing and Moving a Tally Indicator

On-Screen Data Tools > Creating Tally Indicators > Modifying Tally Indicator Properties > Resizing and Moving a Tally Indicator
Resizing and Moving a Tally Indicator
Use the Position & Values controls to resize and move your tally.
To modify tally size and position:
1.
Select a tally indicator in the layout.
2.
Select the Tally tab on the Properties pane.
3.
In the Position & Value, do either of the following:
•
To resize the selected tally indicator, enter the width and height values (in pixels) in the Width and Height fields.
•
To move the selected tally, enter the left and top position values (in pixels) in the Left Position and Top Position fields.
The Left Position value is the number of pixels from the left edge of the layout. The Top Position value is the number of pixels from the top edge of the layout.
You can also use your mouse to resize and move tally indicators in the layout canvas. For more information, see Formatting Layout Objects in the Canvas.


Setting Tally States

On-Screen Data Tools > Creating Tally Indicators > Modifying Tally Indicator Properties > Setting Tally States
Setting Tally States
You can assign different colors, behaviors, and alarm conditions to each tally indicator. There is one Normal state, three Alarm states (Normal, Alarm Low, Alarm Medium, and Alarm High), and the Tally state. You create the following settings for each state:
Primary color
The primary color represents the tally color in its primary/initial state. You can set the primary color to Off, Green, Yellow, Amber, or Red. The primary color of the Low level alarm is the tally color On state from an external UMD tally protocol.
Secondary color
The secondary color represents the tally color in its secondary state, when it is flashing in animation mode. You can select from Off, Green, Yellow, Amber, and Red for secondary color.
Animation
Apply animations to create the tally behavior. You can select None (solid color indicator) or Flashing.
To set a tally indicator states:
1.
Select a tally indicator in the layout.
2.
Select the Tally tab on the Properties pane.
3.
In the States area, click Edit Tally Colors.
The Layout Editor - Tally States dialog box appears.
4.
For each state that you want to create for the selected tally indicator, do the following:
a.
From the Primary Color list, select a color for the tally indicator’s initial state.
b.
From the Secondary Color list, select a color or the tally indicator’s secondary state.
c.
From the Animation list, select a behavior for the tally.


Setting the Tally State Source

On-Screen Data Tools > Creating Tally Indicators > Modifying Tally Indicator Properties > Setting the Tally State Source
Setting the Tally State Source
In the Tally State Source area, there are three options:
Tally State Source Options
Tally State Source Option
Configuration Options
UMD/Tally System
(Fixed UMD Addr)
Select the UMD address that will be the input source for the tally.
When you use a either of the UMD/Tally System options, you must set the following items:
•
Tally Number–the number of the tally within the UMD address that is monitored
•
Program Number–Enter the correct number in this field if you are using Ross Protocol. If you are using another protocol, the data in this field will be ignored.
UMD/Tally System
(Source UMD)
(Under Monitor Display)
Select the PiP Number that will be the input source for the tally.
See the Source UMD tab in the Advanced Configuration dialog box for mapping. For more information, see Binding UMD Addresses to Input Sources.
Alarm Rule
Select this option if you want the tally indicator to be the target for an alarm, and then follow these steps to define the alarm source:
1.
With the tally selected in the layout, select the Alarms tab in the Properties pane.
2.
Following the instructions in Defining Alarms for a Layout Object, configure the Detectors and Actions pages of the Rules dialog box.
On the Actions page, choose Set Tally Alarm State, and complete the Action Parameters section for that action.


About Labels

On-Screen Data Tools > About Labels
About Labels
Labels can be used to display text on your layout. If a layout does not have labels, they can be added to a layout using the Tool palette or by using the Insert > Label command from the application menu.
Your layout must be in an unlocked state to add, move, or delete objects. You can adjust properties of objects on a locked layout. See Locking and Unlocking Layouts.
Labels can be static, dynamic, or alarms/rules based, depending on the label’s text source.
•
Static labels have text that is typed directly into the label area when the layout is open on the canvas.
•
Dynamic labels have source text generated from a router or a UMD device. When Dynamic is selected, PiP label text and tally information is determined by router destinations or sources via a router or UMD controller.
•
Alarm/rule labels are triggered or generated by an alarm.
Scrolling properties can be added to both types of labels. On the Label tab of the Properties pane, you can activate and define the scrolling speed of the label text. Label text is set to scroll from right to left and within the defined label area, which is set using the label width and height properties. You can have multiple labels on a layout, each with unique properties.
Labels are modified on the Labels properties pane.
Each label has a unique identifier for the layout, its Label ID. The label ID cannot be modified. All other controls on the Labels properties pane can be edited.
When you modify label properties, the changes only apply to the selected label(s). If you want to make the same property changes to multiple labels, you can use the Copy and Paste commands from the Layout Designer context menu. For more information, see Copying and Pasting Layout Object Properties.


Setting the Label Text Source

On-Screen Data Tools > About Labels > Setting the Label Text Source
Setting the Label Text Source
If your label is a dynamic label, do not type text in the label area.
Label Text Source Options
Label Text Source
Configuration
Static Text
When a label’s source is static, default text appears in the label area. To edit static label text:
1.
In the layout canvas, double-click the label you want to modify.
2.
Hold down your left mouse button, and then select the default (or previously entered) label text.
3.
Type your new label text into the label area.
Router Database Source Name
The label will update the router source (as defined in the router database) that is associated with the specified PiP number or Audio Source Number (as chosen from the drop-down menu).
If a switch on the router causes a change in the PiP input source, the label associated with the PiP source will follow.
You can choose one of the following router source names to track: Logical, Source, Long Name, or Alias.
Router Database Dest Name
The label will update the router destination that is associated with the specified PiP number. (This is normally used with Router Follow. See Configuring Router Follow for more information.)
If a switch on the router causes a change in the PiP output destination, the label associated with the PiP source will follow.
UMD/Tally System (Fixed UMD) (UMD addr)
Select a UMD address for the label.
UMD/Tally System (Source UMD***) (PiP Num)
Select the PiP number of the input source for the label.
See the Source UMD tab in the Advanced Configuration dialog box for mapping.
Alarm Rule
If your label is connected to an alarm or rule, it will be triggered at a specific event.
External Update (External Number)
Allows label text to be updated from the Multiviewer Web interface (see Using the Multiviewer Web Interface
RSS Update Interval (Min.)
Uses an RSS feed as the source for the label text. Enter the URL to receive data from, and the frequency with which you would like the label to check for updates.


Modifying Label Appearance Properties

On-Screen Data Tools > About Labels > Modifying Label Appearance Properties
Modifying Label Appearance Properties
Label appearance properties can be applied to static and dynamic labels. You can select multiple labels, and then apply the same appearance properties changes to the selected labels.
To modify label text properties:
1.
In the layout canvas, select label(s) you want to modify.
To select multiple labels, hold down the CTRL key as you select each label.
2.
On the Properties pane, click the Labels tab.
3.
Under Appearance, select a font for your label text from the Font drop-down list.
4.
Beside the [image] icon, select a font size from the drop-down list.
5.
To select the label text color, click the [image] icon to open the Select a Color dialog box.
6.
To select a color, do one of the following:
•
Use the slider to select a color.
•
Enter the color values you want to use in one of the ScRGB, sRGB, or Hexadecimal Notation fields.
Your selected color is previewed below Selected Color. If required, use the Opacity slider to adjust the color’s opacity value.
For more information on completing the Color Selector dialog box, see Setting Default Window Properties.
7.
Beside Justify, select the justification style for your label text from the drop-down list.
8.
Beside Label Size, make one of the following selections:
•
Custom - Select this option to set the label width and height defined by the Width and Height controls (see Modifying Label Size and Position Properties).
•
Text Size Width - Select this option to set the label size to the total width of the text contained in the label area.
9.
To select the label background color, click the [image] icon to open the Select a Color dialog box. For more information on completing the Color Selector dialog box, see Setting Default Window Properties.


Modifying Label Size and Position Properties

On-Screen Data Tools > About Labels > Modifying Label Size and Position Properties
Modifying Label Size and Position Properties
You can select multiple labels, and apply the same size and position properties to the selected labels. You can also use your mouse to move and re-size labels in the layout canvas. For more information, see Resizing and Moving Layout Objects Using a Mouse.
To modify the label size and position properties
1.
Under Size & Position, select or type values for label width and height in the Width and Height fields.
The displayed Total Width and Total Height values include the label width and height as well as the label’s border width.
2.
To set the label position, select or type values in the Left and Top fields.
The Left value is the number of pixels from the left edge of the canvas, and Top is the value is the number of pixels from the top edge of the canvas.
You can also drag and move the label on the canvas. The position indicators will update as you do this.


Activating and Modifying Scrolling Properties

On-Screen Data Tools > About Labels > Activating and Modifying Scrolling Properties
Activating and Modifying Scrolling Properties
You can activate scrolling properties on static and dynamic labels. You can set the speed the label text scrolls from left to right in the area defined by the label Width property. You can select multiple labels, and then apply the same scrolling properties to the selected labels.
To enable and set label scrolling properties:
1.
Under Scrolling Content, to enabling scrolling of label text, select Allow Scrolling.
2.
Beside Speed select or type a speed value (in seconds) for scrolling speed.
A value of 1 provides the slowest and 10 the fastest scrolling speed.
3.
If you want the label text to pause during scrolling, select the Pause check box, and then select or type the duration of the pause (in seconds).
The pause will occur before the scroll repeats itself.


About Layout Clocks

On-Screen Data Tools > About Layout Clocks
About Layout Clocks
You can add clocks to a layout as layout objects, and then define how the time and date information is displayed. Clocks are driven by either an internal software time source or by an external time reference source that is input to the output module using an LTC input. There are several styles and formats of digital and analog clocks. There is no restriction on the number of clocks that you can add to a layout, but clocks have minimum size properties (135×135 pixels for analog and 160×40 for digital).
Your layout must be in an unlocked state to add, move, or delete objects. You can adjust properties of objects on a locked layout. See Locking and Unlocking Layouts.
Clock properties, such as time zone settings, size, and position, are modified on the Clock tab of the Properties pane. You can also use your mouse to resize and move clocks in the layout canvas. For more information, see Formatting Layout Objects in the Canvas.


Adding Clocks to a Layout

On-Screen Data Tools > About Layout Clocks > Adding Clocks to a Layout
Adding Clocks to a Layout
To add a clock to your layout:
1.
Do one of the following:
•
To add an analog clock, from the Tool palette, click the [image] icon.
•
To add a digital clock, from the Tool palette, click the [image] icon.
Use the Analog Clock and Digital Clock tabs of the Properties pane to change the clock style, resize and move the clock, and set clock time properties. For more information see Modifying Clock Properties.


Modifying Clock Properties

On-Screen Data Tools > About Layout Clocks > Modifying Clock Properties
Modifying Clock Properties
Each clock in a layout has a set of individual properties that determine the appearance, size and position, and time properties such as its time reference source and time zone settings. You can display clocks that show time from different time zones in the same layout. Some clock properties, such as Time and Offset and Size & Position properties, are set the same way for both analog and digital clocks.
To view a clock’s properties, select the clock you want to modify, and then click the Analog Clock or Digital Clock tab of the Properties pane.


Setting Analog Clock Format

On-Screen Data Tools > About Layout Clocks > Modifying Clock Properties > Setting Analog Clock Format
Setting Analog Clock Format
After you have added an analog clock to a layout, you can change the clock’s appearance and motion type by selecting a new clock style from the Format section of the Analog Clock properties tab.
this table displays the different clock style types that you can choose from the Format list.
Analog Clock Formats
Clock Format
Style
Clock Format
Style
Format 1
(default format)
Format 6
Format 2
Format 7
Format 3
Format 8
Format 4
Format 9
Format 5
Format 10
To set the selected clock’s format:
1.
Under Format, select a clock style.
2.
Under Type, select Analog or Hybrid.
Hybrid adds a digital clock on the analog clock’s face.
3.
To change the clock’s motion setting, from the Motion list, select one of the following:
•
Sweep—Select this option for a sweep clock hand motion.
•
Quartz—Select this option for a clock hand motion that pulses in one-second intervals.
•
Rolex—Select this option for a smooth clock hand motion
•
Harris—Select this option for a sweep-stop (in one second intervals) clock hand motion


Setting Digital Clock Format

On-Screen Data Tools > About Layout Clocks > Modifying Clock Properties > Setting Digital Clock Format
Setting Digital Clock Format
1.
Under Format, select a clock layout from the list.
2.
To customize your selected clock format, make the following selections:
•
12 or 24 - Sets the clock display to 12 hour format
•
AM/PM - Indicates PM or AM in the clock display (does not apply to 24-hour clocks)
•
Show Seconds - Displays the second count in the clock display
•
Show Date - Displays the date in the clock display (select a date format from the drop-down list)
•
Show Week - Displays the days of the week in the clock display


Customizing Digital Clock Appearance Properties

On-Screen Data Tools > About Layout Clocks > Modifying Clock Properties > Customizing Digital Clock Appearance Properties
Customizing Digital Clock Appearance Properties
You can change a digital clock’s text font and color. Analog clock appearances cannot be customized.
To customize the appearance of your digital clock:
1.
Under Time Font, select a font that will be used for the time (mostly number) text.
2.
Under Date Font, select a font that will be used for the date (mostly alphabet, usually smaller) text.
3.
Choose the colors for each of the following areas on the digital clock:
•
Time Color - The numeric time text in the clock display
•
Date Color - The rest of the text on the screen, excluding the day of the week if you have chosen the Show Week display
•
Active Date - The current day if you have chosen the Show Week display
•
Background - The area inside the border of the digital clock display


Setting Clock Time Reference Source and Time Zone

On-Screen Data Tools > About Layout Clocks > Modifying Clock Properties > Setting Clock Time Reference Source and Time Zone
Setting Clock Time Reference Source and Time Zone
You can use either an internal or an external time reference source, such as a linear timecode input (LTC) to drive your on-screen clocks. The controls and method used to set the time reference source is the same for analog and digital clocks. Each clock in a layout can be configured with a different time reference source.
To set the clock time reference source:
1.
Under Time and Offset, select one of the following:
•
Internal - Select this option to use the multiviewer’s internal time as a reference source for the selected clock.
Select an appropriate time zone from the Time Zone Offset drop-down list.
To configure Network Time Protocol, see Configuring Network Time Protocol (NTP).
•
External LTC - Select this option to use an external source as the clock reference source such as the LTC input as your clock source.
To configure a time offset for the external time, type or select an offset value in the Hours and Minutes fields.
To offset a time that is earlier than the current time, select Negative.
See your Harris Multiviewer Hardware Installation, Configuration, and Operation Manual for more information on setting up the type of external LTC format.
•
VITC - Select this option to use time information based on timecode information from a video signal.
Select the video source from which the clock data will be derived from the Source menu.
Select the type of timecode to use from that source from the Type menu. Options include LTC, VITC1, and VITC2 from a DVITC source.
From the Service Option menu, choose the line on which that timecode appears. Options are lines 6-23.


Resizing and Moving Clocks

On-Screen Data Tools > About Layout Clocks > Modifying Clock Properties > Resizing and Moving Clocks
Resizing and Moving Clocks
The controls for resizing and moving analog and digital clocks are the same.
To resize and move the selected clock:
1.
Under Size & Position, type or select values for the width and height in the Width and Height fields.
2.
To move the selected clock, type or select left and top position values (in pixels) in the Left Position and Top Position fields.
The Left Position value is the number of pixels from the left edge of the layout. The Top Position value is the number of pixels from the top edge of the layout.
You can also use your mouse to resize and move clocks in the layout canvas. For more information, see Formatting Layout Objects in the Canvas.


About Up/Down Counters

On-Screen Data Tools > About Up/Down Counters
About Up/Down Counters
The up/down counter displays time on your Layout, with accuracy down to a second. You can use a counter as an alarm detector to trigger other events when it completes its count down or count up, or when the counter hits a blink or alert point (see Defining Alarms for a Layout Object for more information). When the end time is reached on that particular counter, an event is triggered. The counter can be the recipient of an alarm action, which can reset, start, or stop the counter.
During normal operation the timer behaves as follows:
1.
The counter starts, counting up or down with green font.
2.
When it reaches a pre-defined alert time, the counter’s font turns red.
3.
When it reaches a pre-defined blink time, the font remains red but then the red down arrow (or up arrow for a count down timer) turns off and on at .5s intervals for the remainder of the count time.
4.
When the counter reaches a pre-defined end time (time has expired), the timer remains at the last time value (00:00:00 for a down timer) with a red font until it is reset or a new timer session is started.


Adding Counters to a Layout

On-Screen Data Tools > About Up/Down Counters > Adding Counters to a Layout
Adding Counters to a Layout
To add a Counter to your layout:
1.
Do one of the following:
•
From the Tool palette, click the [image] icon.
•
From the main menu, select Insert > Up/Down Counter.
Use the Up/Down Counter tab of the Properties pane to change the properties. For more information see Modifying Counter Properties.


Modifying Counter Properties

On-Screen Data Tools > About Up/Down Counters > Modifying Counter Properties
Modifying Counter Properties
Each counter in a layout has a set of individual properties that determine the appearance, size, position, and time properties. Each counter has a unique counter number. You can configure four different times per counter.


Naming the Counter

On-Screen Data Tools > About Up/Down Counters > Modifying Counter Properties > Naming the Counter
Naming the Counter
A counter’s unique name identifies it in the layout. This is the name the counter is identified by when creating alarm detectors and actions.
To name a counter:
1.
Select a counter in the layout.
2.
Select the Counter tab on the Properties pane.
3.
In the Properties area, type a name for the counter in the Name field.


Modifying Counter Size and Position Properties

On-Screen Data Tools > About Up/Down Counters > Modifying Counter Properties > Modifying Counter Size and Position Properties
Modifying Counter Size and Position Properties
You can select multiple counters, and apply the same size and position properties to the selected counters. You can also use your mouse to move and re-size counters in the layout canvas. For more information, see Resizing and Moving Layout Objects Using a Mouse.
To modify the counter size and position properties
1.
Under Size, Position & Opacity, select or type values for counter width and height in the Width and Height fields.
The displayed Total Width and Total Height values include the counter width and height as well as the counter’s border width.
2.
To set the counter position, select or type values in the Left and Top fields.
The Left value is the number of pixels from the left edge of the canvas, and Top is the value is the number of pixels from the top edge of the canvas.
You can also drag and move the counter on the canvas. The position indicators will update as you do this.
3.
Drag the Opacity slider to the right to make the counter more transparent, or left to make the counter more solid.


Choosing a Counter Style

On-Screen Data Tools > About Up/Down Counters > Modifying Counter Properties > Choosing a Counter Style
Choosing a Counter Style
Click an option in the Styles section of the Up/Down Counter Properties pane to choose a counter appearance.


Configuring Counter Functionality

On-Screen Data Tools > About Up/Down Counters > Modifying Counter Properties > Configuring Counter Functionality
Configuring Counter Functionality
1.
Select Internal or External LTC for the counter’s source.
•
Internal - calibrates the counter rate from the multiviewer’s internal time.
•
External LTC - calibrates the counter rate from linear timecode on the output module’s LTC input.
2.
Select a counter direction.
•
Up (incremental) - the counter increases in value as it counts.
•
Down (decremental) - The counter decreases in value as it counts.
The counter indicates its direction in the layout with an up arrow or a down arrow.
3.
Configure times as follows:
•
Beside Start Time, enter the initial value that is displayed by the counter.
•
Beside Stop Time, enter a final value to be displayed by the counter.
•
When used as a detector to trigger a rule, the stop time will trigger the rule to fire. After firing the time is displayed as red.
•
Beside Alert Time, enter the time when the text on the counter will change from green to red (prior to the countdown completing).
•
Beside Blink Time, enter the time when the direction indicator will begin to blink.
The maximum number of hours is 99, and the maximum number of minutes and seconds are 59.


Manually Controlling a Counter

On-Screen Data Tools > About Up/Down Counters > Manually Controlling a Counter
Manually Controlling a Counter
When a layout is uploaded to a Harris multiviewer, you can operate the counter from Layout Designer, an onscreen menu that is accessible via the mouse through onscreen menu interactions.
To control the counter from Layout Designer, follow these steps:
1.
If Layout Designer does not have control of the Harris multiviewer, click Enable Control.
2.
Select a counter in the layout.
3.
Select the Counter tab on the Properties pane.
4.
Use the following controls:
Start - updates the counter to proceed with the linear countdown
Stop - stops and reports the current countdown time until further notice
Reset - re-initializes the counter using the original start, stop, blink, and alert times. Any rules that were active in the layout will still trigger the counter the same way as before.
In the Rules engine, the counter can act as an alarm by configuring a rule to fire on a Stop Counter event, when the counter reaches its end time. See Defining Alarms for a Layout Object. The counter can act as a target through the Reset Counter, Start Counter, and Stop Counter actions. See Setting Alarm Actions.


Controlling a Counter Using SNMP or CCS (Navigator or NUCLEUS)

On-Screen Data Tools > About Up/Down Counters > Controlling a Counter Using SNMP or CCS (Navigator or NUCLEUS)
Controlling a Counter Using SNMP or CCS (Navigator or NUCLEUS)
The time parameter is global and updates every published timer. Neither CCS nor SNMP is aware of any of the published timers. The only link is through virtual triggers set up with alarms in the layout.
To start a timer, follow these steps:
1.
Set the Initial Counter Time parameter.
The time does not update the counter until a start is triggered. When you set the duration, there is no visual feedback on the display. It retains the original setting of the published layout.
2.
Set the trigger that starts the specific counter.
When you start the countdown timer, the display updates to the value set using SNMP or CCS and starts to decrement or increment.
If the time is not set to zero, any time a start occurs, the counter uses the time as set by CCS Navigator, NUCLEUS, or SNMP.


Alarms and Info Panels

Alarms and Info Panels
Alarms and Info Panels
About Monitoring Tools
Configuring Global Alarms
Configuring Layout Events and Global Events
Creating Info Panels


About Monitoring Tools

Alarms and Info Panels > About Monitoring Tools
About Monitoring Tools
Use Layout Designer’s on-screen monitoring tools to monitor your system input signals and set up automatic responses to alarm conditions and operational events. The following figure illustrates Layout Designer’s on-screen monitoring tools in a layout.
Tally indicators can display alarm conditions if configured to do so. See Creating Tally Indicators.
Borders (on PiPs and windows) can display three different alarm states and a tally state, in addition to their normal state. See Modifying Border Properties.
Dynamic labels can be configured to display specific text based on various alarm conditions. For more information, see About Layout Clocks.
Info Panels can include alarms. For more information, see Creating Info Panels.
Up/Down Counters can trigger and be the target of alarms. For more information, see About Up/Down Counters.
Other alarm monitoring options include:
•
E-mails
•
Log entries
•
Text messages
•
Changes to the PiP, such as making it full-screen or switching it to display a waveform
Alarms can be assigned to an item within a layout, to a layout, or globally, to the multiviewer device itself.


Using the Rules Menu

Alarms and Info Panels > About Monitoring Tools > Using the Rules Menu
Using the Rules Menu
As part of the Layout Designer application toolbar, the Rules menu provides the following options:
•
Global Alarms -Opens the Global Alarms Editor so you can review and configure alarms that are device-specific and will stay active when triggered even when the layout changes. See Configuring Global Alarms.
•
Global Events - Opens the Events Editor so you can review and configure events that trigger actions and are device-specific, and will stay active when triggered even when the layout changes. See Configuring Layout Events and Global Events.
•
Enable/Disable Global Event - Lists a sub-menu of all global events, so that you can select a specific event to enable or disable.
•
Enable/Disable All Global Events - Provides a list of two options that affect all defined global events: Enable or Disable.
•
Layout Events - Opens the Events Editor so you can review and configure events for a specific layout.
•
Clear Layout Alarms - Deletes all alarms for a specific layout.
•
Component [Component’s name] Alarms - Opens the Rules Editor so you can review and configure alarms assigned to the selected item. Defining Alarms for a Layout Object.
•
Clear Component [Component’s name] Alarms - Deletes all alarms assigned to the selected item.
Global and Layout alarms and events are only available when Layout Designer is connected to a Harris Multiviewer.


Using the Alarms Property Pane

Alarms and Info Panels > About Monitoring Tools > Using the Alarms Property Pane
Using the Alarms Property Pane
If you can assign alarm detectors to an object in a layout, when you select that object and then go to the alarms tab of the Properties panel, you can view the alarms assigned to that object. Each alarm consists of two parts:
•
Detectors - Conditions that trigger the alarm
•
Actions - Notifications that an alarm condition exists
Alarms are defined on the Alarms tab of the Properties pane.
Alarms lists each sub-item that make up the selected object (including PiPs, counters, info panels, etc.). Sub-entries list the alarms applied to each specific object. See Defining Alarms for a Layout Object.
Data field updates when you select an item in the Alarms field, so you can edit thresholds and conditions for the selected alarm or alarm detector. See Setting Alarm Detector Threshold Values.
Actions List displays the actions that will occur when the selected alarm is triggered.
•
Roll the mouse over an action to view tooltips showing details of action parameters.
•
Right click for Edit/Add Action, Remove Action, and Remove All Actions options.
For more information, see Setting Alarm Actions.
Available Alarm Templates allows you to manage your alarm templates and apply them to the selected layout object. See Alarm Templates.
There are default alarms that you can activate and modify. Each alarm condition has detectors. When the input signals meet or exceed threshold values of the detector, the alarm actions are triggered.
Each alarm is described below in This table.
Alarm Detectors
Detector
Description
Video
Format Change
Indicates that the video input format has deviated from its defined standard
SD EDH Error
Reports recurring EDH errors in the standard definition video signal
HD CRC Error
Indicates that the internally calculated CRC value is different from the received CRC value
Loss of Video
  Indicates that the multiviewer hardware can no longer detect a video signal from the video channel
Video Freeze
 Indicates that the input video image is frozen (static) according to user-defined frozen picture delay (duration), percent of frozen video in the frame, and amount difference between pixels percent tolerance
Video Black
Indicates that the input video image is considered a black picture according to user-defined percentage non-black picture, delay (duration), and black level threshold values
Audio
Audio Channel Missing
Indicates that the audio channel is not present in the signal
Audio Channel Peak
 Indicates that the input audio level of the audio channel is at or above the set upper threshold dB values for the user-defined period of time
Audio Channel Low
 Indicates that the input audio level of the audio channel is at or below the set lower threshold dB values for the user-defined period of time
Audio Channel Silence
  Indicates that the input audio level of the audio channel is at or below the set silence threshold dB value for the user-defined period of time
Audio Group (1–4) Missing
Indicates that the specified audio group is not present in the signal
Audio Format Change
Indicates that the audio format has switched from Dolby D, Dolby E, or PCM, or indicates any format change
Dolby E Program Change
Indicates that the Dolby program format has deviated from the one specified
Metadata
CC Missing
Indicates that closed captioning (can be HD or SD) is not present in the incoming video stream
CC Not Updating
Indicates that closed captioning is not updating correctly in the incoming video stream
CC Not Valid
Indicates that the closed captioning data in the incoming video stream is not usable
VChip Data Missing
Indicates that there is no V-chip data in the incoming video stream
VChip Mismatch
Indicates that the V-chip data in the incoming video stream does not match the expected rating
Teletext Missing
Indicates that there is no teletext in the incoming video stream
Teletext Not Updating
Indicates that the teletext data in the incoming video stream is frozen
Teletext Not Valid
Indicates that the teletext data in the incoming video stream is not usable
VITC Missing
Indicates that there is no VITC in the incoming video stream
WSS Missing
Indicates that WSS is not present in the incoming video (should be present in SD625 only)
WSS Format Change
Indicates that the WSS information has changed from the selected format
AFD Missing
Indicates that AFD data is not present in the incoming video
AFD Format Change
Indicates that the AFD information has changed from the selected format
Timelines
Counter Alert
Indicates that the specified counter has achieved its predefined alert time
Counter Blink
Indicates that the specified counter has achieved its predefined blink time
Counter End
Indicates that the specified counter has achieved its end time (this is when the counter stops)
Miscellaneous
GPI
Indicates that a GPI input has been triggered
Specific Crosspoint
Indicates that a specific source has been switched to a specific crosspoint (requires a source, destination, and level to be defined)
Specific Source
Indicates that a PiP has been switched to a specific source
SNMP Virtual GPI
Indicates that a GPI trigger has been received through SNMP
Global
Any Alarm Triggered
Indicates that any alarm connected to any other alarm has been triggered
Any Audio Alarm Triggered
Indicates that any of the alarms in the Audio section of the list (above) have been triggered
Any Video Alarm Triggered
Indicates that any of the alarms in the Video section of the list (above) have been triggered
 For information about setting alarm threshold values, see Setting Alarm Detector Threshold Values.
For information about setting video alarms, see Defining Alarms for a Layout Object.
Any changes you make to an alarm setup will not appear on the multiviewer until the layout is published.


Defining Alarms for a Layout Object

Alarms and Info Panels > About Monitoring Tools > Defining Alarms for a Layout Object
Defining Alarms for a Layout Object
1.
Select the appropriate layout object.
Objects that can take alarms include:
•
Info panels
•
PiPs
•
Tallies
•
Windows
•
Up/Down Counters
2.
In the toolbar, click Rules, and then click [Component] Alarms (where [Component] is the selected object).
The Rules Editor dialog box opens with the Select Detectors panel displayed.
3.
In the Alarm Name field, enter a meaningful name that describes the alarm condition.
4.
Select an operator, either And or Or, and then click Add.
•
When And is selected, all conditions must be met to trigger an alarm.
•
When Or is selected, only one of the conditions must be met to trigger the alarm.
The alarm appears in the alarms table.
5.
In the Detectors list, place a check beside each alarm detector you want to have on this layout object.
Each detector is added with default thresholds and settings. Click on the text of a detector to view its threshold values.
6.
To adjust the threshold values for a detector, do one of the following:
•
Click in the value column and then type the new value for the threshold.
•
Drag the slider right and left to increase and decrease the threshold value.
•
Click the incremental step buttons to increase or decrease the threshold value.
See Setting Alarm Detector Threshold Values for more information.
7.
Click Select Actions.
The Rules Editor dialog box displays its Select Actions panel.
8.
Click on an alarm in the Alarms column.
9.
From the Actions list, choose one or more actions from the left panel and click > to move it to the right panel.
If a target is not available for the alarm action (for example, if you have chosen Counter Reset as your action and there is not a counter in the layout), you will see an error message.
To remove an item from the Select Actions list, click <.
You can move the selected item up in the list by clicking Up, or down in the list by clicking Down. Alarm actions will be executed in the order they appear on the list.
When an item is highlighted in the Selected Actions list, you can configure it by completing the Action Parameters specific to that action.
10.
Click OK to close the Rules Editor dialog box.
The Alarms field of the Alarms properties tab lists the alarms you have created. You can view the individual detectors that make up an alarm by clicking +, or hide them by clicking -.
Click on an alarm in the Alarms field to view and/or edit that alarm’s name and operator in the space directly to the right of the Alarms list, and to view a list of actions for that alarm in the Actions field.
Click a detector in the Alarms field to adjust the thresholds and settings for that detector.


Setting Alarm Detector Threshold Values

Alarms and Info Panels > About Monitoring Tools > Setting Alarm Detector Threshold Values
Setting Alarm Detector Threshold Values
Alarm threshold values determine the point at which an input is in error and an alarm is triggered. On the Alarms tab of the Properties pane, you can set the threshold values for each detector used by the multiviewer to determine when an alarm condition exists.
The following describes each threshold value. The threshold value varies for each detector.
Alarm Threshold Values
Threshold value
Definition
Range
Default
Source
Source number or PiP ID of the monitored source signal
Range is 0–512 if Source number was selected; text otherwise
(string)
HD Source
The HD CC source
Service (1-7)
CC (1-4)
T (1-4)
SD Source
The SC CC source
CC (1-4)
T (1-4)
Service Option
The SD CC, V-Chip, VITC, WSS, AFD, or Teletext line
Line (6-23)
Channel
Audio stream that is monitored for this alarm
Channel 1–Channel 16
1 - 4 enabled
Delay (sec)
Duration (in seconds) that the threshold(s) on an alarm can be met or exceeded in order to trigger the alarm condition
0–60
10
% Frame Frozen
Percent of frozen video within a video frame that will trigger an alarm
0–100
97
% Frame Black
Percentage of the video picture that must be black for the picture to be considered a black frame
0–100
10
Tolerance (%)
Amount of difference between pixels at which a picture is considered to be frozen
0–25
10
Tolerance mV
Level at which a picture is considered a black picture
0–700
10
Level (dBFS)
Depending on the alarm, the level (peak, low, or silence) at which an alarm condition is triggered
-100–0
Peak: -3
Low: -40
Silence: 60
Expected Format
The expected format of the input signal
Video
•
1080i60
•
1080i50
•
1080psf24
•
720p60
•
720p50
•
SD525
•
SD625
•
1080p24
•
1080p25
•
1080p30
•
Any format change
1080i60
Audio
•
Dolby E
•
Dolby D
•
PCM
•
Any format change
PCM
WSS
•
Full Frame 4:3
•
14:9 Center
•
14:9 Top
•
16:9 Center
•
16:9 Top
•
> 16:9
•
Full Alt 14:9
•
16:9 Anamorphic
•
Any Format Change
Full Frame 4:3
AFD
•
> 16:9
•
Full Frame
•
4:3 Center
•
16:9 Protected
•
14:9 Center
•
4:3 Alt 14:9
•
16:9 Alt 14:9
•
16:9 Alt 4:3
•
Any Format Change
Full Frame
Use Discrete Audio
Determines whether the alarm applies to embedded audio or discrete (separate) audio
Yes/No
No
DolbyE Pairs
The Dolby E audio pair that is displayed on the multiviewer
•
Disable
•
1/2
•
3/4
•
5/6
•
7/8
•
9/10
•
11/12
•
13/14
•
15/16
Disable
Audio Pairs
Selects the audio pair to be monitored
•
1/2
•
3/4
•
5/6
•
7/8
•
9/10
•
11/12
•
13/14
•
15/16
1/2
Expected Program
Determines the Dolby E program
•
5.1+2
•
5.1+2x
•
4+4
•
4+2x2
•
4+2+2x1
•
4+4x1
•
4x2
•
3x2+2x1
•
2x2+4x1
•
2+6x1
•
8x1
•
5.1
•
4+2
•
4+2x1
•
3x2
•
2x2+2x1
•
2+4x1
•
6x1
•
4
•
2+2
•
2+2x1
•
4x1
•
7.1
•
7.1 screen
5.1+2
Rating
Determines the VChip option that is expected
•
G
•
PG
•
PG-13
•
R
•
NC-17
•
X
•
TV-Y
•
TV-Y7
•
TV-G
•
TV-PG
•
TV-14
•
TV-MA
•
E
•
C
•
C8+
•
14+
•
18+
•
8 ans +
•
13 ans +
•
16 ans +
•
18 ans +
Page
Determines the Teletext page that is expected to be displayed
Note: the default is for OP-47 closed captioning.
•
0 to 999
801
Counter Name
Lists all the available counters in the layout
•
Auto
•
<all counters in layout
Auto
Router Source
Source the router switch should be on
1–512
1
Router Destination
Destination the router switch should be on
1–512
1
Level
Router level the switch should be on
0–100
0


Setting Alarm Actions

Alarms and Info Panels > About Monitoring Tools > Setting Alarm Actions
Setting Alarm Actions
Alarm actions are used in the Rules Editor and the Trigger Configuration dialog box.
Alarm Actions
Alarm Action
Purpose
Change Layout
Loads a layout.
Change PiP Source
Changes the input source of the PiP to the selected source. There must be a PiP in the current layout to choose this option.
Counter Reset
Sets the selected counter back to its start time.
Counter Start
Triggers the counter to start.
Counter Stop
Stops the counter.
Fire Global Event
Activates a global event. There must be a global event in the multiviewer system to choose this action. See Configuring Layout Events and Global Events for more information.
Fire GPO
Activates a GPO.
Fire Layout Event
Activates a layout event (see Configuring Layout Events and Global Events for more information). There must be a layout event in the current layout to choose this action.
Log Message
Adds a predefined message to the system log, which is located in the alarm section of the logging server.
See Enabling Alarm Logging to configure alarm logging.
Make PiP Full Screen
Expands the selected PiP to full-screen. There must be a PiP in the current layout to choose this action.
Router Switch
This action triggers an input’s switch to a specific router level and destination.
Send Email
Sends an email with pre-written text to a specific recipient.
Send SMS Txt Msg
Sends a text message to a phone.
Set InfoPanel Alarm State
Changes an background color of alarm indicators on an info panel. There must be an info panel in the current layout to choose this action.
Set Label Text
Changes the text of a label in the layout to pre-configured text. There must be an Alarm/Rule dynamic label in the current layout (a static label in the layout is not sufficient).
Set PiP Alarm State
Changes a PiP’s alarm state. There must be a PiP in the current layout to choose this action.
Set Tally Alarm State
Changes a tally’s alarm state. There must be a tally in the current layout to choose this action.
Set Window Alarm State
Sets the window border to a pre-defined state. There must be a Window in the current layout to choose this action.
Show Message Box
Displays a warning or an error on the screen (depending on your settings), and puts a pre-defined message in that box.
Show Waveform Monitor
Switches the display on the chosen PiP to show a waveform. There must be a PiP in the current layout to choose this action.
Action Parameters
Parameter
Content
10 Digit Phone Number
Type the phone number to be dialed to send the text message.
Counter
Selects the specific counter to use as a trigger or target of the action.
Dynamic Label ID
Choose the ID number of the label to send text.
GPO Number
Type the number of the GPO to activate.
InfoPanel
Choose the info panel that will display the alarm state
Input
Enter the router’s input number to switch.
Layout name
Type the name of the layout to load.
Level
Enter the router level number to switch.
Logging Priority
Determines the urgency of the message; choose from Info, Warning, Performance, Error, Critical, or Fatal.
Message
Enter the text of the message to be sent.
Message Body
Enter the text of the message to be sent.
Output
Enter the router’s output number to switch.
PiP
Choose the PiP that will be the recipient of the action to from the drop-down menu. All PiPs in the current layout are available by name.
PiP Source
Choose a source from the drop-down menu.
Priority
Choose Low, Medium, or High. This affects the display color of tallies and info panels, and PiP and window alarm borders.
Recipient Address
Enter an email address to send alarm notifications to.
Show PiP Information
Displays a PiP information menu on a full-screen PiP.
Sticky
Choose Yes or No. Actions that are sticky must be acknowledged before they disappear.
Subject
Enter a subject for the email.
Tally
Choose the tally to apply the alarm to.
Text
Enter the content the label will be updated with.
Trigger
Type the number of the trigger to activate.
Txt Msg Body
Enter the text of the message to be sent.
Type
Choose from Warning or Error. When the alarm is triggered, the pre-determined type of box will appear on the screen
Window Number
Choose the window to apply the alarm to.
Wireless Carrier
Choose your carrier from the drop-down menu.
If your carrier does not appear on the list, you can enter a custom carrier. Choose Add custom from the bottom of the list. A window opens where you can type in your cell phone carrier's email suffix. Click OK. Your cell phone carrier appears at the top of the list.


Alarm Templates

Alarms and Info Panels > About Monitoring Tools > Alarm Templates
Alarm Templates
Alarm templates are a fast way to apply the same group of alarms and detectors multiple times within the same layout, or within multiple layouts, without having to configure it each time. Once a template has been applied to a layout object, you can adjust the threshold values on that object specifically.


Creating an Alarm Template

Alarms and Info Panels > About Monitoring Tools > Alarm Templates > Creating an Alarm Template
Creating an Alarm Template
When you create an alarm template, note the following:
•
Each object in a layout can have only one template applied to it.
•
A template may consist of many alarms, with many detectors.
•
Alarms must have unique names. If you give an alarm an existing name, it will overwrite the previous condition.
•
The source that is defined in an object overrides the source that is defined in an alarm.
•
You can set default threshold settings for each detector within the template, and adjust those thresholds on an item-by-item basis throughout a layout. Making changes to the threshold values for each layout object does not change the threshold values in the template itself.
To create an alarm template:
1.
Select the Alarms tab of the Properties pane.
2.
Under Available Alarm Templates, click New.
The Alarm Template Editor dialog box appears.
3.
In the Alarm Template Name field, enter a descriptive name for your template.
4.
In the Alarm Name field, enter a meaningful name that describes the alarm condition.
5.
Select an operator, either And or Or, and then click Add.
•
When And is selected, all conditions must be met to trigger an alarm.
•
When Or is selected, only one of the conditions must be met to trigger the alarm.
The alarm appears in the alarms table.
6.
In the Detectors list, choose each alarm detector you want to have on this layout object.
Each detector is added with its default thresholds and settings.
7.
Click on the text of each detector to view its threshold values, and then, to adjust its threshold values, select in the value column and type a new value.
See Setting Alarm Detector Threshold Values for more information.
8.
Repeat steps 4–7 to add other alarms to the alarm template.
9.
Click Select Actions.
The Alarm Template Editor dialog box displays its Select Actions panel.
10.
Click on an alarm in the Alarms column.
11.
From the Actions list, choose one or more actions from the left panel and click > to move it to the right panel.
To remove an item from the Select Actions list, click <.
You can move the selected item up in the list by clicking Up, or down in the list by clicking Down. Alarm actions are executed in the order they appear on the list.
When an item is highlighted in the Selected Actions list, you can configure it by completing the Action Parameters specific to that action.
12.
Click OK to close the Rules Editor dialog box.
13.
Click OK to save the new template.
The Alarm Template Editor dialog box closes. The new alarm template appears in the Available Alarm Templates list.


Editing Alarm Templates

Alarms and Info Panels > About Monitoring Tools > Alarm Templates > Editing Alarm Templates
Editing Alarm Templates
1.
To edit an alarm template, select it in the Available Alarm Templates list, and then click Edit.
The Alarm Template Editor dialog box appears.
2.
Do any of the following:
•
Change the name of the template.
•
Select an existing detector in the Template Alarms list, and then change any attribute of that detector.
•
Add or remove detectors.
•
Select an existing action in the Template Actions list, and then change any attribute of that action.
•
Add or remove actions on the Actions page.
3.
Click OK to save your changes.


Applying an Alarm Template to a Layout Object

Alarms and Info Panels > About Monitoring Tools > Alarm Templates > Applying an Alarm Template to a Layout Object
Applying an Alarm Template to a Layout Object
1.
Select the layout object to which you want to apply alarm template.
You can select more than one object by holding down the CTRL key on the keyboard and clicking on each object that you want to include.
2.
Select the Alarms tab on the Properties pane.
3.
Select the appropriate template from the Available Alarm Templates list.
Click the + to expand each template to view the specific alarm conditions that are included in the template.
4.
Do either of the following:
•
If you selected one layout object, click Apply to Selected.
•
If you selected more than one layout object, click Apply to All.
If objects already have alarms assigned to them when you apply an alarm template, the previously assigned alarm template is replaced.
You can only apply entire templates to an object; however, you can remove any conditions once the template is applied.
5.
In the Alarms list, you can:
•
Select an alarm to view the specific detectors that are included. In the area to the right of the Alarms list, you can change the alarm name and operator between detectors.
•
Select a detector and view or change its threshold values.
•
Add conditions and detectors.
•
Remove conditions and detectors (right click and choose Remove or Remove All).
•
View alarm actions.
•
Test alarm actions.
•
Add the alarm to the Available Alarm Templates list (this is a right-click option).
For more information about alarms and detectors, see Defining Alarms for a Layout Object.


Testing an Alarm

Alarms and Info Panels > About Monitoring Tools > Testing an Alarm
Testing an Alarm
After a layout is published, you can test alarms by simulating a failed alarm.
1.
Select the alarm that you want to test.
Make sure that you select the alarm and not the detector.
2.
Click and hold down the Test Alarm button.
The alarm response appears on the published layout object on the multiviewer’s output module as long as you hold the Test Alarm button down.


Testing an Action

Alarms and Info Panels > About Monitoring Tools > Testing an Action
Testing an Action
After a layout is published, you can test alarm actions.
1.
Select the alarm that you want to test.
2.
Select the action you want to test.
Make sure that you select the alarm and not the detector.
3.
Click and hold down the Test Action button.
The alarm response appears on the published layout object on the multiviewer’s output module as long as you hold the Test Action button down.


Configuring Global Alarms

Alarms and Info Panels > Configuring Global Alarms
Configuring Global Alarms
Global alarms allow a GPI or periodic trigger to cause an action that is not specific to any particular layout, and therefore stays present even when the multiviewer’s layout is changed. Layout Designer must be connected to a multiviewer to configure and view global alarms.
Global alarms are only available when Layout Designer is connected to a Harris Multiviewer.
To configure global alarms, from the toolbar select Rules > Global Alarms.
This dialog box opens:
At any time, you can disable or enable an alarm, or delete the alarm from the system, using the buttons in the bottom left corner of the screen.
To create an alarm:
1.
Enter a name in the Alarm Name field, and then choose Or or And, and click Add.
The alarm name appears in the Alarm Name listing.
2.
Choose at least one alarm detector, and define the settings for that detector.
Available Detectors for Global Alarms
Detector
Configurable Settings
GPI
Input number – The input on which the GPI is connected
Delay – Time between the GPI data being received and the action being triggered
SNMP Virtual GPI
3.
Click Select Actions.
4.
Select at least one action to be triggered on this detector.
Global Alarm Actions
Action
Description
Setting Options
Change layout
Switches the active layout on the multiviewer, while keeping any other alarms active.
Layout Name - Select the layout to change to.
Fire GPO
Activates a GPO.
GPO number - Choose the GPO that is activated
Log Message
Adds a predefined message to the system log, which is located in the alarm section of the logging server.
See Enabling Alarm Logging to configure alarm logging.
Message - a predefined message that is sent to the system log in the alarm section of the logging server
Logging Priority - the level of the alarm -- info, warning, performance, error, critical, or fatal
Router Switch
Triggers an input’s switch to a specific router level and destination.
Input - Specific input to be switched
Output - Destination to be taken
Level - Level to be taken
Send email
Sends an Email with pre-written text to a specific recipient.
Recipient Address - email address that will receive a pre-defined email at this trigger
Subject - Title of the mail to be sent
Message Body - contents of the email to be sent
Send SMS Txt Msg
Sends a text message to a phone.
10 digit phone number - Phone that will receive automated text message at this trigger
Wireless Carrier - Cell phone carrier’s email address suffix
Txt Msg Body - Contents of the text message to be sent
Show Message Box
Displays a warning or an error on the screen (depending on your settings), and puts a pre-defined message in that box. This message remains on the screen regardless of whether the layout changes.
Message - Contents of the message that will appear on a display at this trigger
Type - Error or warning
Display Number - The display that will receive the error or warning message
5.
Click OK to save the alarm and close the Global Alarms dialog box.
By default all global alarms are activated.


Configuring Layout Events and Global Events

Alarms and Info Panels > Configuring Layout Events and Global Events
Configuring Layout Events and Global Events
Layout events and global events are not necessarily associated with an alarm action.
•
A layout event is configured per layout. When it is created, it is available to the current layout only.
•
A global event is configured per multiviewer. It is available to all layouts on the multiviewer.
Global and layout events are only available when Layout Designer is connected to a Harris Multiviewer.
Creating an event:
1.
From the toolbar, choose Rules > Layout Events or Rules > Global Events.
An Event Configuration dialog box opens.
You can also open the Layout Event Configuration dialog box from the Layout property pane.
2.
Enter a descriptive title for the event in the Event Name field, and then choose either Non-Scheduled or Scheduled.
You can use a Non-scheduled event as an action triggered by an event in an alarm.
Scheduled events can be configured to fire one time only or on a periodic basis.
3.
Click Add.
The new event is added as a new row in the Layout Events or Global Events table.
4.
Add the remaining necessary data in the new event’s row in the Layout Events or Global Events table.
Depending on the type of event, the following data may be necessary:
•
If your event is non-scheduled, no more data is necessary in the Layout Events section of the screen.
•
If your event is scheduled and one-time, enter a date and time for the event to commence in the Layout Events table.
•
If your event is scheduled and periodic, in addition to a start date and start time, enter an end date and an end time, and choose the days of the week for the event to take place on.
For scheduled events, beside Time Zone Offset, choose the time zone the change will take place in.
5.
To add actions that will be triggered by the selected event, click on an action in the left field, and then click > to add actions to the event.
You can remove actions from the list on the right by clicking <.
If your event is a global event, in addition to the actions listed in Global Alarm Actions, the Cycling Layouts action is available. For this action, select the names of the layouts you want to include in the cycle. Select these layouts in the order you want them to appear. Selected items in the sequence display a number to indicate their position in the sequence. Also select the number of the display the layout will be cycled on.
If your event is a layout event, the action list contains all the alarms in Alarm Actions, except for the Set InfoPanel Alarm State action.
6.
Complete the Action Parameters section for each action added.
See Setting Alarm Actions for information on all the actions and their parameters.
7.
Click OK to save the events and close the Layout Event Configuration dialog box.


Deleting Events

Alarms and Info Panels > Configuring Layout Events and Global Events > Deleting Events
Deleting Events
Deleting a Single Event
1.
In the Events Configuration screen, select the row in the Layout Events table that represents the event you want to delete.
2.
Click Remove an Event.
Deleting All Events from a Layout
1.
In the Events Configuration screen, click Remove all Events.


Creating Info Panels

Alarms and Info Panels > Creating Info Panels
Creating Info Panels
Add info panels to your layout to display data and/or alarms. Use the Info Panel tab of the Properties pane to define the data and the data source that will be provided on the info panel.
Your layout must be in an unlocked state to add, move, or delete info panels. You can adjust properties of an info panel in a locked layout. See Locking and Unlocking Layouts.
Info panels can be added to the Info Panels tab of the Library panel if they are free-standing. If an info panel is attached to a PiP or a window and that PiP or window is added to the Library panel, the info panel is added as part of that layout object.


Adding Info Panels to a Layout

Alarms and Info Panels > Creating Info Panels > Adding Info Panels to a Layout
Adding Info Panels to a Layout
Info panels that are added from the toolbar to a layout appear initially with no data. Once you have added an info panel, you can define the specific data to be included.
To add an info panel to a your layout:
1.
Select Insert > Info Panel.
If a PiP is selected, the info panel will appear attached to the PiP. If no PiP is selected, the panel will float free. if the info panel is an independent layout object (not attached to a PiP), you can drag it on top of a PiP.
A Snap to PiP x message will appear if the info panel can be attached to the PiP. Each PiP can have one info panel. The Snap to PiP x message will not appear if a PiP already has an info panel attached to it. Nor will it appear if the info panel is not hovered over a PiP.
You can also add an info panel by dragging and dropping from the Info Panels library, or by dragging and dropping a window or PiP that contains an info panel from the Windows or PiPs library. Info panels added to a layout in this way bring any configuration with them.


Modifying Info Panel Properties

Alarms and Info Panels > Creating Info Panels > Modifying Info Panel Properties
Modifying Info Panel Properties
Each info panel has a set of individual properties that define its appearance and behavior, and which PiP it applies to in the layout.
To view an info panel’s properties, select the info panel in the layout canvas, and then select the Info Panel tab of the Properties pane.


Naming the Info Panel

Alarms and Info Panels > Creating Info Panels > Modifying Info Panel Properties > Naming the Info Panel
Naming the Info Panel
Each info panel has a unique name that identifies it in the layout when it is associated with a PiP.
To name an info panel:
1.
Select an info panel indicator in the layout.
2.
Select the Info Panel tab on the Properties pane.
3.
In the Details area, type a name for the info panel in the Name field.


Resizing and Moving an Info Panel

Alarms and Info Panels > Creating Info Panels > Modifying Info Panel Properties > Resizing and Moving an Info Panel
Resizing and Moving an Info Panel
The Position & Size area of the Info Panel Properties is for information only.
To modify info panel size and position:
1.
If the info panel is attached to a PiP or a window, right-click on the info panel and select Info Panel > Enable Resizing Info Panel.
If the info panel is not attached to a PiP or window, this step is neither available nor necessary.
2.
Select and drag the info panel, or a corner or side of the info panel.
Info panels do not have to cover a portion of the PiP to maintain a relationship with the PiP.
You can also drag a window or PiP that an info panel is part of. The info panel will move with any object it is attached to.
The Left Position value is the number of pixels from the left edge of the layout. The Top Position value is the number of pixels from the top edge of the layout.
If the info panel is free-floating (not connected to a PiP), as you drag it over a PiP a message Snap to PiP x will appear.
Only one info panel can be attached to a PiP. If the PiP already has an info panel attached, the Snap to PiP x message will not appear.
To move an info panel off a PiP:
1.
Right-click the PiP that contains an info panel.
2.
Select Info Panel > Move Out.
3.
Click Ok.
You can now drag the info panel away from the PiP and drop it on another PiP, or treat it as an independent layout object.
To delete an info panel from a layout:
•
If the info panel is attached to a PiP, right-click the PiP and select Info panel > Remove.
•
If the info panel is part of a locked window, right click on the window and deselect Lock Window. Then right-click on the window again and select Info panel > Remove. Then right-click on the window again and select Lock parent window.
•
If the info panel is free-standing, select the info panel and then press the Delete key.


Setting Info Panel States

Alarms and Info Panels > Creating Info Panels > Modifying Info Panel Properties > Setting Info Panel States
Setting Info Panel States
You can assign different colors, behaviors, and alarm conditions to the indicators that are part of an info panel. The Presence info panel state determines the color of an indicator for CC, Teletext, and VChip rating. There are also three alarm states (Alarm Low, Alarm Medium, and Alarm High). You can create the following settings for each info panel state:
Primary color
The primary color represents the color of the indicator for the level of the alarm.
To set info panel indicator states:
1.
Select an info panel indicator in the layout.
2.
Select the Info Panel tab on the Properties pane.
3.
In the States area, click Edit Info Panel Colors.
The Info Panel States dialog box appears.
4.
To select the label text color, click the [image] icon to open the Select a Color dialog box.
5.
To select a color, do one of the following:
•
Use the slider to select a color.
•
Enter the color values you want to use in one of the ScRGB, sRGB, or Hexadecimal Notation fields.
Your selected color is previewed below Selected Color. If required, use the Opacity slider to adjust the color’s opacity value.
For more information on completing the Color Selector dialog box, see Setting Default Window Properties.
6.
Click OK.


Setting the Info Panel Source

Alarms and Info Panels > Creating Info Panels > Modifying Info Panel Properties > Setting the Info Panel Source
Setting the Info Panel Source
In the Info Panel Source area, there are two options:
Use Source
Select this option if you want the info panel to always display the same source.
Track Source of PiP
Select this option if the info panel is assigned to a PiP, and you want it to provide data for the info panel.
By default, the PiP to which the info panel is snapped (if it is snapped to a PiP) will be the tracked source. To change the source PiP, enter a number in the field.
Note: if you move out an info panel from a PiP and assign it to another PiP, the assigned source will automatically be the PiP the info panel is snapped to.


Setting Info Panel Indicators

Alarms and Info Panels > Creating Info Panels > Modifying Info Panel Properties > Setting Info Panel Indicators
Setting Info Panel Indicators
In order for an alarm to appear for a PiP state, you need to do two things:
•
Configure an alarm detector for that PiP in the PiP’s Alarms Property page
•
Configure a “Set InfoPanel Alarm State” action for that alarm
The Info Panel Indicators area contains the following options.
Info Panel Indicators
Indicator
Type
Description
Format Change
Alarm
Indicates that the video input format has deviated from its defined standard
EDH Error
Alarm
Reports recurring EDH errors in the standard definition video signal
CRC Error
Alarm
Indicates that the internally calculated CRC value is different from the received CRC value
Video Lost
Alarm
  Indicates that the multiviewer hardware can no longer detect a video signal from the video channel
Video Freeze
Alarm
 Indicates that the input video image is frozen (static) according to user-defined frozen picture delay (duration), percent of frozen video in the frame, and amount difference between pixels percent tolerance
Video Black
Alarm
Indicates that the input video image is considered a black picture according to user-defined percentage non-black picture, delay (duration), and black level threshold values
A. Ch Missing
Alarm
Indicates that the audio channel is not present in the signal
A. Ch Peak
Alarm
 Indicates that the input audio level of the audio channel is at or above the set upper threshold dB values for the user-defined period of time
A. Ch Low
Alarm
 Indicates that the input audio level of the audio channel is at or below the set lower threshold dB values for the user-defined period of time
A. Ch Silence
Alarm
  Indicates that the input audio level of the audio channel is at or below the set silence threshold dB value for the user-defined period of time
A. Grp (1–4) Missing
Alarm
Indicates that the specified audio group is not present in the signal
Audio Format
Alarm
Indicates that the audio format has switched from Dolby D, Dolby E, or PCM, or indicates any format change
Dolby E Program
Alarm
Indicates that the Dolby program format has deviated from the one specified
CC Missing
Alarm
Indicates that closed captioning (can be HD or SD) is not present in the incoming video stream
CC Update
Alarm
Indicates that closed captioning is not updating correctly in the incoming video stream
CC Invalid
Alarm
Indicates that the closed captioning data in the incoming video stream is not usable
VChip Missing
Alarm
Indicates that there is no V-chip data in the incoming video stream
VChip Mismatch
Alarm
Indicates that the V-chip data in the incoming video stream does not match the expected rating
Teletext Missing
Alarm
Indicates that there is no teletext in the incoming video stream
Teletext Update
Alarm
Indicates that the teletext data in the incoming video stream is frozen
Teletext Invalid
Alarm
Indicates that the teletext data in the incoming video stream is not usable
VITC Missing
Alarm
Indicates that there is no VITC in the incoming video stream
WSS Missing
Alarm
Indicates that WSS is not present in the incoming video (should be present in SD625 only)
WSS Format
Alarm
Indicates that the WSS information has changed from the selected format
AFD Missing
Alarm
Indicates that AFD data is not present in the incoming video
AFD Format
Alarm
Indicates that the AFD information has changed from the selected format
GPI
Alarm
Indicates that a GPI input has been triggered
SNMP VGPI
Alarm
Indicates that a GPI trigger has been received through SNMP
Any Alarm
Alarm
Indicates that any tally connected to any other alarm has been triggered
Any Video
Alarm
Indicates that any of the alarms in the Video section of the list (above) have been triggered
Any Audio
Alarm
Indicates that any of the alarms in the Audio section of the list (above) have been triggered
CC
Indicator
Indicates that closed captioning is present
VChip
Indicator
Indicates the V Chip rating
Teletext
Indicator
Indicates that Teletext data is present
Audio Mon(1/2)
Indicator
Indicates which audio pair is being monitored. (Needs to be enabled in the info panel in order for it to be displayed when the audio monitor is enabled.)
Video Format
Indicator
Indicates the video format currently being input to the PiP.
Audio Type
Indicator
Shows the type of audio. Options include:
•
PCM
•
Dolby D
•
Dolby E
•
No audio
Last Alarm
Indicator
Shows the name of the last alarm that was triggered.
Alarm Time
Indicator
Shows the date (month/day) and time when the last alarm was triggered. It updates to show a different alarm if a different alarm is triggered, but if the same alarm is triggered more than once in sequence, then it shows the first time that alarm was triggered.
When you add indicators one at a time, they are added in the order you click them, from the top left corner on down, first filling the left side of the panel, and then starting again at the top right corner.
If the info panel is attached to a PiP when you add indicators, the indicators will always size themselves so that all indicators will fit within the boundaries of the PiP.
If the info panel is free-standing, the indicators will appear at the default size, and will fill first the left side of the info panel, then the right side. If the info panel is too small to fit all the indicators, the extras for which there is no space will pile on top of one another in the middle.
If the info panel is free-standing, you can move indicators around by clicking on them and dragging within the borders of the info panel. If the info panel is connected to a PiP, right click on the PiP and choose Info Panel > Unlock Info Panel Items. You can now drag indicators within the boundaries of the info panel. Clicking outside the boundaries of the info panel locks the indicators in their new positions. When an info panel is unlocked, each info panel indicator can be resized individually.
When the layout is published to the multiviewer and an indicator is triggered, that indicator will appear on the layout. When no indicator is triggered, no indicators appear on the layout.


Setting Metadata Display Options

Alarms and Info Panels > Creating Info Panels > Setting Metadata Display Options
Setting Metadata Display Options
To adjust the options of a metadata element, click on that element in the Info Panel Metadata area of the Info Panel Properties pane.
You can make the following metadata configurations for each Info Panel.
Metadata Appearance Options
Control
Function
Background Color
The background color for the selected metadata element
Text Size
•
Small
•
Medium
•
Large
Text Position
•
Top - Places the metadata at the top of the screen, regardless of where it will actually appear when broadcast
•
Normal - (CC and Teletext only) Places the metadata as defined in the metadata to display it as it appears when broadcast
•
Middle - (VITC, DolbyE, WSS, and AFD only) Places the metadata in the middle of the screen, regardless of where it will actually appear when broadcast
•
Bottom - Places the metadata at the bottom of the screen, regardless of where it will actually appear when broadcast
Enable Metadata Display
When enabled, shows the actual metadata on the info panel display


Setting Info Panel Metadata Options

Alarms and Info Panels > Creating Info Panels > Setting Info Panel Metadata Options
Setting Info Panel Metadata Options
In the Info Panel Metadata area, there are several options, as described in This table. To choose an option, click its check box. To configure the metadata information, click the option’s text. Options appear below the Info Panel Metadata.
Info Panel Metadata Options
Metadata Option
Function
Options
CC
Displays EIA608 and/or EIA708 closed captioning
HD Source: Service 1–7, CC 1–4, T 1–4
SD Level: CC 1–4, T 1–4
SD Service Option: Line 12, 21–22
Teletext
Displays WST or OP 47 teletext
Page: 000–999
Service Option: Line 6–22
VITC
Displays vertical interval timecode from SD sources and DVITC when embedded in the HD source
Type: LTC, VITC 1, VITC 2
Service Option: Line 6–22
Dolby E
Displays the select Dolby E’s program information if Dolby E is present in the audio stream
(Note: you cannot monitor Dolby E on the AES audio monitor)
Display Details: Low, Medium, High; see Configuring Dolby E Monitoring
Program: Select which program to monitor on the info panel (select from 1–8; you can only display two programs at a time)
Audio Pairs: The pair that will be displayed; options are 1/2, 3/4, 5/6, 7/8, 9/10, 11/12, 13/14, 15/16, Disable (default)
Use Discrete Audio: Determines whether the alarm applies to embedded audio or discrete (separate) audio
WSS
Displays the embedded WSS (Widescreen Signalling) format
Service Option: The line (ranges from 6-23) where WSS data should appear on your incoming video
AFD
Displays the embedded AFD (active format description) format
None
Check Enable Metadata Indicators when you need to adjust the position of metadata from its default location on the info panel. If the indicator is unchecked, the location of the repositioned indicator is lost since it is removed from the object. When checked, the multiviewer shows the indicators without losing the position of the indicators when they are enabled again.


Configuring AFD and WSS Monitoring

Alarms and Info Panels > Creating Info Panels > Configuring AFD and WSS Monitoring
Configuring AFD and WSS Monitoring
The following figure explains how Harris multiviewers display the various AFD and WSS options. WSS is relevant for SD625 only.


Configuring Audio Monitoring

Alarms and Info Panels > Creating Info Panels > Configuring Audio Monitoring
Configuring Audio Monitoring
There are two AES outputs on the Harris multiviewer for audio monitoring. The audio monitor needs to be enabled in the info panel in order for it to be displayed when the audio monitor is enabled.
Dolby E cannot be monitored on the AES outputs.


Configuring Dolby E Monitoring

Alarms and Info Panels > Creating Info Panels > Configuring Dolby E Monitoring
Configuring Dolby E Monitoring
The following figure, The following figure, and The following figure show the various displays available. This table describes the items that appear in the different levels of Dolby E display.
Dolby E Display Description Items and the Detail Levels They Appear In
Function
High
Medium
Low
Example Text
Program description text
Yes
Yes
Yes
Dolby E 8 channels
Program configuration
Yes
Yes
Yes
5.1+2
Channel designators
Yes
Yes
No
•
[5.1]
•
[2]
Audio Coding mode
Yes
Yes
No
3/2 (See this table)
Dialogue level
Yes
Yes
No
Dial=-31 dB
Bitstream mode
Yes
No
No
Bit=Voice Over
(See this table for a complete list of supported options)
Low Frequency Effect mode
Yes
No
No
LFE (only displays when enabled)
Line mode profile
Yes
No
No
LM=FilmS
(See this table for a complete list of supported options)
RF mode profile
Yes
No
No
RF=FilmS
(See this table for a complete list of supported options)


Mapping a Dolby E Program to Audio Meters

Alarms and Info Panels > Creating Info Panels > Configuring Dolby E Monitoring > Mapping a Dolby E Program to Audio Meters
Mapping a Dolby E Program to Audio Meters
this table outlines the Dolby Program options:
Dolby E Program
Dolby E Program Configuration
and Description
Mapping of Dolby Program to Audio Meter Channel
5.1
One 5.1 channel program
Left Front
Right Front
Centre
LFE (Sub)
Left Surround
Right Surround
Audio Meter Number
1
2
3
4
5
6
5.1 + 2
One 5.1 channel and one stereo program
Left Front
Right Front
Centre
LFE (Sub)
Left Surround
Right Surround
Left Aux
Right Aux
Audio Meter Number
1
2
3
4
5
6
7
8
5.1 + 2 x 1
One 5.1 channel and two mono programs
Left Front
Right Front
Centre
LFE (Sub)
Left Surround
Right Surround
Mono 1
Mono 2
Audio Meter Number
1
2
3
4
5
6
7
8
4 + 4
Two four channel programs
Left
Right
Centre
Surround
Left 2
Right 2
Centre 2
Surround 2
Audio Meter Number
1
2
3
4
7
8
5
6
4 + 2 x 2
One four channel and two stereo programs
Left
Right
Centre
Surround
Left Ch 1
Right Ch 1
Left Ch 2
Right Ch 2
Audio Meter Number
1
2
3
4
7
8
5
6
4 + 2 + 2 x 1
One four channel, one stereo and two mono programs
Left
Right
Centre
Surround
Left Ch 1
Right Ch 1
Mono 1
Mono 2
Audio Meter Number
1
2
3
4
7
8
5
6
4 + 4 x 1
One four channel and four mono programs
Left
Right
Centre
Surround
Mono 1
Mono 2
Mono 3
Mono 4
Audio Meter Number
1
2
3
4
7
8
5
6
4 x 2
Four stereo programs
Left
Ch 1
Right
Ch 1
Left
Ch 2
Right
Ch 2
Left
Ch 3
Right
Ch 3
Left
Ch 4
Right
Ch 4
Audio Meter Number
1
2
7
8
3
4
5
6
3 x 2 + 2 x 1
Three stereo and two mono programs
Left
Ch 1
Right
Ch 1
Left
Ch 2
Right
Ch 2
Left
Ch 3
Right
Ch 3
Mono 1
Mono 2
Audio Meter Number
1
2
7
8
3
4
5
6
2 x 2 + 4 x 1
Two stereo and four mono programs
Left Ch 1
Right Ch 1
Left
Ch 2
Right
Ch 2
Mono 1
Mono 2
Mono 3
Mono 4
Audio Meter Number
1
2
7
8
7
8
5
6
2 + 6 x 1
One stereo and six mono channels
Left
Ch 1
Right
Ch 1
Mono 1
Mono 2
Mono 3
Mono 4
Mono 5
Mono 6
Audio Meter Number
1
2
7
8
5
6
3
4
8 x 1
Eight mono programs
Mono 1
Mono 2
Mono 3
Mono 4
Mono 5
Mono 6
Mono 7
Mono 8
Audio Meter Number
1
2
3
4
5
6
7
8
4 + 2
One four channel program and one two channel program
Left
Right
Centre
Surround
Left
Right
Audio Meter Number
1
2
3
4
7
8
4 + 2 x 1
One four channel and two mono programs
Left
Right
Centre
Surround
Mono 1
Mono 2
Audio Meter Number
1
2
3
4
7
8
3 x 2
Three stereo programs
Left
Ch 1
Right
Ch 1
Left
Ch 2
Right
Ch 2
Left Ch 3
Right Ch 3
Audio Meter Number
1
2
7
8
3
4
2 x 2 + 2 x 1
Two stereo and two mono programs
Left
Ch 1
Right
Ch 1
Left
Ch 2
Right
Ch 2
Mono 1
Mono 2
Audio Meter Number
1
2
7
8
3
4
2 + 4 x 1
One stereo and four mono programs
Left
Ch 1
Right
Ch 1
Mono 1
Mono 2
Mono 3
Mono 4
Audio Meter Number
1
2
7
8
3
4
6 x 1
Six mono channel program
Mono 1
Mono 2
Mono 3
Mono 4
Mono 5
Mono 6
Audio Meter Number
1
2
7
8
3
4
4
One four channel program
Left
Right
Centre
Surround
Audio Meter Number
1
2
3
4
2 + 2
Two stereo programs
Left
Ch 1
Right
Ch 1
Left
Ch 2
Right
Ch 2
Audio Meter Number
1
2
7
8
2 + 2 x 1
One stereo and two mono programs
Left
Ch 1
Right
Ch 1
Mono 1
Mono 2
Audio Meter Number
1
2
7
8
4 x 1
Four mono programs
Mono 1
Mono 2
Mono 3
Mono 4
Audio Meter Number
1
2
3
4
7.1
One 7.1 channel program
Left Front
Right Front
Centre
LFE (Sub)
Left Surround
Right Surround
Rear Left Surround
Rear Right Surround
Audio Meter Number
1
2
3
4
5
6
7
8
7.1 Screen
One 7.1 screen channel program
Left Front
Right Front
Centre
LFE (Sub)
Left Surround
Right Surround
Left extra
Right extra
Audio Meter Number
1
2
3
4
5
6
7
8
If an info panel calls for a Dolby E program that does not exist on the input, the first Dolby E program information will be displayed instead. For example, if a layout calls for program number 3 and the input has a 2-program Dolby E program configuration of 5.1+2, the Harris multiviewer will display the first program information, program 1.


Dolby Audio Coding Modes

Alarms and Info Panels > Creating Info Panels > Configuring Dolby E Monitoring > Dolby Audio Coding Modes
Dolby Audio Coding Modes
Dolby Audio Coding Modes
Audio Coding Mode
Channel Ordering
1/0
C
2/0
L, R
3/0
L,C,R
2/1
L, R, S
3/1
L, C, R, S
2/2
L, R, Ls, Rs
3/2
L, C, R, Ls, Rs


Dolby Line Mode and RF Mode Options

Alarms and Info Panels > Creating Info Panels > Configuring Dolby E Monitoring > Dolby Line Mode and RF Mode Options
Dolby Line Mode and RF Mode Options
Line mode and RF mode are two types of dynamic range control, which determine how the audio is decoded at the playback device.
•
Line mode is typically used on decoders with six- or two-channel line-level outputs.
•
RF mode is used on decoders that have an RF-remodulated output.
Both Line mode and RF mode have the options listed in this table.
Line Mode and RF Mode Options
Harris Multiviewer Display
Dolby Option
None
None
FilmS
Film, Standard mode
FilmL
Film, Light mode
MusicS
Music, Standard mode
MusicL
Music, Light mode
Speech
Speech


Bitstream Mode Options

Alarms and Info Panels > Creating Info Panels > Configuring Dolby E Monitoring > Bitstream Mode Options
Bitstream Mode Options
Bitstream Mode Options
Option
Function
Complete Main
Flags the bitstream as the main audio service for the program with all elements to form a complete audio program; may contain from one (mono) to six (5.1) channels
Music and Effects
Normally the main audio service for the program, minus a dialogue channel (different dialogue services associated with a single ME service can support multiple languages)
Visually Imp.
•
A single-channel containing a narrative description of the picture content to be decoded along with the main audio service
or
•
A complete mix of all program channels, comprising up to six channels
Hearing Imp.
•
A single-channel program containing audio that has been processed for increased intelligibility to be decoded along with the main audio service
or
•
A complete mix of all program channels, comprising up to six channels
Dialogue
Provides a dialogue channel for a Music and Effects service
•
If the Music and Effects service contains more than two channels, the Dialogue service is limited to one channel
•
if the Music and Effects service is two channels, the Dialogue service can be a stereo pair
The appropriate channels of each service are mixed together (requires special decoders)
Commentary
An optional single-channel dialog program intended to convey additional commentary (may also be a complete mix of all program channels, comprising up to six channels)
Emergency
A single-channel service that is given priority in the decoder (the main service is muted when this service is present)
Voice Over
A single-channel service intended to be decoded and mixed to the Center channel (requires special decoders)
Karaoke
The Left and Right channels contain music, the Center channel has a guide melody, and the Left and Right Surround channels carry optional backing vocals


On-Screen Controls

On-Screen Controls
On-Screen Controls
On-Screen Menus
Using the Multiviewer Web Interface
How Do I Access the Components Within my PiP?
Can I Store and Recall PiP Properties?
Why Can’t I Close All the Layouts?
What is the Behavior of the Undo Feature?


On-Screen Menus

On-Screen Controls > On-Screen Menus
On-Screen Menus
Once you have published your layouts to the multiviewer’s output modules, each multiviewer provides you with the ability to access on-screen menus.
You can use a mouse connected to your multiviewer to access certain features using control menus on the output modules. For example, you can make a PiP go full screen, clear an alarm condition, or view PiP information. Alternatively, you can access the same control menus remotely from a computer that is running Layout Designer.
You must have a mouse connected to your multiviewer to be able to use the on-screen menus. Alternatively, you can activate the remote mouse control from Layout Designer (for more information see Remote Mouse Control).
Use your mouse to right-click on an object or the background in the layout. A menu appears with different items, depending on where you have clicked. This table lists the various options that might appear.
When you reach the end of a menu, it will restart again at the beginning.
On-Screen Menu
Item
PiP
Audio Meters
Tally
Label or Empty
Area of Canvas
Description
Select Video Source
X
Lists of all the possible PiP sources. This allows you to assign a different source to the selected PiP.
Full Screen
X
Causes the PiP to expand to the size of the screen. To turn off the full screen view, right-click the PiP, and then choose Revert to Layout.
PiP Information
X
Lists attributes for the selected PiP, including
•
Video standard
•
Aspect ratio
•
PiP source
•
PiP name
•
PiP number
•
Source number
•
PiP source name
•
PiP scale factor
•
Pixel aspect ratio
•
CRC or EDH error count
•
Stream ID
•
XVim board used to display the signal
•
XVim input channel being used to display the signal
This information can be useful for troubleshooting purposes.
Monitor Audio
X
Choose the audio to monitor from a list of all the discrete and/or embedded audio options that are available for that window.
Disconnect VNC
X
PiP image reverts to a “no signal” picture (VNC PiPs only)
Connect VNC
X
Attempts to reconnect a PiP to a VNC server (VNC PiPs only)
Send CTRL+ALT+DEL
X
Opens the Windows Security dialog box on the VNC server, so you can lock the computer, restart, etc. (VNC PiPs only)
Display Scope
X
When Test and Measurement is available, this item displays a sub-menu that lists all the different modes that available for Test and Measurement. When you choose one, the PiP changes to display that option. If another PiP is currently displaying a scope, that PiP will revert to its previous mode. For more information, see Test and Measurement.
Color Source
X
This item is appears on the on-screen display menu when Test and Measurement has been activated. Choose Monochrome to display the results in black and white, or From Video to display the results in the actual colors from the video.
Select Audio Source
X
Scroll and select from list of available audio sources
Audio Information
X
Displays source number and name, audio format type, and the audio channel that is being mapped to the audio meter
Reset Alarms
X
X
Clear an alarm state. (You can also clear alarms on the Layout property pane. See Making Layout-Specific Settings.)
Enable Alarms
X
X
When you choose this item, all of the alarm detectors that you defined for that PiP appear. You can select or clear (deselect) any detectors that appear in the list. If you did not define any alarm detectors for the selected PiP, none is listed.
For more information about alarm detectors, see About Monitoring Tools.
Enable Alarm Conditions
X
X
When you choose this item, all of the alarm conditions that you defined for that PiP appear. You can select or clear (deselect) any conditions that appear in the list. If you did not define any alarm conditions for the selected PiP, none is listed.
For more information about alarm conditions, see Defining Alarms for a Layout Object.
Recall Layout
X
X
X
X
Lists any layout that was published previously and allows you to select one to display on the output module.
Lock Display
X
Disables the display from accidental change of the layout. Recall Layout is not available when the display is locked.
Exit Multiviewer
X
X
X
X
Exits to the Multiviewer Control Panel.
Advanced
Reset layout
X
X
X
X
Disconnects all PiP sources for all displays and requires the user to recall all layouts
Reset and Recall Layouts
X
X
X
Disconnects all PiP sources for all displays and recalls all layouts automatically
Clear Messages
X
X
X
Acknowledges messages displayed by alarm rule message box. (You can also clear messages on the Layout property pane. See Making Layout-Specific Settings.)


Remote Mouse Control

On-Screen Controls > On-Screen Menus > Remote Mouse Control
Remote Mouse Control
If you do not have a mouse connected do your multiviewer, but you want to access the on-screen menus, you can activate remote mouse control from the computer that is running Layout Designer. (For more information about on-screen menus, see On-Screen Menus.)
When this feature is activated, the mouse appears on the output module of the multiviewer that you have currently selected in Layout Designer. In addition, you cannot use the other features of Layout Designer until you deactivate the remote mouse control.
To activate remote mouse control:
1.
In Layout Designer, click Enable Control.
The mouse appears on the output module of the corresponding multiviewer. The other features of Layout Designer are unavailable.
To deactivate remote mouse control:
1.
On the keyboard, press ALT + F7.


Controlling a VNC PiP

On-Screen Controls > On-Screen Menus > Controlling a VNC PiP
Controlling a VNC PiP
For information on creating VNC PiPs, see Selecting a PiP’s Input Source.
To take control of a VNC PiP:
1.
Left-click inside the PiP.
To control a VNC clip from the multiviewer, your keyboard must be US English 101 key. Some special key sequences may not work.
To release control of a VNC PiP:
1.
Do one of the following:
•
Hold down the left mouse button and then double-click the right mouse button.
•
On the keyboard, Press ALT+F7.


Controlling a Counter

On-Screen Controls > On-Screen Menus > Controlling a Counter
Controlling a Counter
To control a counter using on-screen controls on the Harris multiviewer, follow these steps:
1.
Right-click on a counter.
2.
Use the following controls:
Start - updates the counter to proceed with the linear countdown
Stop - stops and reports the current countdown time until further notice
Reset - re-initializes the counter using the original start, stop, blink, and alert times. Any rules that were active in the layout will still trigger the counter the same way as before.
To control the counter from Layout Designer, see Manually Controlling a Counter.


Using the Multiviewer Web Interface

On-Screen Controls > Using the Multiviewer Web Interface
Using the Multiviewer Web Interface
You can use the Multiviewer Web interface to perform the following functions:
•
Add users and control their access to aspects of the device
•
Choose layouts on a display
•
Change the source of PiPs in a layout
•
Import and edit labels in a layout
If your browser does not have Silverlight installed, when you enter the IP address for the Harris Multiviewer, a page opens with a link to install Silverlight. Follow this link to download the installer, and then follow the instructions that appear on the screen.
If the PC does not have a valid Internet connection, download the installer from http://silverlight.net/getstarted/silverlight3/.


Starting the Multiviewer Web Interface

On-Screen Controls > Using the Multiviewer Web Interface > Starting the Multiviewer Web Interface
Starting the Multiviewer Web Interface
To start using the Multiviewer Web interface, follow these steps:
1.
Type the Multiviewer’s IP address in your internet browsing software.
A Login dialog box appears.
2.
Enter your login ID and password.
The default login ID is Admin, and there is no password associated with this login ID.
3.
Click OK.
4.
A screen similar to the following appears:
5.
In the Displays section at the right of the screen, choose the display you would like to view.
The main portion of the screen updates to show the layout that is currently assigned to that screen.
At the top of the screen, drag the slider to the left and the right to make the layout larger and smaller, or click Fit to adjust the layout to the available screen area.
You can view any PiP as full-screen on the Multiviewer by clicking Toggle Full Screen. Return to the normal layout display by clicking the same button again.


Controlling User Access to the Multiviewer Web Interface

On-Screen Controls > Using the Multiviewer Web Interface > Controlling User Access to the Multiviewer Web Interface
Controlling User Access to the Multiviewer Web Interface
1.
Click Settings.
The Settings Dialog opens.
2.
Under User List, click Add.
A row is added in the User List table.
3.
In the User Name field, enter a name.
4.
In the Password field, enter a password for this user, and then enter the same password in the Confirm Password field.
5.
For each display available at this IP address, place a check if you want this user to have access.
(Scroll to the right to see all the displays).
Two other options are also available on a per-user basis:
•
Enable Control–Allows this user to control the selected displays. When unchecked, the user can view displays but not alter labels, PiP sources, etc.
•
Allow Settings–Gives this user administrative privileges.
6.
Click OK.


Choosing a Layout

On-Screen Controls > Using the Multiviewer Web Interface > Choosing a Layout
Choosing a Layout
Under Layouts in the right of the screen, click the drop-down menu to choose a layout.
Display Layout–Sends the layout to the Multiviewer.
Preview Layout–displays a preview of the layout on the Multiviewer Web interface screen.


Changing PiP Sources in a Layout

On-Screen Controls > Using the Multiviewer Web Interface > Changing PiP Sources in a Layout
Changing PiP Sources in a Layout
You can change the source for any PiP by right-clicking on that PiP in a layout and choosing a new source from the menu that appears.


Importing and Editing Label Text

On-Screen Controls > Using the Multiviewer Web Interface > Importing and Editing Label Text
Importing and Editing Label Text
When you select the Label properties pane option External Update (External Number) for a label, the label can receive data from the Multiviewer Web interface. See Setting the Label Text Source.
1.
On the Multiviewer Web interface, click Import File.
The Label Updates dialog box appears.
2.
Click Import Label File, and then browse to the location of the *.csv file.
*.csv files can be created in Microsoft Excel. Your Excel file will normally have four columns, with contents to match the above figure, and a row for each label.
3.
Click OK to import the label file.
The table updates to display all label text.
To make any necessary changes to the content of the label file, you can click in a field and then type new data.
Data in the table needs to be in the following format:
Label Update Contents
Column
Contents
IP address
The IP address of the Multiviewer
Display Number
The number of display that the label is displayed on
Label Number
The number set by the label properties
Message
The text that appears in the label
If you build the data in another program, columns of data should be separated by commas, and each row of data should end in a carriage return.
4.
Click Update All Labels to update the layout as it is displayed on the Multiviewer Web interface.
5.
Click OK to close the Label Updates dialog box.
6.
On the main Multiviewer Web interface, click Update Labels to send the changes to the Multiviewer display.


Editing Label Text Manually

On-Screen Controls > Using the Multiviewer Web Interface > Editing Label Text Manually
Editing Label Text Manually
1.
On the main Multiviewer Web interface screen, click a label.
2.
Enter text using a standard keyboard.
3.
Click Update Labels to send the changes to the Multiviewer display.


How Do I Access the Components Within my PiP?

On-Screen Controls > How Do I Access the Components Within my PiP?
How Do I Access the Components Within my PiP?
If you cannot edit or alter the components within a PiP, this is usually because the components are locked.
To unlock the window, do one of the following:
•
Right-click on the window and clear Lock Window.
•
In the Windows tab of the Properties pane, clear Lock Objects in Window.


Can I Store and Recall PiP Properties?

On-Screen Controls > Can I Store and Recall PiP Properties?
Can I Store and Recall PiP Properties?
If you spend a lot of time creating a PiP, you can use it for other PiP windows.
1.
After you have created a window, right-click on the window, and then select Add Window to Library.
It will appear at the bottom of the Library panel under the Windows section.
2.
Rename a window in the Library by double-clicking on the label under its preview image.
3.
To populate more of these windows onto your layout, simply drag and drop them onto the layout page.
4.
Set the input source by clicking on the “I” icon in the middle of the window.


Why Can’t I Close All the Layouts?

On-Screen Controls > Why Can’t I Close All the Layouts?
Why Can’t I Close All the Layouts?
You cannot close the first layout that opens when Layout Designer starts; it always stays open in Layout Designer.


What is the Behavior of the Undo Feature?

On-Screen Controls > What is the Behavior of the Undo Feature?
What is the Behavior of the Undo Feature?
You cannot undo the following functions:
•
Saving a layout
•
Publishing a layout
•
Downloading a layout
•
Closing a layout
•
Deleting a layout
•
Unlocking a window
•
Locking and restoring factory default for PiPs, windows, borders, and border styles
All other functions can be undone.


Frequently Asked Questions

Frequently Asked Questions